#!/bin/bash

# (c) Copyright 1996-2003, 2005-2006, 2011 F5 Networks, Inc. 
# 
# * The software is confidential and may contain trade secrets that are property
# * of F5 Networks, Inc.  No part of the software may be disclosed to other
# * parties without the express written consent of F5 Networks, Inc.
# * No part of the software may be reproduced or transmitted in any form or by
# * any means, electronic or mechanical, for any purpose, without express
# * written permission of F5 Networks, Inc. It is against the law to copy the
# * software. No part of the software may be reproduced, transmitted, or distributed 
# * in any form or by any means, electronic or mechanical, including photocopying,
# * recording, or information storage and retrieval systems, for any purpose
# * without the express written permission of F5 Networks, Inc. 
# * Our services are only available for legal users of the program for instance in case
# * we extend our services by offering updating of files through Internet.
# *
# * F5 Networks, Inc. 401 Elliott Avenue West, Seattle, WA  98119, (206) 272-5555, support@f5.com
# *
# * $Id$
# *
# * $Author$
# *
# * $Date$
# *
# * $Source: /cvs/TrafficShield/mng/scripts/tools/check_ts.sh,v $
# *
# * $Revision$
# *
# */

  
#$Header$


# initialize variables
mode="PREPARE"
tmp_file="/tmp/build_md5s.plain"
sorted_tmp_file="/tmp/build_md5s.sorted"
file_list="/tmp/file_list"
add_ind=0
current_ind=0
rc=0

# check usage
if [ ! $1 ]
then
	echo "Usage: $0 mode"
	echo "mode can be --prepare for preparing the ts.md5sum file, or --verify for check"
	exit 1
fi

if [ $1 == "--verify" ]
then
	mode="VERIFY"
fi



# truncate output/temporary files
>$tmp_file

if [ $? -ne 0 ]
then
	echo "Failed to truncate temporary file (not running as root ?)"
	exit 1
fi

>$file_list

#echo "Calculating checksums for ASM files.."

dirs[add_ind++]="."
# the following loop goes over a list of directories
# for each directory lists the files there. if a file is a directory, add it to the directory list
# if it is a regular file, add the contents to the tmp-file

while [ $add_ind -ne $current_ind ] # current_ind = add_ind <=> all the directories have been handled
do
	for file in `/bin/ls -U ${dirs[$current_ind]}`
	do
                # exclude all unneeded files
		if  [[  $file != "ts.md5sum"  &&  $file != "check_ts.sh"  &&  $file !=  "bin.pl" && $file  != "mkbin.bash" && $file != "ts.md5sum" && $file != "ts_release_notes_V31.txt" && $file != "users.cfg" ]]
		then
                        # add the relative path
			file="${dirs[$current_ind]}/$file"
			if [ -d $file ]
			then
                                # add a directory to the list of directories that needs to be checked
				dirs[$add_ind]=$file
				add_ind=$(($add_ind+1))
			else
                                # only using regular files for md5 calculations
				if [ -f $file ]
				then
					/usr/bin/md5sum $file >> $tmp_file
					#echo $file >> $file_list
				fi
			fi
		fi
	done
        # finished with the directory at current_ind
	current_ind=$(($current_ind+1))
done

# created the tmp file, compute md5sum and remove it                                                    
#echo "done"
sort $tmp_file > $sorted_tmp_file
mv -f $sorted_tmp_file $tmp_file

if [ "$mode" == "PREPARE" ]
then
        # compute the md5sum and stay with the numeric result only
        
        mv $tmp_file ts.md5sum
	#md5sum $tmp_file | /bin/sed -e 's/[ \t].*//' > ./ts.md5sum
	rc=0
else
        # we need to compare the result of the current calculation with that made before hand
	#current_md5=`md5sum $tmp_file | /bin/sed -e 's/[ \t].*//'`
	#expected_md5=`cat ./ts.md5sum`
        
        # we need to compare the result of the current calculation with that made before hand
        diff $tmp_file ts.md5sum > /dev/null
        if [ $? -eq 0 ]
	then
		#echo "checksum calculation checked out, your system is ok"
		rc=0
	else
		echo "The ASM directory seems to be corrupt, the following differences were found (diff output)"
                diff $tmp_file ts.md5sum
		rc=1
	fi
        rm $tmp_file
fi

exit $rc



