typedef struct _MAC_ADDR
{
    unsigned char mac_addr[6];
} MAC_ADDR;
typedef struct _DISP_MAC_ADDR
{
    unsigned char disp_mac_addr[18];
} DISP_MAC_ADDR;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef struct uint64 {
    unsigned long long perl_c_include_uint64[2];
} uint64_t;
typedef struct uint128 {
    uint64_t perl_c_include_uint128[2];
} uint128_t;
typedef unsigned char BYTE;
typedef int BOOL;
typedef unsigned int time32_t;
typedef uint64_t crc_t;
typedef crc_t policy_name_crc_t;
typedef uint128_t ip_addr_t;
typedef uint128_t violset_t;
typedef uint16_t UNIT_STATE;
typedef uint16_t CONFIG_TYPE;
typedef uint16_t DCC_MSG;
enum _COMMON_EVENT_TYPE
{
 EV_TYPE_CORE_SYSTEM,
 EV_TYPE_CONTENT,
 EV_TYPE_CMD,
 EV_TYPE_INFO,
    EV_TYPE_USER,
    EV_TYPE_STAT,
    EV_TYPE_SYSLOG,
 EV_TYPE_BRUTE_FORCE,
    EV_TYPE_CLIENT_SIDE_DROPPED
};
typedef _COMMON_EVENT_TYPE COMMON_EVENT_TYPE;
enum _EVENT_LEVEL
{
 EL_INFO,
 EL_WARNING,
 EL_WARNING_NOTIFY,
 EL_CRITICAL
};
typedef _EVENT_LEVEL EVENT_LEVEL;
enum _EVENT_STATUS
{
 ES_OPENED,
 ES_NORMAL,
 ES_CONFIRMED_DELAY,
 ES_CONFIRMED
};
typedef _EVENT_STATUS EVENT_STATUS;
enum _EVENT_ACTION
{
 EVENT_ACTION_NONE = 0,
 EVENT_ACTION_LOG = 1,
 EVENT_ACTION_NOTIFY_DCC = 2,
 EVENT_ACTION_SHUTDOWN = 4,
 EVENT_ACTION_SET_MALFUNCTION = 8,
 EVENT_ACTION_SEND_MAIL = 16
};
typedef _EVENT_ACTION EVENT_ACTION;
typedef struct _t_ev_common
{
 COMMON_EVENT_TYPE event_type;
 time32_t first_time;
 time32_t last_time;
 int counter;
 MAC_ADDR machine_id;
 int site_id;
 crc_t event_id;
 int data_size;
} t_ev_common;
typedef uint64_t attack_id_t;
enum _SYSLOG_SEVERITY
{
    SYSLOG_SEVERITY_EMERG,
    SYSLOG_SEVERITY_ALERT,
    SYSLOG_SEVERITY_CRIT,
    SYSLOG_SEVERITY_ERR,
    SYSLOG_SEVERITY_WARNING,
    SYSLOG_SEVERITY_NOTICE,
    SYSLOG_SEVERITY_INFO,
    SYSLOG_SEVERITY_COUNT
};
typedef _SYSLOG_SEVERITY SYSLOG_SEVERITY;
enum _CORE_EVENT_CODE
{
    EV_CORE_TEST,
    EV_CORE_DISCARD_HTTP_UNAUTHORIZED_MODIFIER,
    EV_CORE_DISCARD_HTTP_NOT_COMPLIANT_WITH_RfC,
    EV_CORE_DISCARD_HTTP_UNKNOWN_OBJECT_TYPE,
    EV_CORE_DISCARD_HTTP_RBJECT_TYPE_INVALIDATED,
    EV_CORE_DISCARD_HTTP_REQUEST_LENGTH_EXCEEDED_LIMIT,
    EV_CORE_DISCARD_HTTP_COOKIES_LENGTH_EXCEEDED_LIMIT,
    EV_CORE_DISCARD_HTTP_USER_INPUT_NOT_ALLOWED,
    EV_CORE_DISCARD_HTTP_USER_INPUT_LENGTH_EXCEEDED_LIMIT,
    EV_CORE_DISCARD_HTTP_BINARY_CODE_NOT_ALLOWED,
    EV_CORE_DISCARD_HTTP_ILLEGAL_KEYWORDS,
    EV_CORE_DISCARD_LINK_ETH_PROTOCOL_NOT_SUPPORTED,
    EV_CORE_DISCARD_LINK_PORT_NOT_SUPPORTED,
    EV_CORE_DISCARD_LINK_BLACK_LIST,
    EV_CORE_DISCARD_LINK_IP_IN_BLOCKED_NETWORK,
    EV_CORE_DISCARD_LINK_NEW_SESSION_AGING,
    EV_CORE_DISCARD_LINK_COMMUNICATING_AGING,
    EV_CORE_DISCARD_LINK_OUT_OF_ORDER_DATA,
    EV_CORE_DISCARD_LINK_WRONG_SEQUENCE,
    EV_CORE_DISCARD_LINK_SESSIONS_PACKET_COUNTER_EXCEED,
    EV_CORE_DISCARD_LINK_NUMBER_OF_RETRIES_DOES_EXCEED_THRESHOLD,
    EV_CORE_ATTACK_DETECTION_HTTP_IP_RATIO_INVALID_REQ,
    EV_CORE_ATTACK_DETECTION_HTTP_IP_INVALID_REQ,
    EV_CORE_ATTACK_DETECTION_HTTP_TRANSACTION_NON_HUMAN_FREQUENCY,
    EV_CORE_ATTACK_DETECTION_HTTP_IP_NON_HUMAN_DEMAND,
    EV_CORE_DETECTION_HTTP_ATTACKED_OBJECT_FREQUENCY_INCREASE,
    EV_CORE_ATTACK_DETECTION_LINK_IP_RATIO_INVALID_REQ,
    EV_CORE_DETECTION_LINK_IP_FREQUENCY_INCREASE,
    EV_CORE_ERROR,
    EV_CORE_ERROR_OUT_OF_MEMEORY,
    EV_CORE_ERROR_DISK_FAILURE,
    EV_CORE_ERROR_CARD_FAILURE,
    EV_CORE_ERROR_SYS_FAILURE,
    EV_CORE_ERROR_NETWORK_FAILURE,
    EV_CORE_ERROR_SSL,
    EV_CORE_ERROR_FULL_QUEUE,
    EV_CORE_MANAGEMENT_COMMUNICATION_ERROR,
    EV_CORE_ERROR_SITE_NOT_RESPONDING,
    EV_CORE_CONFIGURATION_ERROR,
    EV_CORE_SITE_DOWN,
    EV_CORE_SITE_UP,
    EV_CORE_BAD_REQUEST,
    EV_CORE_BAD_RESPONSE,
    EV_CORE_RECONECT_TO_SERVER_FAILED,
    EV_CORE_TMO_ON_HTTPS_SOCK_TO_CLIENT,
    EV_CORE_TMO_ON_HTTPS_SOCK_TO_SERVER,
    EV_CORE_TMO_ON_HTTP_SOCK_TO_CLIENT,
    EV_CORE_TMO_ON_HTTP_SOCK_TO_SERVER,
    EV_CORE_SSL_SESSION_EXCEEDS_LIMIT,
    EV_CORE_FD_SYN_RATIO_TOO_HIGH,
    EV_CORE_TMO_ON_HANDSHAKE,
    EV_CORE_BD_FILTERED_HTML_EXCEEDS_MAX_LENGTH,
    EV_CORE_BD_APPLICATION_ERROR_FILTERING_APPLIED,
    EV_CORE_ILLEGAL_REG_EXP,
    EV_CORE_HIGH_CPU_UTILIZATION,
    EV_CORE_SESSION_DB_OUT_OF_BOUNDS,
    EV_CORE_MISSING_ACCOUNT_CONFIG,
};
typedef _CORE_EVENT_CODE CORE_EVENT_CODE;
typedef struct _t_ev_core_system_event
{
    CORE_EVENT_CODE code;
    char desc[256];
} t_ev_core_system_event;
typedef struct _t_ev_core_content_event
{
    policy_name_crc_t policy_name_crc;
    ip_addr_t source_ip;
    ip_addr_t destination_ip;
    ip_addr_t xff_ip;
    uint16_t rtdom_id;
    BYTE app_id;
    BYTE is_blocked;
    crc_t obj_crc;
    char first_byte[128];
    char http_selector[255];
    crc_t req_crc;
    crc_t support_id;
    crc_t session_id;
    SYSLOG_SEVERITY severity_id;
    char uri[255];
    unsigned int uri_len;
    int response_code;
    int method_code;
    uint64_t attack_types_status;
    unsigned short client_local_port;
    unsigned short client_remote_port;
    char geo_location[4];
    int non_rfc_sub_violations;
    int normalization_sub_violations;
    int wss_sub_violations;
    uint16_t iprep_threat;
    char virus_name[128];
    uint8_t virus_name_len;
    char username[50];
    uint8_t username_len;
    violset_t viol_set_enforce;
    unsigned int violation_rate;
} t_ev_core_content_event;
enum _DOS_CODE
{
    DOS_CODE_ACCOUNT_STATE_CHANGE,
    DOS_CODE_OBJECT_STATE_CHANGE,
    DOS_CODE_IP_STATE_CHANGE,
    DOS_CODE_ACCOUNT_MONITORING,
    DOS_CODE_OBJECT_MONITORING,
    DOS_CODE_IP_MONITORING,
    DOS_CODE_MITIGATION_STATE_CHANGE
};
typedef _DOS_CODE DOS_CODE;
enum _DOS_STATUS
{
    DOS_STATUS_START,
    DOS_STATUS_END
};
typedef _DOS_STATUS DOS_STATUS;
enum _DOS_MITIGATION_STATE
{
    DOS_MITIGATION_CLIENT_COOKIE_IP = 1,
    DOS_MITIGATION_CLIENT_COOKIE_URL,
    DOS_MITIGATION_RATE_LIMIT_IP,
    DOS_MITIGATION_RATE_LIMIT_OBJECT
};
typedef _DOS_MITIGATION_STATE DOS_MITIGATION_STATE;
typedef struct _t_ev_dos_state_account_event
{
    DOS_CODE code;
    policy_name_crc_t policy_name_crc;
    char http_selector[255];
    char object_name[200];
    unsigned char application_id;
    DOS_STATUS dos_state;
    unsigned int legitimate_average_start;
    unsigned int detection_average_start;
    unsigned int detection_average_end;
    BOOL transparent_mode;
} t_ev_dos_state_account_event;
typedef struct _t_ev_dos_state_object_event
{
    DOS_CODE code;
    attack_id_t attack_id;
    char object_name[200];
    unsigned char application_id;
    DOS_STATUS dos_state;
    unsigned int legitimate_average_start;
    unsigned int detection_average_start;
} t_ev_dos_state_object_event;
typedef struct _t_ev_dos_state_ip_event
{
    DOS_CODE code;
    attack_id_t attack_id;
    ip_addr_t remote_client_ip;
    uint16_t rtdom_id;
    char geo_location[4];
    DOS_STATUS dos_state;
    unsigned int legitimate_average_start;
    unsigned int detection_average_start;
} t_ev_dos_state_ip_event;
typedef struct _t_ev_dos_state_mitigation_event
{
    DOS_CODE code;
    attack_id_t attack_id;
    DOS_MITIGATION_STATE state;
} t_ev_dos_state_mitigation_event;
typedef struct _t_ev_dos_asm_requested_entity
{
    crc_t event_id;
    policy_name_crc_t policy_name_crc;
    uint64_t drop_count;
    uint64_t drop_count_delta;
} t_ev_dos_asm_requested_entity;
typedef struct
{
    DOS_CODE code;
    t_ev_dos_asm_requested_entity batch_arr[10];
} t_ev_dos_entity_monitoring_data;
enum _client_side_dropped_data_event_code_t
{
    CLIENT_SIDE_DROPPED_DATA_CODE_STATE_CHANGE,
    CLIENT_SIDE_DROPPED_DATA_CODE_REPORTING
};
typedef _client_side_dropped_data_event_code_t client_side_dropped_data_event_code_t;
enum _client_side_dropped_data_event_state_t
{
    CLIENT_SIDE_DROPPED_DATA_STATE_START,
    CLIENT_SIDE_DROPPED_DATA_STATE_END,
    CLIENT_SIDE_DROPPED_DATA_STATE_MONITORING
};
typedef _client_side_dropped_data_event_state_t client_side_dropped_data_event_state_t;
enum _ws_attack_type_t
{
        WS_ATTACK_TYPE_NONE,
        WS_ATTACK_TYPE_BOT_DETECT,
        WS_ATTACK_TYPE_SESS_TRANS,
        WS_ATTACK_TYPE_SESS_OPEN,
        WS_ATTACK_TYPE_INJ_RATIO,
        WS_ATTACK_TYPE_SESS_RESET,
        WS_ATTACK_TYPE_SUSP_CLIENT
};
typedef _ws_attack_type_t ws_attack_type_t;
enum _ws_attack_type_mask_t
{
 WS_ATTACK_TYPE_NONE_MASK = 0,
 WS_ATTACK_TYPE_BOT_DETECT_MASK = 1 << WS_ATTACK_TYPE_BOT_DETECT,
 WS_ATTACK_TYPE_SESS_TRANS_MASK = 1 << WS_ATTACK_TYPE_SESS_TRANS,
 WS_ATTACK_TYPE_SESS_OPEN_MASK = 1 << WS_ATTACK_TYPE_SESS_OPEN,
 WS_ATTACK_TYPE_INJ_RATIO_MASK = 1 << WS_ATTACK_TYPE_INJ_RATIO,
 WS_ATTACK_TYPE_SESS_RESET_MASK = 1 << WS_ATTACK_TYPE_SESS_RESET,
 WS_ATTACK_TYPE_SUSP_CLIENT_MASK = 1 << WS_ATTACK_TYPE_SUSP_CLIENT
};
typedef _ws_attack_type_mask_t ws_attack_type_mask_t;
typedef struct
{
    client_side_dropped_data_event_code_t code;
    client_side_dropped_data_event_state_t state;
    policy_name_crc_t policy_name_crc;
    char http_selector[255];
    ip_addr_t client_ip;
    uint16_t rtdom_id;
    char geo_location[4];
    BOOL transparent_mode;
    ws_attack_type_t ws_attack_type;
    uint64_t drop_counter;
    uint64_t violation_counter;
    uint64_t drop_counter_delta;
    uint64_t violation_counter_delta;
    uint64_t cshui_injection_ratio_threshold;
    uint64_t cshui_injection_ratio;
    uint64_t ws_sess_trans_number;
    uint64_t ws_sess_open_detection;
    uint64_t ws_sess_open_legitimate;
    uint64_t ws_sess_open_prevention_state;
    uint32_t scraping_plugins;
    char lang[10];
    short time_zone;
    uint64_t ws_num_fp_restored;
} t_ev_client_side_dropped_data_state_change;
typedef struct
{
    crc_t event_id;
    policy_name_crc_t policy_name_crc;
    ip_addr_t client_ip;
    uint16_t rtdom_id;
    char geo_location[4];
    uint64_t drop_count;
    uint64_t violated_count;
    uint64_t drop_count_delta;
    uint64_t violated_count_delta;
    ws_attack_type_t ws_attack_type;
} t_ev_client_side_dropped_data_batch_entity;
typedef struct
{
    client_side_dropped_data_event_code_t code;
    t_ev_client_side_dropped_data_batch_entity batch_arr[10];
} t_ev_client_side_dropped_data_reporting;
enum _EVENT_CODE
{
 EV_TEST = 1000,
 EV_UNIT_STATE_CHANGED,
 EV_COMMAND_FAILED,
 EV_UNIT_STARTED,
 EV_UNIT_SHUTDOWN,
 EV_UPDATE_SOFTWARE_FAILED,
 EV_WEBSERVER_FAILURE,
 EV_UNKNOWN_FAILURE,
 EV_BD_FAILURE,
 EV_BACKUP_FAILED,
 EV_BACKUP_REPLACED_ACTIVE,
 EV_UNIT_REBOOTED,
 EV_UNIT_RESTARTED,
    EV_UNIT_ENTERED_WAIT_STATUS,
    EV_PROCESS_FAILURE,
 EV_VERSION_MISMATCH,
 EV_SET_ACTIVE_POLICY_FAILED,
    EV_UPDATE_TRAFFICSHIELD_FAILED,
    EV_INSTALL_PACKAGE_FAILED,
    EV_PACKAGE_ROLLBACK_FAILED,
    EV_ERROR_DURING_LICENSE_INSTALLATION,
    EV_EXPORT_CONFIGURATION_FAILED,
    EV_START_RECORD_TRAFFIC_FAILED,
    EV_STOP_RECORD_TRAFFIC_FAILED,
    EV_START_AUTO_ACCEPT_FAILED,
    EV_STOP_AUTO_ACCEPT_FAILED,
    EV_INTERFACE_DOWN,
    EV_SYSTEM_RESOURCE_LOW,
    EV_AUTOMATION_ERROR,
    EV_DATABASE_CORRUPTION,
    EV_LEARNING_REQUEST_FAILED,
};
typedef _EVENT_CODE EVENT_CODE;
typedef struct _t_data_unit_state_changed
{
 int site_id;
 DISP_MAC_ADDR unit_id;
 UNIT_STATE state;
} t_data_unit_state_changed;
typedef struct _t_data_unit_rebooted
{
 int site_id;
 DISP_MAC_ADDR unit_id;
} t_data_unit_rebooted;
typedef struct _t_data_command_failed
{
 int site_id;
 DISP_MAC_ADDR unit_id;
 char cmd_name[20 +1];
 char reason[40 +1];
} t_data_command_failed;
typedef struct _t_data_no_polling_result
{
 int site_id;
 DISP_MAC_ADDR unit_id;
} t_data_no_polling_result;
typedef struct _t_data_update_config_failed
{
 int site_id;
 DISP_MAC_ADDR unit_id;
 CONFIG_TYPE config_type;
} t_data_update_config_failed;
typedef struct _t_data_unit_shutdown
{
 DISP_MAC_ADDR unit_id;
} t_data_unit_shutdown;
enum _CMD_RESULT_CODE
{
  CMD_RESULT_CODE_FAILED = -1,
  CMD_RESULT_CODE_SUCCEED = 0
};
typedef _CMD_RESULT_CODE CMD_RESULT_CODE;
typedef struct _t_ev_mng_info_event
{
 EVENT_CODE code;
    UNIT_STATE state;
 char desc[256];
} t_ev_mng_info_event;
typedef struct _t_ev_mng_cmd_event
{
 DCC_MSG cmd_code;
 char result_description[256 + 1];
} t_ev_mng_cmd_event;
typedef struct _t_ev_mng_syslog_event
{
 char result_description[256 + 1];
} t_ev_mng_syslog_event;
