// **********************************************************************
//
// Copyright (c) 1996-2006, 2008, 2010-2012
// F5 Networks Inc.
// Seattle, WA, USA
//
// All Rights Reserved
//
// **********************************************************************
#ifndef _ASM_ENCODINGS_H
#define _ASM_ENCODINGS_H

#include <string>
using namespace std;

class EncodingsClass
{
public:
    static inline string get_encoding_by_name(ASM::WebApplicationLanguage enum_value)
    {
        switch(enum_value)
        {
        case ASM::UNICODE_UTF_8: return "utf-8";
        case ASM::WESTERN_EUROPEAN_ISO_8859_1: return "iso-8859-1";
        case ASM::WESTERN_EUROPEAN_WINDOWS_1252: return "windows-1252";
        case ASM::WESTERN_EUROPEAN_ISO_8859_15: return "iso-8859-15";
        case ASM::CENTRAL_EUROPEAN_ISO_8859_2: return "iso-8859-2";
        case ASM::CENTRAL_EUROPEAN_WINDOWS_1250: return "windows-1250";
        case ASM::SOUTH_EUROPEAN_ISO_8859_3: return "iso-8859-3";
        case ASM::GREEK_ISO_8859_7: return "iso-8859-7";
        case ASM::GREEK_WINDOWS_1253: return "windows-1253";
        case ASM::NORDIC_ISO_8859_10: return "iso-8859-10";
        case ASM::CYRILLIC_WINDOWS_1251: return "windows-1251";
        case ASM::CYRILLIC_KOI8_R: return "koi8-r";
        case ASM::CYRILLIC_ISO_8859_5: return "iso-8859-5";
        case ASM::ROMANIAN_ISO_8859_16: return "iso-8859-16";
        case ASM::BALTIC_ISO_8859_4: return "iso-8859-4";
        case ASM::BALTIC_ISO_8859_13: return "iso-8859-13";
        case ASM::BALTIC_WINDOWS_1257: return "windows-1257";
        case ASM::HEBREW_WINDOWS_1255: return "windows-1255";
        case ASM::HEBREW_ISO_8859_8: return "iso-8859-8";
        case ASM::JAPANESE_SHIFT_JIS: return "shift_jis";
        case ASM::JAPANESE_EUC_JP: return "euc-jp";
        case ASM::KOREAN_EUC_KR: return "euc-kr";
        case ASM::CHINESE_BIG5: return "big5";
        case ASM::CHINESE_GB2312: return "gb2312";
        case ASM::THAI_CP874: return "windows-874";
        case ASM::ARABIC_ISO_8859_6: return "iso-8859-6";
        case ASM::CHINESE_GBK: return "gbk";
        case ASM::CHINESE_GB18030: return "gb18030";
        case ASM::TURKISH_ISO_8859_9: return "iso-8859-9";
        case ASM::ARABIC_WINDOWS_1256: return "windows-1256";
        default: return ""; // ASM::LANGUAGE_UNDEFINED
        }
    }
 
    static inline ASM::WebApplicationLanguage get_name_by_encoding(const string &encoding)
    {
        if(encoding == "utf-8") return ASM::UNICODE_UTF_8;
        if(encoding == "iso-8859-1") return ASM::WESTERN_EUROPEAN_ISO_8859_1;
        if(encoding == "windows-1252") return ASM::WESTERN_EUROPEAN_WINDOWS_1252;
        if(encoding == "iso-8859-15") return ASM::WESTERN_EUROPEAN_ISO_8859_15;
        if(encoding == "iso-8859-2") return ASM::CENTRAL_EUROPEAN_ISO_8859_2;
        if(encoding == "windows-1250") return ASM::CENTRAL_EUROPEAN_WINDOWS_1250;
        if(encoding == "iso-8859-3") return ASM::SOUTH_EUROPEAN_ISO_8859_3;
        if(encoding == "iso-8859-7") return ASM::GREEK_ISO_8859_7;
        if(encoding == "windows-1253") return ASM::GREEK_WINDOWS_1253;
        if(encoding == "iso-8859-10") return ASM::NORDIC_ISO_8859_10;
        if(encoding == "windows-1251") return ASM::CYRILLIC_WINDOWS_1251;
        if(encoding == "koi8-r") return ASM::CYRILLIC_KOI8_R;
        if(encoding == "iso-8859-5") return ASM::CYRILLIC_ISO_8859_5;
        if(encoding == "iso-8859-16") return ASM::ROMANIAN_ISO_8859_16;
        if(encoding == "iso-8859-4") return ASM::BALTIC_ISO_8859_4;
        if(encoding == "iso-8859-13") return ASM::BALTIC_ISO_8859_13;
        if(encoding == "windows-1257") return ASM::BALTIC_WINDOWS_1257;
        if(encoding == "windows-1255") return ASM::HEBREW_WINDOWS_1255;
        if(encoding == "iso-8859-8") return ASM::HEBREW_ISO_8859_8;
        if(encoding == "shift_jis") return ASM::JAPANESE_SHIFT_JIS;
        if(encoding == "euc-jp") return ASM::JAPANESE_EUC_JP;
        if(encoding == "euc-kr") return ASM::KOREAN_EUC_KR;
        if(encoding == "big5") return ASM::CHINESE_BIG5;
        if(encoding == "gb2312") return ASM::CHINESE_GB2312;
        if(encoding == "windows-874") return ASM::THAI_CP874;
        if(encoding == "iso-8859-6") return ASM::ARABIC_ISO_8859_6;
        if(encoding == "gbk") return ASM::CHINESE_GBK;
        if(encoding == "gb18030") return ASM::CHINESE_GB18030;
        if(encoding == "iso-8859-9") return ASM::TURKISH_ISO_8859_9;
        if(encoding == "windows-1256") return ASM::ARABIC_WINDOWS_1256;
        return ASM::LANGUAGE_UNDEFINED;
    }
};

#endif /* #ifndef _ASM_ENCODINGS_H */
