// **********************************************************************
//
// Copyright (c) 1996-2006, 2008, 2010-2012
// F5 Networks Inc.
// Seattle, WA, USA
//
// All Rights Reserved
//
// **********************************************************************
#ifndef _ASM_LANGUAGES_H
#define _ASM_LANGUAGES_H


class LanguagesClass

{

  public:

    static inline int get_lang_id_by_name(int in_id){

        int lang_set_id;
        switch(in_id){

            case 1 : lang_set_id = 1;  break;   //   UNICODE_UTF_8
            case 2 : lang_set_id = 3;  break;   //   WESTERN_EUROPEAN_ISO_8859_1
            case 3 : lang_set_id = 4;  break;   //   WESTERN_EUROPEAN_WINDOWS_1252
            case 4 : lang_set_id = 5;  break;   //   WESTERN_EUROPEAN_ISO_8859_15
            case 5 : lang_set_id = 7;  break;   //   CENTRAL_EUROPEAN_ISO_8859_2
            case 6 : lang_set_id = 8;  break;   //   CENTRAL_EUROPEAN_WINDOWS_1250
            case 7 : lang_set_id = 10;  break;   //   SOUTH_EUROPEAN_ISO_8859_3
            case 8 : lang_set_id = 12;  break;   //   GREEK_ISO_8859_7
            case 9 : lang_set_id = 13;  break;   //   GREEK_WINDOWS_1253
            case 10 : lang_set_id = 15;  break;   //   NORDIC_ISO_8859_10
            case 11 : lang_set_id = 17;  break;   //   CYRILLIC_WINDOWS_1251
            case 12 : lang_set_id = 18;  break;   //   CYRILLIC_KOI8_R
            case 13 : lang_set_id = 19;  break;   //   CYRILLIC_ISO_8859_5
            case 14 : lang_set_id = 21;  break;   //   ROMANIAN_ISO_8859_16
            case 15 : lang_set_id = 23;  break;   //   BALTIC_ISO_8859_4
            case 16 : lang_set_id = 24;  break;   //   BALTIC_ISO_8859_13
            case 17 : lang_set_id = 25;  break;   //   BALTIC_WINDOWS_1257
            case 18 : lang_set_id = 27;  break;   //   HEBREW_WINDOWS_1255
            case 19 : lang_set_id = 28;  break;   //   HEBREW_ISO_8859_8
            case 20 : lang_set_id = 30;  break;   //   JAPANESE_SHIFT_JIS
            case 21 : lang_set_id = 31;  break;   //   JAPANESE_EUC_JP
            case 22 : lang_set_id = 33;  break;   //   KOREAN_EUC_KR
            case 23 : lang_set_id = 35;  break;   //   CHINESE_BIG5
            case 24 : lang_set_id = 36;  break;   //   CHINESE_GB2312
            case 25 : lang_set_id = 38;  break;   //   THAI_CP874
            case 26 : lang_set_id = 40;  break;   //   ARABIC_ISO_8859_6
            case 27 : lang_set_id = 41;  break;   //   CHINESE_GBK
            case 28 : lang_set_id = 42;  break;   //   CHINESE_GB18030
            case 29 : lang_set_id = 43;  break;   //   TURKISH_ISO_8859_9
            case 30 : lang_set_id = 44;  break;   //   ARABIC_WINDOWS_1256
            default : lang_set_id = 0;            // LANGUAGE_UNDEFINED
           }
       return lang_set_id;
     }
 
     static inline int get_name_by_lang_id(int in_id){

        int name_id;

        switch(in_id){
            case 1 : name_id = 1;  break;    //   UNICODE_UTF_8
            case 3 : name_id = 2;  break;    //   WESTERN_EUROPEAN_ISO_8859_1
            case 4 : name_id = 3;  break;    //   WESTERN_EUROPEAN_WINDOWS_1252
            case 5 : name_id = 4;  break;    //   WESTERN_EUROPEAN_ISO_8859_15
            case 7 : name_id = 5;  break;    //   CENTRAL_EUROPEAN_ISO_8859_2
            case 8 : name_id = 6;  break;    //   CENTRAL_EUROPEAN_WINDOWS_1250
            case 10 : name_id = 7;  break;    //   SOUTH_EUROPEAN_ISO_8859_3
            case 12 : name_id = 8;  break;    //   GREEK_ISO_8859_7
            case 13 : name_id = 9;  break;    //   GREEK_WINDOWS_1253
            case 15 : name_id = 10;  break;    //   NORDIC_ISO_8859_10
            case 17 : name_id = 11;  break;    //   CYRILLIC_WINDOWS_1251
            case 18 : name_id = 12;  break;    //   CYRILLIC_KOI8_R
            case 19 : name_id = 13;  break;    //   CYRILLIC_ISO_8859_5
            case 21 : name_id = 14;  break;    //   ROMANIAN_ISO_8859_16
            case 23 : name_id = 15;  break;    //   BALTIC_ISO_8859_4
            case 24 : name_id = 16;  break;    //   BALTIC_ISO_8859_13
            case 25 : name_id = 17;  break;    //   BALTIC_WINDOWS_1257
            case 27 : name_id = 18;  break;    //   HEBREW_WINDOWS_1255
            case 28 : name_id = 19;  break;    //   HEBREW_ISO_8859_8
            case 30 : name_id = 20;  break;    //   JAPANESE_SHIFT_JIS
            case 31 : name_id = 21;  break;    //   JAPANESE_EUC_JP
            case 33 : name_id = 22;  break;    //   KOREAN_EUC_KR
            case 35 : name_id = 23;  break;    //   CHINESE_BIG5
            case 36 : name_id = 24;  break;    //   CHINESE_GB2312
            case 38 : name_id = 25;  break;    //   THAI_CP874
            case 40 : name_id = 26;  break;    //   ARABIC_ISO_8859_6
            case 41 : name_id = 27;  break;    //   CHINESE_GBK
            case 42 : name_id = 28;  break;    //   CHINESE_GB18030
            case 43 : name_id = 29;  break;    //   TURKISH_ISO_8859_9
            case 44 : name_id = 30;  break;    //   ARABIC_WINDOWS_1256
            default : name_id = 0;             // LANGUAGE_UNDEFINED
           }
         return name_id;
       }
  
 };
#endif /* #ifndef _ASM_LANGUAGES_H */
