// **********************************************************************
//
// Copyright (c) 2000, 2006, 2011
// F5 Networks Inc.
// Seattle, WA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef _EMBED_H_
#define _EMBED_H_

#include <EXTERN.h>               /* from the Perl distribution     */
#include <perl.h>                 /* from the Perl distribution     */

EXTERN_C void xs_init (pTHX);     /***    init dyn. loading       ***/
EXTERN_C void init_perl_obj();
EXTERN_C void init_perl_interp();
EXTERN_C void destroy_perl_interp();

#define INIT_DISPATCH                     \
    STRLEN n_a;                           \
    SV *retval

#define INIT_PERL_STACK(method)           \
    dSP;                                  \
    ENTER;                                \
    SAVETMPS;                             \
    PUSHMARK(SP);                         \
    XPUSHs(my_obj);                       \
    XPUSHs(sv_2mortal(newSVpv(DISPATCH_PACKAGE, 0))); \
    XPUSHs(sv_2mortal(newSVpv(method,0)))

#define CALL_DISPATCH                     \
    PUTBACK;                              \
    call_method("dispatch", G_SCALAR);    \
    SPAGAIN;                              \
    retval = POPs;                        \
    PUTBACK

#define FINISH_DISPATCH                   \
    FREETMPS;                             \
    LEAVE

#define THROW_OPERATION_FAILED            \
    FINISH_DISPATCH;                      \
    throwOperationFailed(                 \
      SvIV(get_sv("F5::Acc::iControlDispatch::ErrorCode", 0)),\
      0,                                  \
      SvPV(get_sv("F5::Acc::iControlDispatch::ErrorString", 0), n_a))

#endif // _EMBED_H_
