// **********************************************************************
//
// Copyright (c) 1996-2006, 2008, 2010-2012
// F5 Networks Inc.
// Seattle, WA, USA
//
// All Rights Reserved
//
// **********************************************************************
#ifndef _ASM_VIOLATIONS_H
#define _ASM_VIOLATIONS_H

#include <string>
using namespace std;

class ViolationsClass
{
public:
    static inline int get_index_by_name(int enum_value)
    {
        switch(enum_value)
        {
        case 0: return 7; // VIOLATION_EVASION_DETECTED
        case 1: return 6; // VIOLATION_VIRUS_DETECTED
        case 2: return 5; // VIOLATION_REQUEST_TOO_LONG
        case 3: return 4; // VIOLATION_ILLEGAL_INGRESS_OBJECT
        case 4: return 3; // VIOLATION_PARSER_EXPIRED_INGRESS_OBJECT
        case 5: return 2; // VIOLATION_RESPONSE_SCRUBBING
        case 6: return 1; // VIOLATION_ILLEGAL_SOAP_ATTACHMENT
        case 7: return 64; // VIOLATION_MISSING_MANDATORY_HEADER
        case 8: return 15; // VIOLATION_ILLEGAL_GEOLOCATION
        case 9: return 14; // VIOLATION_HTTP_SANITY_CHECK_FAILED
        case 10: return 13; // VIOLATION_CHAR_CONV
        case 11: return 12; // VIOLATION_CSRF
        case 12: return 11; // VIOLATION_MALFORMED_XML
        case 13: return 10; // VIOLATION_XML_WSDL
        case 14: return 9; // VIOLATION_XML_FORMAT_SETTING
        case 15: return 8; // VIOLATION_PARSER_FAILED_SOAP_SECURITY
        case 16: return 23; // VIOLATION_SOAP_METHOD_NOT_ALLOWED
        case 17: return 22; // VIOLATION_BRUTE_FORCE_ATTACK_DETECTED
        case 19: return 20; // VIOLATION_CSRF_EXPIRED
        case 20: return 19; // VIOLATION_OBJ_LEN
        case 21: return 18; // VIOLATION_COOKIE_LEN
        case 22: return 17; // VIOLATION_REQ_LEN
        case 23: return 16; // VIOLATION_QS_LEN
        case 24: return 31; // VIOLATION_POST_DATA_LEN
        case 25: return 30; // VIOLATION_MULTI_PART_PARAM_VAL
        case 26: return 29; // VIOLATION_HEADER_LEN
        case 27: return 28; // VIOLATION_JSON_FORMAT_SETTING
        case 28: return 27; // VIOLATION_REPEATED_PARAMETER_NAME
        case 29: return 26; // VIOLATION_METACHAR_IN_OBJ
        case 30: return 25; // VIOLATION_METACHAR_IN_PARAM_NAME
        case 31: return 24; // VIOLATION_METACHAR_IN_DEF_PARAM
        case 32: return 39; // VIOLATION_OBJ_TYPE
        case 33: return 38; // VIOLATION_OBJ_DOESNT_EXIST
        case 34: return 37; // VIOLATION_FLOW_TO_OBJ
        case 35: return 36; // VIOLATION_ILLEGAL_METHOD
        case 36: return 35; // VIOLATION_SESSSION_ID_IN_URL
        case 37: return 34; // VIOLATION_QS_OR_POST_DATA
        case 38: return 33; // VIOLATION_PARAM
        case 39: return 32; // VIOLATION_EMPTY_PARAM_VALUE
        case 40: return 47; // VIOLATION_STATIC_PARAM_VALUE
        case 41: return 46; // VIOLATION_DYN_PARAM_VALUE
        case 42: return 45; // VIOLATION_PARAM_VALUE_LEN
        case 43: return 44; // VIOLATION_PARAM_DATA_TYPE
        case 44: return 43; // VIOLATION_PARAM_NUMERIC_VALUE
        case 45: return 41; // VIOLATION_NUM_OF_MANDATORY_PARAMS
        case 46: return 40; // VIOLATION_PARAM_VALUE_NOT_MATCHING_REGEX
        case 47: return 55; // VIOLATION_MOD_ASM_COOKIE
        case 48: return 54; // VIOLATION_MOD_DOMAIN_COOKIE
        case 49: return 53; // VIOLATION_NOT_RFC_COOKIE
        case 50: return 52; // VIOLATION_MALFORMED_JSON
        case 51: return 51; // VIOLATION_ENTRY_POINT
        case 52: return 50; // VIOLATION_SESSION_AWARENESS
        case 53: return 49; // VIOLATION_MSG_KEY
        case 54: return 48; // VIOLATION_EXPIRED_TIMESTAMP
        case 55: return 60; // VIOLATION_DISALLOWED_FILE_UPLOAD_CONTENT
        case 56: return 58; // VIOLATION_METACHAR_IN_HEADER
        case 57: return 57; // VIOLATION_ILLEGAL_REQUEST_CONTENT_TYPE
        case 58: return 56; // VIOLATION_HTTP_STATUS_IN_RESPONSE
        case 59: return 61; // VIOLATION_PARSER_ACCESS_FROM_MALICIOUS_IP_ADDRESS
        case 60: return 63; // VIOLATION_GWT_FORMAT_SETTING
        case 61: return 59; // VIOLATION_MALFORMED_GWT
        case 62: return 62; // VIOLATION_BASE64_PARAM_VALUE
        case 63: return 65; // VIOLATION_REDIRECT
        case 64: return 66; // VIOLATION_WEBSOCKET_BAD_REQUEST
        case 65: return 67; // VIOLATION_WEBSOCKET_FRAMING_PROTOCOL
        case 66: return 68; // VIOLATION_WEBSOCKET_FRAME_MASKING
        case 67: return 69; // VIOLATION_WEBSOCKET_FRAME_LENGTH
        case 68: return 70; // VIOLATION_WEBSOCKET_TEXT_NULL_VALUE
        case 69: return 71; // VIOLATION_CROSS_ORIGIN_REQUEST
        case 70: return 72; // VIOLATION_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED
        case 71: return 73; // VIOLATION_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED
        case 72: return 74; // VIOLATION_WEBSOCKET_EXTENSION
        case 73: return 75; // VIOLATION_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT
        case 74: return 76; // VIOLATION_WEBSOCKET_BINARY_MESSAGE_LENGTH
        case 75: return 77; // VIOLATION_PLAINTEXT_FORMAT_SETTING
        case 76: return 78; // VIOLATION_BLACKLISTED_IP
        case 77: return 79; // VIOLATION_THREAT_CAMPAIGN_DETECTED
        case 78: return 80; // VIOLATION_ILLEGAL_PARAM_ARRAY_VALUE
        case 79: return 81; // VIOLATION_JSON_SCHEMA
        case 80: return 82; // VIOLATION_MANDATORY_PARAMETER
        case 81: return 83; // VIOLATION_PARAMETER_LOCATION
        case 82: return 84; // VIOLATION_MALICIOUS_DEVICE
        case 83: return 85; // VIOLATION_BLOCKING_CONDITION
        case 84: return 86; // VIOLATION_THREAT_ANALYSIS
        case 85: return 87; // VIOLATION_LEAKED_CREDENTIALS
        case 86: return 88; // VIOLATION_HOSTNAME
        case 87: return 89; // VIOLATION_HOSTNAME_MISMATCH
        case 88: return 90; // VIOLATION_CONVICTION
        case 89: return 91; // VIOLATION_MANDATORY_REQUEST_BODY
        case 90: return 92; // VIOLATION_HEADER_REPEATED
        case 91: return 93; // VIOLATION_VIOL_RATING_THREAT_DETECTED
        case 92: return 94; // VIOLATION_VIOL_RATING_NEED_EXAMINATION_DETECTED
        case 93: return 95; // VIOLATION_DATA_INTEGRITY
        case 94: return 96; // VIOLATION_DISALLOWED_FILE_UPLOAD_IN_BODY
        case 95: return 97; // VIOLATION_SERVER_SIDE_HOST
        case 96: return 98; // VIOLATION_MALFORMED_GRAPHQL
        case 97: return 99; // VIOLATION_GRAPHQL_FORMAT_SETTING
        case 98: return 121; // VIOLATION_GRAPHQL_INTROSPECTION_QUERY
        case 99: return 128; // VIOLATION_GRAPHQL_ERROR_RESPONSE
        default: return -1; // wrong violation
        }
    }
 
    static inline int get_name_by_index(int viol_index)
    {
        if(viol_index == 7) return 0; // VIOLATION_EVASION_DETECTED
        if(viol_index == 6) return 1; // VIOLATION_VIRUS_DETECTED
        if(viol_index == 5) return 2; // VIOLATION_REQUEST_TOO_LONG
        if(viol_index == 4) return 3; // VIOLATION_ILLEGAL_INGRESS_OBJECT
        if(viol_index == 3) return 4; // VIOLATION_PARSER_EXPIRED_INGRESS_OBJECT
        if(viol_index == 2) return 5; // VIOLATION_RESPONSE_SCRUBBING
        if(viol_index == 1) return 6; // VIOLATION_ILLEGAL_SOAP_ATTACHMENT
        if(viol_index == 64) return 7; // VIOLATION_MISSING_MANDATORY_HEADER
        if(viol_index == 15) return 8; // VIOLATION_ILLEGAL_GEOLOCATION
        if(viol_index == 14) return 9; // VIOLATION_HTTP_SANITY_CHECK_FAILED
        if(viol_index == 13) return 10; // VIOLATION_CHAR_CONV
        if(viol_index == 12) return 11; // VIOLATION_CSRF
        if(viol_index == 11) return 12; // VIOLATION_MALFORMED_XML
        if(viol_index == 10) return 13; // VIOLATION_XML_WSDL
        if(viol_index == 9) return 14; // VIOLATION_XML_FORMAT_SETTING
        if(viol_index == 8) return 15; // VIOLATION_PARSER_FAILED_SOAP_SECURITY
        if(viol_index == 23) return 16; // VIOLATION_SOAP_METHOD_NOT_ALLOWED
        if(viol_index == 22) return 17; // VIOLATION_BRUTE_FORCE_ATTACK_DETECTED
        if(viol_index == 20) return 19; // VIOLATION_CSRF_EXPIRED
        if(viol_index == 19) return 20; // VIOLATION_OBJ_LEN
        if(viol_index == 18) return 21; // VIOLATION_COOKIE_LEN
        if(viol_index == 17) return 22; // VIOLATION_REQ_LEN
        if(viol_index == 16) return 23; // VIOLATION_QS_LEN
        if(viol_index == 31) return 24; // VIOLATION_POST_DATA_LEN
        if(viol_index == 30) return 25; // VIOLATION_MULTI_PART_PARAM_VAL
        if(viol_index == 29) return 26; // VIOLATION_HEADER_LEN
        if(viol_index == 28) return 27; // VIOLATION_JSON_FORMAT_SETTING
        if(viol_index == 27) return 28; // VIOLATION_REPEATED_PARAMETER_NAME
        if(viol_index == 26) return 29; // VIOLATION_METACHAR_IN_OBJ
        if(viol_index == 25) return 30; // VIOLATION_METACHAR_IN_PARAM_NAME
        if(viol_index == 24) return 31; // VIOLATION_METACHAR_IN_DEF_PARAM
        if(viol_index == 39) return 32; // VIOLATION_OBJ_TYPE
        if(viol_index == 38) return 33; // VIOLATION_OBJ_DOESNT_EXIST
        if(viol_index == 37) return 34; // VIOLATION_FLOW_TO_OBJ
        if(viol_index == 36) return 35; // VIOLATION_ILLEGAL_METHOD
        if(viol_index == 35) return 36; // VIOLATION_SESSSION_ID_IN_URL
        if(viol_index == 34) return 37; // VIOLATION_QS_OR_POST_DATA
        if(viol_index == 33) return 38; // VIOLATION_PARAM
        if(viol_index == 32) return 39; // VIOLATION_EMPTY_PARAM_VALUE
        if(viol_index == 47) return 40; // VIOLATION_STATIC_PARAM_VALUE
        if(viol_index == 46) return 41; // VIOLATION_DYN_PARAM_VALUE
        if(viol_index == 45) return 42; // VIOLATION_PARAM_VALUE_LEN
        if(viol_index == 44) return 43; // VIOLATION_PARAM_DATA_TYPE
        if(viol_index == 43) return 44; // VIOLATION_PARAM_NUMERIC_VALUE
        if(viol_index == 41) return 45; // VIOLATION_NUM_OF_MANDATORY_PARAMS
        if(viol_index == 40) return 46; // VIOLATION_PARAM_VALUE_NOT_MATCHING_REGEX
        if(viol_index == 55) return 47; // VIOLATION_MOD_ASM_COOKIE
        if(viol_index == 54) return 48; // VIOLATION_MOD_DOMAIN_COOKIE
        if(viol_index == 53) return 49; // VIOLATION_NOT_RFC_COOKIE
        if(viol_index == 52) return 50; // VIOLATION_MALFORMED_JSON
        if(viol_index == 51) return 51; // VIOLATION_ENTRY_POINT
        if(viol_index == 50) return 52; // VIOLATION_SESSION_AWARENESS
        if(viol_index == 49) return 53; // VIOLATION_MSG_KEY
        if(viol_index == 48) return 54; // VIOLATION_EXPIRED_TIMESTAMP
        if(viol_index == 60) return 55; // VIOLATION_DISALLOWED_FILE_UPLOAD_CONTENT
        if(viol_index == 58) return 56; // VIOLATION_METACHAR_IN_HEADER
        if(viol_index == 57) return 57; // VIOLATION_ILLEGAL_REQUEST_CONTENT_TYPE
        if(viol_index == 56) return 58; // VIOLATION_HTTP_STATUS_IN_RESPONSE
        if(viol_index == 61) return 59; // VIOLATION_PARSER_ACCESS_FROM_MALICIOUS_IP_ADDRESS
        if(viol_index == 63) return 60; // VIOLATION_GWT_FORMAT_SETTING
        if(viol_index == 59) return 61; // VIOLATION_MALFORMED_GWT
        if(viol_index == 62) return 62; // VIOLATION_BASE64_PARAM_VALUE
        if(viol_index == 65) return 63; // VIOLATION_REDIRECT
        if(viol_index == 66) return 64; // VIOLATION_WEBSOCKET_BAD_REQUEST
        if(viol_index == 67) return 65; // VIOLATION_WEBSOCKET_FRAMING_PROTOCOL
        if(viol_index == 68) return 66; // VIOLATION_WEBSOCKET_FRAME_MASKING
        if(viol_index == 69) return 67; // VIOLATION_WEBSOCKET_FRAME_LENGTH
        if(viol_index == 70) return 68; // VIOLATION_WEBSOCKET_TEXT_NULL_VALUE
        if(viol_index == 71) return 69; // VIOLATION_CROSS_ORIGIN_REQUEST
        if(viol_index == 72) return 70; // VIOLATION_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED
        if(viol_index == 73) return 71; // VIOLATION_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED
        if(viol_index == 74) return 72; // VIOLATION_WEBSOCKET_EXTENSION
        if(viol_index == 75) return 73; // VIOLATION_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT
        if(viol_index == 76) return 74; // VIOLATION_WEBSOCKET_BINARY_MESSAGE_LENGTH
        if(viol_index == 77) return 75; // VIOLATION_PLAINTEXT_FORMAT_SETTING
        if(viol_index == 78) return 76; // VIOLATION_BLACKLISTED_IP
        if(viol_index == 79) return 77; // VIOLATION_THREAT_CAMPAIGN_DETECTED
        if(viol_index == 80) return 78; // VIOLATION_ILLEGAL_PARAM_ARRAY_VALUE
        if(viol_index == 81) return 79; // VIOLATION_JSON_SCHEMA
        if(viol_index == 82) return 80; // VIOLATION_MANDATORY_PARAMETER
        if(viol_index == 83) return 81; // VIOLATION_PARAMETER_LOCATION
        if(viol_index == 84) return 82; // VIOLATION_MALICIOUS_DEVICE
        if(viol_index == 85) return 83; // VIOLATION_BLOCKING_CONDITION
        if(viol_index == 86) return 84; // VIOLATION_THREAT_ANALYSIS
        if(viol_index == 87) return 85; // VIOLATION_LEAKED_CREDENTIALS
        if(viol_index == 88) return 86; // VIOLATION_HOSTNAME
        if(viol_index == 89) return 87; // VIOLATION_HOSTNAME_MISMATCH
        if(viol_index == 90) return 88; // VIOLATION_CONVICTION
        if(viol_index == 91) return 89; // VIOLATION_MANDATORY_REQUEST_BODY
        if(viol_index == 92) return 90; // VIOLATION_HEADER_REPEATED
        if(viol_index == 93) return 91; // VIOLATION_VIOL_RATING_THREAT_DETECTED
        if(viol_index == 94) return 92; // VIOLATION_VIOL_RATING_NEED_EXAMINATION_DETECTED
        if(viol_index == 95) return 93; // VIOLATION_DATA_INTEGRITY
        if(viol_index == 96) return 94; // VIOLATION_DISALLOWED_FILE_UPLOAD_IN_BODY
        if(viol_index == 97) return 95; // VIOLATION_SERVER_SIDE_HOST
        if(viol_index == 98) return 96; // VIOLATION_MALFORMED_GRAPHQL
        if(viol_index == 99) return 97; // VIOLATION_GRAPHQL_FORMAT_SETTING
        if(viol_index == 121) return 98; // VIOLATION_GRAPHQL_INTROSPECTION_QUERY
        if(viol_index == 128) return 99; // VIOLATION_GRAPHQL_ERROR_RESPONSE
        return -1; // wrong violation
    }
};
 
#endif /* #ifndef _ASM_VIOLATIONS_H */
