#ifndef _XML_CONSTANTS_AND_ENUMS_H_
#define _XML_CONSTANTS_AND_ENUMS_H_


                              
#define TIMESTAMP_MAXIMUM_INTERVAL 134217728  //2^27 -> 4 years 

#define MAXIMUM_CONFIG_FILE_BUFFER 1000

//this vlue is ar arbitrary, and it used to avoid overflow of the year in the sturct, see CR 134234
#define MAXIMUM_YEAR_DIFF_IN_TIMESTAMP 20

#ifndef MIN
#define MIN(a, b) (((a)<(b))?(a):(b))
#endif
#ifndef MAX
#define MAX(a, b) (((a)>(b))?(a):(b))
#endif

#define ABS(a)     ((a>0)?(a):(-a))

#define STDEF(s)  {sizeof(s)-1, s}
#define STDEF3(s) {sizeof(s)-3, s}
#define STDEF5(s) {sizeof(s)-5, s}

typedef struct data_cipher_ctx_t  * pdata_cipher_ctx_t;
typedef struct key_cipher_ctx_t   * pkey_cipher_ctx_t;
typedef struct data_refs_list_t   * pdata_refs_list_t;
typedef struct wss_xml_element_t  * pwss_xml_element_t;
typedef struct wss_binsec_token_t * pwss_binsec_token_t;
typedef struct wss_buffer_t       * pwss_buffer_t;

// character references translation codes
typedef enum {

    XML_CHREF_TAB = 0,
    XML_CHREF_LF,
    XML_CHREF_CR,
    XML_CHREF_AMP,
    XML_CHREF_QUOT,
    XML_CHREF_LT,
    XML_CHREF_GT,

    XML_CHREF_NUM,
} xml_character_reference;


typedef enum {

    XML_CANON_RESET_FAST,
    XML_CANON_RESET_LONG,
    XML_CANON_PARSE_ELEMENT,
    XML_CANON_PARSE_XPATH

} xml_canon_operation_type;


typedef enum {

    ROLE_ACTOR_NEXT,
    ROLE_ACTOR_NONE,
    ROLE_ACTOR_UTLIMA_RECIVER,

    WSS_ROLE_ACTOR_CODES_NUMBER,
} wss_role_actor_codes;


typedef enum {

    NO_ENCRYPTION_AND_SIGN = 0 ,
    ENCRYPT_BEFORE_SIGN = 1,
    SIGN_BEFORE_ENCRYPT = 2,

} encryption_signature_type_doc  ;


typedef enum {


    UNDIFIEND_BINARY_SECURITY_TOKEN=0,
    SERVER_BINARY_SECURITY_TOEKN=1,
    CLIENT_BINARY_SECURITY_TOKEN=2,

} BINARY_SECURITY_TOKEN_TYPE;


typedef enum {

    ELEMENT_ATTRIBUTE_TYPE_USER_DEFINED_NS=4,
    ELEMENT_ATTRIBUTE_TYPE_DEF_NUM,

} xml_element_attribute_type_def ;


struct prefix_hash_linked_list{
    unsigned int hash_val;
    struct prefix_hash_linked_list *next;
};

typedef enum {
    XML_CANON_C14N = 0,
    XML_CANON_C14N_WITH_COMMENTS,
    XML_CANON_EXC_C14N,
    XML_CANON_EXC_C14N_WITH_COMMENTS,

    XML_CANON_TYPES_NUM,
} xml_canonicalization_type;

typedef enum _encryption_and_sign_op {

    WSS_NO_OPERATION,
    WSS_ENCRYPT_THEN_SIGN,
    WSS_SIGN_THEN_ENCRYPT,
    WSS_SIGN_ONLY,
    WSS_ENCRYPT_ONLY,

} encryption_and_sign_op;

typedef enum _authentication_op {

    WSS_AUTHENTICATE_USERS,
    WSS_DO_NOT_AUTHENTICATE_USERS,

} authentication_op;

typedef enum _client_verification_stat{

    WSS_CLIENT_VERIFICATION_FAILED =0,
    WSS_CLIENT_VERIFICATION_PASSED =1,
    WSS_CLIENT_VERIFICATION_ERROR =2,
    WSS_CLIENT_VERIFICATION_WAS_NOT_FOUND =3,
     
} client_verification_stat;


typedef struct _username_token_obj {

    unsigned int type;
    //todo: refactor those fields to their hash value to save space.
    unsigned char * username;
    unsigned int  username_len;
    unsigned char *password;
    unsigned int  password_len;
    unsigned char *nonace;
    unsigned char *created;
    unsigned char *salt;
    unsigned char *iteration;

    //unsigned int username_hash;
    //unsigned int password_hash;
    //unsigned int nonace_hash;

} username_token_obj;


typedef enum _signature_security_token_references {

    WSS_SUBJECT_KEY_IDENTIFIER_REFERENCE,  
    WSS_ISSUER_SERIAL_REFERNCE,

} signature_security_token_references;


typedef enum _wss_signature_str_codes{

    SIGNATURE_RSA_SHA_1_IDENTIFIER=0,
    SIGNATURE_DSA_SHA_1_IDENTIFIER,
    SIGNATURE_DIGEST_ALGORITHM_SHA_1,
    SIGNATURE_ELEMENT_RANDOM_ELEMENT_ID_PREFIX,
    SIGNATURE_ENCODING_BASE64,
    SIGNATURE_HMAC_ALGORITHM,
    SIGNATURE_CANONICALIZATION_METHODS_1_0,
    SIGNATURE_CANONICALIZATION_METHODS_1_0_WITH_COMMENTS,
    SIGNATURE_CANONICALIZATION_METHODS_1_1,
    SIGNATURE_CANONICALIZATION_METHODS_1_1_WITH_COMMENTS,
    SIGNATURE_TRANSFORM_METHOD_XSLT,
    SIGNATURE_TRANSFORM_METHOD_XPATH,
    SIGNATURE_TRANSFORM_METHOD_ENVELOPED_SIGNATURE,
    SIGNATURE_TRANSFORM_EXCLUSICE_CANONICALIZATION,
    SIGNATURE_SIGNED_INFO_ELEMENT_START_TAG,
    SIGNATURE_SIGNED_INFO_ELEMENT_END_TAG,
    SIGNATURE_ELEMENT_START_TAG,
    SIGNATURE_ELEMENT_END_TAG,
    SIGNATURE_ELEMENT_AFTER_DECRYPTION,
    SIGNATURE_ELEMENT_REFRENCE_FOUND,
    SIGNATURE_ELEMENT_REFRENCE_NOT_FOUND,
        
    WSS_SIGNATURE_STRING_NUMBER,
} wss_signature_str_codes;


typedef struct xml_strings_list_t {
	unsigned int size;
	const char * buf;
} xml_strings_list_t;


typedef struct _location {
   unsigned char * begin;
   int length;
} location;


typedef struct _issuer_object {
    unsigned int c_hash_val;
    unsigned int st_hash_val;
    unsigned int l_hash_val;
    unsigned int o_hash_val;
    unsigned int ou_hash_val;
    unsigned int cn_hash_val;
    unsigned int email_hash_val;
} issuer_object;


typedef enum _parser_location {
    LOCATION_UNDEFINED,
    LOCATION_KEY_INFO_EMBEDDED,
    LOCATION_SIGNATURE_KEY_INFO_EMBEDDED

} parser_location;


typedef enum _request_or_response_op_type {

    RESPONSE_OP = 0,
    REQUEST_OP,
    

} request_or_response_op_type;


typedef enum _wss_op_for_sig_and_encrpyt {

    VERIFY_ALL = 1,
    DECRYPT_ALL =1,
    
} wss_op_for_sig_and_encrpyt;


typedef enum _wss_rule_actor_state
{
    ROLE_ACTOR_MISSING = 0,
    ROLE_ACTOR_UNKOWN = 1,
    ROLE_ACTOR_KNOWN = 2,

} wss_role_actor_state;


typedef enum _wss_soap_type {

    SOAP_1_1 = 0,
    SOAP_1_2 = 1,

} wss_soap_type;


typedef enum _change_content_operation_type  {
    CHANGE_CONTENT_ADD,
    CHANGE_CONTENT_REMOVE,
    CHANGE_CONTENT_REPLACE
} change_content_operation_type;


typedef enum _const_add_ops_codes  {

    SOAP_HEADER_ADD = 0,    
    SECURITY_HEADER_ADD,
    ENCRYPTED_KEY_ADD,
    REFERENCE_LIST_HEAD,
    REFERENCE_LIST_ADD,

    ADD_OPS_NUMBER,
} const_add_ops_codes;


typedef enum _encrypted_data_type {

    WSS_ENCRYPTED_DATA_INVALID = 0,
    WSS_ENCRYPTED_DATA_ELEMENT, 
    WSS_ENCRYPTED_DATA_CONTENT,

} encrypted_data_type;


typedef enum _wss_label_result {

    WSS_LABEL_ADDED = 0, 
    WSS_LABEL_ENTRY_EXTRACTED

} _wss_label_result;


typedef enum _wss_operation {

    WSS_OPERATION_DECRYPTION = 1, 
    WSS_OPERATION_SIGNATURE_VERIFY_REFERENCE

} wss_operation;

typedef enum {

    EK_START_TAG_ID = 0,
    EK_START_TAG_NS,
    EK_ENC_METHOD,
    EK_ALG_RSA_1_5,
    EK_ALG_RSA_OAEP,
    EK_ENC_METHOD_END,
    EK_ENC_METHOD_END_2,
    EK_OAEP_PARAMS,
    EK_OAEP_PARAMS_END,
    EK_OAEP_DIGEST,
    EK_ENC_METHOD_END_3,
    EK_KEY_INFO,
    EK_TOK_REF,
    EK_KEY_ID,
    EK_KEY_ID_VT,
    EK_KEY_ID_END,
    EK_TOK_REF_END,
    EK_KEY_INFO_END,
    EK_CIPHER_DATA,
    EK_CIPHER_VALUE,
    EK_CIPHER_VALUE_END,
    EK_CIPHER_DATA_END,
    EK_REF_LIST_END,
    EK_END_TAG,

    WSS_EK_STRINGS_NUMBER,
} wss_encrypt_ek_codes;


typedef enum {

    REFERENCE_LIST_ST = 0,
    DATA_REFERENCE_ST,
    TAG_SHORTCLOSE_W_QUOTE,
    ENCRYPTED_HEADER_ST,
    ENCRYPTED_DATA_ST,
    ENCRYPTED_DATA_ST_1_ELEMENT,
    ENCRYPTED_DATA_ST_1_CONTENT,
    ENCRYPTED_DATA_ST_ID,
    ENCRYPTED_DATA_ST_NS,
    ENCRYPTION_METHOD_ST_AES128,
    ENCRYPTION_METHOD_ST_AES256,
    ENCRYPTION_METHOD_ST_TRIPLEDES,
    ENCRYPTED_DATA_KEY_INFO,
    ENCRYPTED_DATA_RET_METH,
    ENCRYPTED_DATA_RET_METH_END,
    ENCRYPTED_DATA_KEY_INFO_END,
    ENCRYPTED_DATA_VALUE,
    ENCRYPTED_DATA_VALUE_END,
    ENCRYPTED_DATA_ET,
    ENCRYPTED_HEADER_ET,
    SUBJECT_KEY_IDENTIFIER_TAG,
    X509_DATA_ELEMENT_TAG,
    ENCYPTED_KEY_TOKEN_REFERNCE,
    TIMESTAMP_START_ELEMENT,
    TIMESTAMP_END_CONSTANT_ELEMENT,

    WSS_STRINGS_NUMBER,
}wss_encrypt_str_codes;


typedef enum {

    WSS_AUTHENTICATION_PASSWORD_DIGEST,
    WSS_AUTHENTICATION_PASSWORD_TEXT,
    WSS_AUTHENTICATION_PASSWORD_USER_NAME_TOKEN,

    WSS_AUTHENTICATION_STR_CODES_NUMBER,
}wss_authentication_str_codes;


static const xml_strings_list_t	wss_ek_str[WSS_EK_STRINGS_NUMBER] = {
    // EK_START_TAG_ID
    STDEF("\t\t\t<EncryptedKey Id=\""),
    // EK_START_TAG_NS
    STDEF("\" xmlns=\"http://www.w3.org/2001/04/xmlenc#\" xmlns:ds=\"http://www.w3.org/2000/09/xmldsig#\">"),
    // EK_ENC_METHOD
    STDEF("\n\t\t\t\t<EncryptionMethod Algorithm=\""),
    // EK_ALG_RSA_1_5
    STDEF("http://www.w3.org/2001/04/xmlenc#rsa-1_5"),
    // EK_ALG_RSA_OAEP
    STDEF("http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p"),
    // EK_ENC_METHOD_END
    STDEF("\"/>"),
    // EK_ENC_METHOD_END_2
    STDEF("\">"),
    // EK_OAEP_PARAMS
    STDEF("\n\t\t\t\t\t<OAEPparams>\n\t\t\t\t\t\t"),
    // EK_OAEP_PARAMS_END
    STDEF("\n\t\t\t\t\t</OAEPparams>"),
    // EK_OAEP_DIGEST
    STDEF("\n\t\t\t\t\t<DigestMethod xmlns=\"http://www.w3.org/2000/09/xmldsig#\" Algorithm=\"http://www.w3.org/2000/09/xmldsig#sha1\"/>"),
    // EK_ENC_METHOD_END_3
    STDEF("\n\t\t\t\t</EncryptionMethod>"),
    // EK_KEY_INFO
    STDEF("\n\t\t\t\t<ds:KeyInfo>"),
    // EK_TOK_REF
    STDEF("\n\t\t\t\t\t<wsse:SecurityTokenReference>"),
    // EK_KEY_ID
    STDEF("\n\t\t\t\t\t\t<wsse:KeyIdentifier EncodingType=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary\""),
    // EK_KEY_ID_VT
    STDEF("\n\t\t\t\t\t\t                    ValueType=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509SubjectKeyIdentifier\">\n\t\t\t\t\t\t\t"),
    // EK_KEY_ID_END
    STDEF("\n\t\t\t\t\t\t</wsse:KeyIdentifier>"),
    // EK_TOK_REF_END
    STDEF("\n\t\t\t\t\t</wsse:SecurityTokenReference>"),
    // EK_KEY_INFO_END
    STDEF("\n\t\t\t\t</ds:KeyInfo>"),
    // EK_CIPHER_DATA
    STDEF("\n\t\t\t\t<CipherData>"),
    // EK_CIPHER_VALUE
    STDEF("\n\t\t\t\t\t<CipherValue>\n\t\t\t\t\t\t"),
    // EK_CIPHER_VALUE_END
    STDEF("\n\t\t\t\t\t</CipherValue>"),
    // EK_CIPHER_DATA_END
    STDEF("\n\t\t\t\t</CipherData>"),
    // EK_REF_LIST_END
    STDEF("\n\t\t\t\t</ReferenceList>"),
    // EK_END_TAG
    STDEF("\n\t\t\t</EncryptedKey>"),
};


static const xml_strings_list_t authentication_xml_strings[WSS_AUTHENTICATION_STR_CODES_NUMBER] =  {
    STDEF("http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordDigest"),
    STDEF("http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText"),
    STDEF("http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#UsernameToken"),
};

static const xml_strings_list_t	signature_xml_strings[WSS_SIGNATURE_STRING_NUMBER] = {
    //SIGNATURE_RSA_SHA_1_IDENTIFIER
    STDEF("http://www.w3.org/2000/09/xmldsig#rsa-sha1"),
    //SIGNATURE_DSA_SHA_1_IDENTIFIER
    STDEF("http://www.w3.org/2000/09/xmldsig#dsa-sha1"),
    //SIGNATURE_DIGEST_ALGORITHM_SHA_1
    STDEF("http://www.w3.org/2000/09/xmldsig#sha1"),      
    //SIGNATURE_ELEMENT_RANDOM_ELEMENT_ID_PREFIX
    STDEF3(" xmlns:wsu=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd\" wsu:Id=\"ID%s\""),
    //SIGNATURE_ENCODING_BASE64
    STDEF("http://www.w3.org/2000/09/xmldsig#base64"),
    //SIGNATURE_HMAC_ALGORITHM   
    STDEF("http://www.w3.org/2000/09/xmldsig#hmac-sha1"),
    //SIGNATURE_CANONICALIZATION_METHODS_1_0     
    STDEF("http://www.w3.org/TR/2001/REC-xml-c14n-20010315"),
     //SIGNATURE_CANONICALIZATION_METHODS_1_0_WITH_COMMENTS   
    STDEF("http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments"),
     //SIGNATURE_CANONICALIZATION_METHODS_1_1   
    STDEF("http://www.w3.org/2006/12/xml-c14n11"),
     //SIGNATURE_CANONICALIZATION_METHODS_1_1_WITH_COMMENTS   
    STDEF("http://www.w3.org/2006/12/xml-c14n11#WithComments"),
    //SIGNATURE_TRANSFORM_METHOD_XSLT
    STDEF("http://www.w3.org/TR/1999/REC-xslt-19991116"),
    //SIGNATURE_TRANSFORM_METHOD_XPATH   
    STDEF("http://www.w3.org/TR/1999/REC-xpath-19991116"),
    //SIGNATURE_TRANSFORM_METHOD_ENVELOPED_SIGNATURE,   
    STDEF("http://www.w3.org/2000/09/xmldsig#enveloped-signature"),
    //SIGNATURE_TRANSFORM_EXCLUSICE_CANONICALIZATION
    STDEF("http://www.w3.org/2001/10/xml-exc-c14n#"),
    //SIGNATURE_SIGNED_INFO_ELEMENT_START_TAG
    STDEF5("<ds:SignedInfo xmlns:ds=\"http://www.w3.org/2000/09/xmldsig#\">\n<ds:CanonicalizationMethod Algorithm=\"%s\"></ds:CanonicalizationMethod>\n<ds:SignatureMethod Algorithm=\"%s\"></ds:SignatureMethod>"),
    //SIGNATURE_SIGNED_INFO_ELEMENT_END_TAG
    STDEF("\n</ds:SignedInfo>"),
    //SIGNATURE_ELEMENT_START_TAG
    STDEF3("\n<ds:Signature Id=\"%s\" xmlns:ds=\"http://www.w3.org/2000/09/xmldsig#\">\n"),
    //SIGNATURE_ELEMENT_END_TAG
    STDEF("\n<ds:SignatureValue>\n%s\n</ds:SignatureValue>\n<ds:KeyInfo>\n<wsse:SecurityTokenReference xmlns:wsse=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd\">%s\n</wsse:SecurityTokenReference>\n</ds:KeyInfo>\n</ds:Signature>"),
};


static const xml_strings_list_t canon_xml_strings[XML_CANON_TYPES_NUM] = {
    //XML_CANON_C14N   
    STDEF("http://www.w3.org/2006/12/xml-c14n11"),
    //XML_CANON_C14N_WITH_COMMENTS   
    STDEF("http://www.w3.org/2006/12/xml-c14n11#WithComments"),
    //XML_CANON_EXC_C14N_WITH_COMMENTS
    STDEF("http://www.w3.org/2001/10/xml-exc-c14n#"),
    //XML_CANON_EXC_C14N_WITH_COMMENTS
    STDEF("http://www.w3.org/2001/10/xml-exc-c14n#WithComments"),
};


static const xml_strings_list_t	role_actor_xml_strings[WSS_SIGNATURE_STRING_NUMBER] = {
    //ROLE_ACTOR_NEXT
    STDEF("http://www.w3.org/2003/05/soap-envelope/role/next"),
    //ROLE_ACTOR_NONE
    STDEF("http://www.w3.org/2003/05/soap-envelope/role/none"),
    //ROLE_ACTOR_UTLIMA_RECIVER                                   
    STDEF("http://www.w3.org/2003/05/soap-envelope/role/ultimateReceiver"), 
};


static const xml_strings_list_t	xml_strings[WSS_STRINGS_NUMBER] = {
    // REFERENCE_LIST_ST
    STDEF("\n\t\t\t\t<ReferenceList>"),
    // DATA_REFERENCE_ST
    STDEF("\n\t\t\t\t\t<DataReference URI=\"#"),
    // TAG_SHORTCLOSE_W_QUOTE
    STDEF("\"/>"),
    // ENCRYPTED_HEADER_ST
    STDEF("<wsse11:EncryptedHeader xmlns:wsse11=\"http://docs.oasis-open.org/wss/oasis-wsswssecurity-secext-1.1.xsd\">"),
    // ENCRYPTED_DATA_ST
    STDEF("<EncryptedData"),
    // ENCRYPTED_DATA_ST_1_ELEMENT
    STDEF(" Type=\"http://www.w3.org/2001/04/xmlenc#Element\""), 
    // ENCRYPTED_DATA_ST_1_CONTENT
    STDEF(" Type=\"http://www.w3.org/2001/04/xmlenc#Content\""), 
    // ENCRYPTED_DATA_ST_ID
    STDEF(" Id=\""),
    // ENCRYPTED_DATA_ST_NS
    STDEF("\" xmlns=\"http://www.w3.org/2001/04/xmlenc#\">"), 
    STDEF("\n<EncryptionMethod Algorithm=\"http://www.w3.org/2001/04/xmlenc#aes128-cbc\"/>"),
    STDEF("\n<EncryptionMethod Algorithm=\"http://www.w3.org/2001/04/xmlenc#aes256-cbc\"/>"),
    STDEF("\n<EncryptionMethod Algorithm=\"http://www.w3.org/2001/04/xmlenc#tripledes-cbc\"/>"),
    STDEF("\n<ds:KeyInfo xmlns:ds=\"http://www.w3.org/2000/09/xmldsig#\">"),
    STDEF("\n<ds:RetrievalMethod Type=\"http://www.w3.org/2001/04/xmlenc#EncryptedKey\" URI=\"#"),
    STDEF("\"/>"),
    STDEF("\n</ds:KeyInfo>"),
    STDEF("\n<CipherData>\n<CipherValue>\n"),
    STDEF("\n</CipherValue>\n</CipherData>"),
    STDEF("\n</EncryptedData>"),
    // ENCRYPTED_HEADER_ET
    STDEF("</wsse11:EncryptedHeader>"),
    //SUBJECT_KEY_IDENTIFIER_TAG
    STDEF("<wsse:KeyIdentifier EncodingType=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary\" ValueType=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-x509-token-profile-1.0#X509SubjectKeyIdentifier\">%s</wsse:KeyIdentifier>"),
    //X509_DATA_ELEMENT_TAG
    STDEF("\n<ds:X509Data>\n<ds:X509IssuerSerial>\n<ds:X509IssuerName>%s</ds:X509IssuerName>\n<ds:X509SerialNumber>%s</ds:X509SerialNumber>\n</ds:X509IssuerSerial>\n</ds:X509Data>"),
    //ENCYPTED_KEY_TOKEN_REFERNCE
    STDEF("<wsse:Reference URI=\"#%s\" ValueType=\"http://docs.oasis-open.org/wss/oasis-wss-soap-message-security-1.1#EncryptedKey\"></wsse:Reference>"),
    //TIMESTAMP_START_ELEMENT
    STDEF("\n<wsu:Timestamp xmlns:wsu=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd\" wsu:Id=\""),
    //TIMESTAMP_END_CONSTANT_ELEMENT
    STDEF("\">\n<wsu:Created>2009-11-04T15:38:22Z</wsu:Created>"),
};




#endif

