package F5::ASM::Tmsh;
use F5::SystemUtils;
use F5::TmshParser;

package F5::ASM::Tmsh::Query;

sub new {
    my ($class, %params) = @_;
    my $cmd = $params{cmd};
    my $logger = $params{logger};
    return if !$cmd;
    my $rv = F5::SystemUtils::run_system_tool(command_line_params => $cmd, timeout => $params{timeout});
    if (!$rv->{completed_successfully}) {
        if ($logger) {
            my $log_msg = (ref $cmd ? join (" ", @$cmd) : $cmd);
            $logger->error("Tmsh error running '$log_msg'.");
            $logger->debug("Command STDOUT: '$rv->{standard_output}' , STDERR: '$rv->{standard_error}'");
        }
        return $rv;
    }
    if ($params{parse_response}) {
        $rv->{response} = F5::TmshParser::parse_config(text => $rv->{standard_output});
    }
    return $rv;
}

1;
