package F5::ASMConfig::ASMConfig;
use JSON;
use F5::Deploy;
use F5::Thrift;
use F5::ASMConfig::Types;

my $THRIFT_CONFIG_BASE_DIR = F5::Deploy::map_path('/usr/share/ts/share/asm_config');
our $thrift_config = {};

sub import {
    my($class, $arg) = @_;
    if ($arg && $arg eq 'preload') {
        load_config_from_generated_module();
    }
}

sub load_config_from_generated_module {
    eval "use F5::ASMConfig::GeneratedConfig";
    $thrift_config = $F5::ASMConfig::GeneratedConfig::thrift_config;
}

sub get_thrift_config {
    my($self, $group, $key) = @_;
    if (! exists $thrift_config->{$group} || ! exists $thrift_config->{$group}->{$key}) {
        if (-f "$THRIFT_CONFIG_BASE_DIR/$group/$key.json") {
            open(my $inf, '<', "$THRIFT_CONFIG_BASE_DIR/$group/$key.json");
            $thrift_config->{$group}->{$key} = from_json(join('', <$inf>));
            close $inf;
        }
        else {
            load_config_from_generated_module();
        }
    }
    if (exists $thrift_config->{$group}) {
        return $thrift_config->{$group}->{$key};
    }
    return undef;
}

#----------------------------------------------------------------------

package F5::ASMConfig::GenericObject;
use base qw(F5::Thrift::Object);

sub get_prefix {
    return 'F5::ASMConfig';
}

sub get_thrift_config {
    return F5::ASMConfig::ASMConfig::get_thrift_config(@_);
}


#----------------------------------------------------------------------

package F5::ASMConfig::ASMConfigClient;
use base qw(F5::Thrift::Client);

sub get_prefix {
    return 'F5::ASMConfig';
}

sub get_generic_object_class {
    return 'F5::ASMConfig::GenericObject';
}

sub get_thrift_config {
    return F5::ASMConfig::ASMConfig::get_thrift_config(@_);
}

#----------------------------------------------------------------------

package F5::ASMConfig::ASMConfigProcessor;
use base qw(F5::Thrift::Processor);

sub get_prefix {
    return 'F5::ASMConfig';
}

sub get_generic_object_class {
    return 'F5::ASMConfig::GenericObject';
}

sub get_thrift_config {
    return F5::ASMConfig::ASMConfig::get_thrift_config(@_);
}

#----------------------------------------------------------------------

1;
