package F5::ASMConfig::Entity::BotIncident;

use strict;
use warnings;

use F5::ASMConfig::Entity::Base;
use F5::ASMConfig::ASMConfig;

use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::BotIncident/;

#----------------------------------------------------------------------

sub before_store {
    my($self, %params) = @_;
    my $call_flags = $params{call_flags};

    my $partition = $self->get_new_value(field_name => 'partition_id', %params);

    if (! $partition && $call_flags->{partition_was_defined}) {
        $partition = $params{session}->{partition};
    }

    if (! $partition) {
        $partition = "Common";

        my $virtual_server_name = $self->get_new_value(field_name => 'virtual_server_name', %params);
        if ($virtual_server_name && $virtual_server_name =~ m|/(\w+)/|) {
            $partition = $1;
        }
    }

    $params{store_obj}->{partition_id} = $partition;
}

#----------------------------------------------------------------------

sub get_rest_uuid {
    my ($self, %params) = @_;
    my $object = $params{object} || $self;
    my $rest_uuid = $object->{rest_uuid} || $object->{bot_incident_id} || $self->{rest_uuid} || $self->{bot_incident_id};
    return $rest_uuid;
}

#----------------------------------------------------------------------

sub self_link {
    my ($self, %params) = @_;
    my $link = $params{base_link} || '';
    $link .= '/' . $self->element_rest_path_name() . "/" . $self->get_rest_uuid;
    $link = $self->add_ver_to_self_link(%params,
                                        'link' => $link);
    return $link;
}

#----------------------------------------------------------------------

1;
