package F5::ASMConfig::Entity::BruteForceAttackLog;

use strict;
use warnings;

use F5::ASMConfig::Entity::Base;
use F5::ASMConfig::ASMConfig;

use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::BruteForceAttackLog/;

#----------------------------------------------------------------------

sub get_retrieve_join_tables {
    my($class, %params) = @_;

    my $retval = $class->SUPER::get_retrieve_join_tables(%params);

    $retval .= <<EndQuery;
JOIN PLC.PL_LOGIN_OBJECTS AS login_objects_table
  ON main_table.login_object_rest_uuid = login_objects_table.rest_uuid
  AND main_table.policy_id = login_objects_table.policy_id
EndQuery

    return $retval;
}

#----------------------------------------------------------------------

sub get_rest_uuid {
    my ($self, %params) = @_;
    my $object = $params{object} || $self;
    my $rest_uuid = $object->{rest_uuid} || $object->{attack_id} || $self->{rest_uuid} || $self->{attack_id};
    return $rest_uuid;
}

#----------------------------------------------------------------------

sub self_link {
    my ($self, %params) = @_;
    my $link = $params{base_link} || '';
    $link .= '/' . $self->element_rest_path_name() . "/" . $self->get_rest_uuid;
    $link = $self->add_ver_to_self_link(%params,
                                        'link' => $link);
    return $link;
}

#----------------------------------------------------------------------

sub policy {
    my ($self) = @_;
    return F5::ASMConfig::Cache::get_cached_policy(dbh => $self->{dbh}, policy => $self->{security_policy});
}

#----------------------------------------------------------------------

1;

