package F5::ASMConfig::Entity::Certificate;

use strict;
use warnings;

use F5::ASMConfig::Entity::Base;
use F5::ASMConfig::ASMConfig;
use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::Certificate/;
use F5::Certificates;

#----------------------------------------------------------------------
sub after_store{
  my($self, %params) = @_;

  my $dbh = $self->{dbh};
  my $logger = $self->{logger};
  my $store_obj = $params{store_obj};
  my $rv;

  my $ssl_cert_id = $self->{ssl_cert_id};
  eval{
        $rv =  F5::Certificates::upload_certificate( logger => $logger,
                                                     ssl_cert_id => $ssl_cert_id,
                                                     dbh => $dbh,
                                                   );
      };

  if($@){
   die "Unable to store certificate file: $@";
  }

  if(!$rv->{completed_successfully}){
   die "Unable to store certificate file: $rv->{error_message}";
  }

  my @affected_policies_clients = $dbh->selectrow_array(<<EndQuery,undef,$ssl_cert_id);
SELECT DISTINCT policy_id 
  FROM $self->{plc_dbname}.PL_XML_PROFILE_CLIENT_CERTIFICATE WHERE ssl_cert_id = ?
EndQuery

  my @affected_policies_servers = $dbh->selectrow_array(<<EndQuery,undef,$ssl_cert_id);
SELECT DISTINCT policy_id
  FROM $self->{plc_dbname}.PL_XML_PROFILE_SERVER_CERTIFICATE WHERE ssl_cert_id = ?
EndQuery


 for my $policy_id (@affected_policies_clients) {
     $self->add_change_log_entry(
        dbh => $dbh,
        policy_id => $policy_id,
        table => 'PLC.PL_XML_PROFILE_CLIENT_CERTIFICATE',
        action => 'update');
  }

   for my $policy_id (@affected_policies_servers) {
     $self->add_change_log_entry(
        dbh => $dbh,
        policy_id => $policy_id,
        table => 'PLC.PL_XML_PROFILE_SERVER_CERTIFICATE',
        action => 'update');
  }


}
#----------------------------------------------------------------------
1;
