package F5::ASMConfig::Entity::CsrfURL;
use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::CsrfURL);


#----------------------------------------------------------------------

sub before_store {
  my($self, %params) = @_;
  my $store_obj = $params{store_obj};
  my $existing_obj = $params{existing_obj};

  $store_obj->{is_wildcard} = 1;
  $self->adjust_wildcards(%params);


  my @fields = qw(
                   required_parameters
                  );

  my %field_values;
  my %field_display_name;

  for my $field (@fields) {
     $field_values{$field} = $self->get_new_value( store_obj => $store_obj,
                                                   existing_obj => $existing_obj,
                                                   field_name => $field, );

     $field_display_name{$field} = $self->get_field_display_name_string(field_name => $field);
  }

  if ($field_values{required_parameters} != F5::ASMConfig::CsrfUrlRequiredParameters::CSRF_URL_REQUIRED_PARAMETERS_FROM_PARAMETERS_LIST() ) {
      $store_obj->{parameters_list} = [];
  }

}

#----------------------------------------------------------------------

1;
