package F5::ASMConfig::Entity::DynamicFlow;

use strict;
use warnings;

use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::DynamicFlow/;

#-------------------------------------------------------------------
my $REGEXP_DYNAMIC_DELIMITER  = 255;

sub convert_regex {
    my ($class_or_self, %params) = @_;

    my $value = $params{field_value};
    if (!$value && ref $class_or_self) {
        $value = $class_or_self->{reg_exp};
    }

    my ($regexp_prefix, $value_regexp, $regexp_suffix);

    if ( defined ($value) ) {
        ($regexp_prefix, $value_regexp, $regexp_suffix) = split(chr($REGEXP_DYNAMIC_DELIMITER), $value);
    }

    if (! defined $regexp_prefix || ! defined $value_regexp || ! defined $regexp_suffix) {
        return '';
    }

    my $reg_exp = sprintf("%s%s%s",
                         (length($regexp_prefix) ? "(?<=$regexp_prefix)" : ''),
                         $value_regexp,
                         (length($regexp_suffix) ? "(?=$regexp_suffix)" : ''));
    return $reg_exp;

}

#-------------------------------------------------------------------
1;
