package F5::ASMConfig::Entity::HttpClass;

# EM OBJECT

use strict;
use warnings;

use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::HttpClass/;

#----------------------------------------------------------------------

sub get_retrieve_join_tables {
    my($class, %params) = @_;

    my $retval = <<EndQuery;
LEFT JOIN f5em.device_config_class as dev_conf_class
  ON (main_table.device_config_class_uid = dev_conf_class.uid)
LEFT JOIN f5em.partition as partition
  ON (dev_conf_class.partition_uid = partition.partition_uid)
LEFT JOIN f5em.device as device
  ON (partition.device_uid = device.uid)
EndQuery

    return $retval;
}

#----------------------------------------------------------------------

sub additional_where_clauses {
    return <<EndQuery;
dev_conf_class.name = 'ASM / Webapp'
EndQuery
}

#----------------------------------------------------------------------

1;

