package F5::ASMConfig::Entity::ImportPolicyTask;

use strict;
use warnings;

use base qw/F5::ASMConfig::TaskBase F5::ASMConfig::ImportPolicyTask/;

#----------------------------------------------------------------------

sub before_store {
    my($self, %params) = @_;

    my $db_rec = $params{db_rec};
    my $store_mode = $params{store_mode};
    my $store_obj = $params{store_obj};
    my $existing_obj = $params{existing_obj};
    my $call_flags = $params{call_flags};

    if ($store_mode eq 'add') {
        my $error_message;
        if ($store_obj->{policy_type} == F5::ASMConfig::PolicyType::POLICY_TYPE_PARENT() &&
            $store_obj->{parent_policy}) {
            $error_message = 'Parent Policies cannot be assigned a Parent Policy.';
        }
        elsif ($store_obj->{policy_type} == F5::ASMConfig::PolicyType::POLICY_TYPE_SECURITY() &&
               $store_obj->{source_policy} && $store_obj->{source_policy}->{policy_type} == F5::ASMConfig::PolicyType::POLICY_TYPE_PARENT()) {
            $error_message = 'Security Policy cannot be created from a Parent Policy source.';
        }
        if ($error_message) {
            die {
                  error_message => $error_message,
                  error_code => F5::ASMConfig::ErrorCode::ACTION_NOT_ALLOWED(),
                  error_level => 'info',
                };
        }
    }
    return $self->SUPER::before_store(%params);
}

#----------------------------------------------------------------------

1;
