package F5::ASMConfig::Entity::PolicyGroup;

use strict;
use warnings;

use F5::ASMConfig::Entity::Base;
use F5::ASMConfig::ASMConfig;
use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::PolicyGroup/;

#----------------------------------------------------------------------

sub get_policies {
    my ($self) = @_;
    my %policy_hash;
    my @policies;
    #We want to return all policies already in the policy group and any policies that may be attempting to be set into the group.
    if (defined($self->{policy_grouping})) {
        @policies = @{$self->{policy_grouping}};
    }    
    if (my $policy_group = F5::ASMConfig::Entity::PolicyGroup->new(dbh => $self->{dbh}, get_criteria => $self)) {
        push (@policies, @{$policy_group->{policy_grouping}});
    }
    for my $policy (@policies) {
        next if $policy_hash{$policy->{policy_id}};
        $policy = F5::ASMConfig::Cache::get_cached_policy(dbh => $self->{dbh}, policy => $policy);
        $policy_hash{$policy->{policy_id}} = $policy;
    }

    return values %policy_hash;
}

#----------------------------------------------------------------------

1;
