package F5::ASMConfig::Entity::PolicyThreatCampaignAttributes;

use strict;
use warnings;

use F5::ASMConfig::ASMConfig;
use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::PolicyThreatCampaignAttributes/;

#----------------------------------------------------------------------

# threat-campaigns-settings will be processed before threat-campaigns, since the import loop is iterating
# a sorted list of the endpoints

sub before_declarative_import {
    my ($class, %params) = @_;
    my $dbh = $params{dbh};
    my $policy = $params{policy};
    my $entities = $params{entities};

    if (defined $entities && @$entities) {
        my $threat_campaigns_settings = $class->new(dbh => $dbh,
                                                    object => {})->from_rest(object => $entities->[0]);
        if ($threat_campaigns_settings->{flg_quarantine_threat_campaigns}) {
            # update only active threat campaigns
            my $search_filters = F5::ASMConfig::Entity::PolicyThreatCampaign->rest_search_filters;
            F5::ASMConfig::Entity::PolicyThreatCampaign->update_many(dbh => $dbh,
                                                                     policy => $policy,
                                                                     call_flags => { search_filters => $search_filters },
                                                                     store_obj => { in_staging => 1});
        }
    }
}

#----------------------------------------------------------------------

1;

