package F5::ASMConfig::Entity::ServerTechnology;

use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::ServerTechnology);

use strict;
use warnings;

use F5::NegativeSignatures::Rule;

sub before_store {
    my($self, %params) = @_;
    my $store_obj = $params{store_obj};
    if ($store_obj->{fingerprints}) {
        for my $fingerprint (@{$store_obj->{fingerprints}}) {
            my $rule_obj = F5::NegativeSignatures::Rule->new(rule_string => $fingerprint->{rule});
            $fingerprint->{packed_rule_obj} = $rule_obj->packed_rule_obj;
        }
    }
}


1;
