package F5::ASMConfig::Entity::ThreatCampaign;

use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::ThreatCampaign);

use strict;
use warnings;

use F5::NegativeSignatures::Rule;

sub before_store {
    my($self, %params) = @_;
    my $store_obj = $params{store_obj};

    if ($store_obj->{match_rules}) {
        for my $match_rule (@{$store_obj->{match_rules}}) {
            if (!$match_rule->{buffer_type_mask} || !$match_rule->{packed_rule_obj}) {
                my $rule_obj = F5::NegativeSignatures::Rule->new(rule_string => $match_rule->{rule});
                $match_rule->{buffer_type_mask} = $rule_obj->buffer_type_mask;
                $match_rule->{packed_rule_obj} = $rule_obj->packed_rule_obj;
            }
        }
    }
}


1;
