package F5::ASMConfig::Entity::VirtualServerProfile;

use strict;
use warnings;

use base qw/F5::ASMConfig::McpBase F5::ASMConfig::VirtualServerProfile/;

sub load_mcp_fields {
    my($self, %params) = @_;
    $self->SUPER::load_mcp_fields(%params);
    $self->{rest_uuid} = $self->get_rest_uuid;
}

#----------------------------------------------------------------------

sub get_rest_uuid {
    my ($self, %params) = @_;
    my $object = $params{object} || $self;

    my $vs_name = $object->{vs_name} || $self->{vs_name};
    $vs_name =~ tr/\//~/;
    my $profile_name = $object->{profile_name} || $self->{profile_name};
    $profile_name =~ tr/\//~/;

    my $rest_uuid = $vs_name . '/profiles/' . $profile_name;

    return $rest_uuid;
}

#----------------------------------------------------------------------

sub self_link {
    my ($self, %params) = @_;
    my $link = $params{base_link} || '';

    $link =~ s{(.*)/asm}{$1/}xms;
    $link .= 'ltm/virtual/' . $self->get_rest_uuid;

    $link = $self->add_ver_to_self_link(%params,
                                        'link' => $link);
    return $link;
}

1;