package F5::ASMConfig::Entity::XmlValidationFile;
use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::XmlValidationFile);

use F5::XML::WSDL::Convert;

#----------------------------------------------------------------------

sub before_store {
    my ($self, %params) = @_;

    my $file_contents = $self->get_new_value( store_obj => $params{store_obj},
                                              existing_obj => $params{existing_obj},
                                              field_name => 'file_contents', );

    if (!F5::XML::WSDL::Convert::is_xml(xml_contents => $file_contents)) {
      my $error_message = "Malformed xml";
      die { error_message => $error_message,
            display_message => $error_message,
            error_level     => 'info',
            error_code      => F5::ASMConfig::ErrorCode::INVALID_FIELD_FORMAT(),
          };
    }

    if (F5::XML::WSDL::Convert::is_wsdl(xml_contents => $file_contents, flg_follow_schema_links => 0)) {
        $params{store_obj}->{file_type} = F5::ASMConfig::XmlValidationFileType::XML_VALIDATION_FILE_TYPE_WSDL();
    }
}

#----------------------------------------------------------------------


1;
