package F5::ASMConfig::Handler::AcceptedRequest;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;

our @handled_functions = (
                           {
                             function_name => 'update_accepted_request',
                             criteria_index => 3,
                             store_index => 4,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::AcceptedRequest';
#----------------------------------------------------------------------

sub update_accepted_request {
    my($self, $session, $call_flags, $policy, $accepted_request_criteria, $store_accepted_request) = @_;

    
    my $retval =  $self->base_update(rpc_params => [$session, $call_flags, undef, $accepted_request_criteria, $store_accepted_request],
                                     entity_class => $entity_class,
                                    );
    my $accepted_request = $retval->{return_value};
    eval {
        my $request_log = F5::ASMConfig::Entity::RequestLog->new(dbh => $self->{dbh},
                                                                 get_criteria => {support_id => $accepted_request->{support_id} },
                                                                 selected_fields => ['accept_status']);
        $request_log->store_update(store_obj => { accept_status => $accepted_request->{accept_status} },
                                   validate_value => 0 );
    };

    if ($accepted_request->{accept_status} == F5::ASMConfig::AcceptStatus::ACCEPT_STATUS_COMPLETED() ||
        $accepted_request->{accept_status} == F5::ASMConfig::AcceptStatus::ACCEPT_STATUS_FAILED) {
        $accepted_request->delete();
    }
    return $retval;
}

#----------------------------------------------------------------------
1;
