package F5::ASMConfig::Handler::AllowedResponseCode;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::AllowedResponseCode;

our $entity_class = 'F5::ASMConfig::Entity::AllowedResponseCode';

my $default_table = 'PLC.PL_ALLOWED_RESPONSE_CODES_DEFAULTS';
our @handled_functions = (
                            {
                             function_name => 'reset_defaults_allowed_response_codes',
                             relayable => 1,
                            },
                            {
                             function_name => 'get_default_allowed_response_code',
                            },
                         );
#----------------------------------------------------------------------
sub  reset_defaults_allowed_response_codes{
  my($self,$session, $call_flags,$policy) = @_;
  my $dbh = $self->{dbh};

  return $self->base_reset_default_rows( entity_class => $entity_class,
                                         default_table => $default_table,
                                         rpc_params => [ $session, $call_flags, $policy]);
}
#----------------------------------------------------------------------
sub get_default_allowed_response_code{
  my($self,$session, $call_flags) = @_;
  my $dbh = $self->{dbh};

   
  my $res = $self->base_get_default_rows( entity_class => $entity_class,
                                          default_table => $default_table,
                                         );

   return {return_value => $res};
}
#-----------------------------------------------------------------------
1;
