package F5::ASMConfig::Handler::Authorization;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::License;
use F5::Provisioning;

our @handled_functions = (
                            {
                             function_name => 'read_license',
                            },
                         );
#----------------------------------------------------------------------
sub read_license {

 my $authorization = F5::ASMConfig::Authorization->new();

    $authorization->{asm_enabled} = F5::License::is_asm_licensed();
    $authorization->{ltm_enabled} = F5::License::is_ltm_licensed();
    $authorization->{iprep_enabled} = F5::License::is_iprep_licensed();
    $authorization->{threat_campaigns_enabled} = F5::License::is_threat_campaigns_licensed();
    $authorization->{dos_enabled} = F5::License::is_dos_licensed();

    $authorization->{asm_provisioned} = F5::Provisioning::is_module_enabled("asm");

  my $retval = { return_value => $authorization,
               };

  return $retval;
}
