package F5::ASMConfig::Handler::BotDefenseEventLogProtobuf;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;

our @handled_functions = (
                           {
                             function_name => 'add_bot_defense_event_log_protobuf',
                             store_index => 3,
                           },
                         );

#----------------------------------------------------------------------

sub add_bot_defense_event_log_protobuf {
    my ($self, $session, $call_flags,$place_holder, $bot_defense_event_log_protobuf) = @_;

    my $element = F5::ASMConfig::Entity::BotDefenseEventLogProtobuf->new(dbh => $self->{dbh},
                                                                 object => $bot_defense_event_log_protobuf);
    my $retval = { return_value => 1,
                   events => [ $self->create_event(event_type => F5::ASMConfig::EventType::ADD,
                                                   session => $session,
                                                   element => $element,
                                                   call_flags => $call_flags,
                                                   user_name => $session->{user_name},
                                                   suppress_save_to_log => 1,
                                                  )
                             ],
                 };
   return $retval;
}

#----------------------------------------------------------------------

1;
