package F5::ASMConfig::Handler::BotIncident;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;

our @handled_functions = (
                           {
                             function_name => 'search_bot_incident',
                             authz_limit_field => 'partition_id',
                           },
                           {
                             function_name => 'get_bot_incident',
                             authz_limit_field => 'partition_id',
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::BotIncident';

#----------------------------------------------------------------------

sub search_bot_incident {
    my($self, $session, $call_flags, undef, $bot_incident_criteria) = @_;
    $call_flags->{search_filters} ||= [];

    $self->add_partition_search_filter(session => $session,
                                       call_flags => $call_flags);

    my $rv = $self->base_search(rpc_params => [$session, $call_flags, undef, $bot_incident_criteria],
                                entity_class => $entity_class,
                               );
    return $rv;
}

#----------------------------------------------------------------------

sub get_bot_incident {
    my($self, $session, $call_flags, undef, $bot_incident ) = @_;

    return $self->base_get(rpc_params => [$session, $call_flags, undef, $bot_incident ],
                                     entity_class => $entity_class,
                                    );
}

1;
