package F5::ASMConfig::Handler::BruteForceAttackLog;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;

our @handled_functions = (
                           {
                             function_name => 'search_brute_force_attack_log',
                             authz_limit_field => 'security_policy__policy_id',
                           },
                           {
                             function_name => 'get_brute_force_attack_log',
                             authz_limit_field => 'security_policy__policy_id',
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::BruteForceAttackLog';

#----------------------------------------------------------------------

sub search_brute_force_attack_log {
    my($self, $session, $call_flags, undef, $brute_force_attack_log_criteria) = @_;
    $call_flags->{search_filters} ||= [];

    $self->add_partition_search_filter(session => $session,
                                       call_flags => $call_flags,
                                       search_field => 'security_policy__partition_id');

    my $rv = $self->base_search(rpc_params => [$session, $call_flags, undef, $brute_force_attack_log_criteria],
                                entity_class => $entity_class,
                               );
    return $rv;
}

#----------------------------------------------------------------------

sub get_brute_force_attack_log {
    my($self, $session, $call_flags, undef, $brute_force_attack_log) = @_;

    return $self->base_get(rpc_params => [$session, $call_flags, undef, $brute_force_attack_log],
                                     entity_class => $entity_class,
                                    );
}

1;
