package F5::ASMConfig::Handler::DatabaseProtection;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::Base;
use F5::DbUtils;

our @handled_functions = (
                           {
                             function_name => 'reset_defaults_database_protection',
                             relayable => 1,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::DatabaseProtection';
#---------------------------------------------------------

sub reset_defaults_database_protection {
    my($self, $session, $call_flags, $policy) = @_;

    my $default_database_protection = F5::ASMConfig::Entity::DatabaseProtection->new(dbh => $self->{dbh}, preload_default => 1);

    my $retval = $self->base_update(rpc_params => [$session, $call_flags, $policy, $default_database_protection],
                                    entity_class => $entity_class,
                                   );

    return $retval;
}

1;

