package F5::ASMConfig::Handler::DisallowedGeolocation;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;

our @handled_functions = (
                           {
                             function_name => 'add_disallowed_geolocation',
                             relayable => 1,
                             store_index   => 3,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::DisallowedGeolocation';

#----------------------------------------------------------------------

sub add_disallowed_geolocation {
    my($self, $session, $call_flags, $policy, $disallowed_geolocation) = @_;

    if (!$disallowed_geolocation->{country_code}) {
        $disallowed_geolocation->{country_code} = $disallowed_geolocation->{country_name};
    }
    $disallowed_geolocation->{country_name} = $disallowed_geolocation->{country_code};

    my $rv = $self->base_add(entity_class => $entity_class,
                             rpc_params => [ $session, $call_flags, $policy, $disallowed_geolocation ],);

    return $rv;
}

#----------------------------------------------------------------------
1;
