package F5::ASMConfig::Handler::Extraction;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::Base;
use F5::ASMConfig::Entity::URL;

our @handled_functions = (
                            {
                             function_name => 'add_url_link_form_extraction',
                             relayable => 1,
                            },
                         );

#----------------------------------------------------------------------

sub add_url_link_form_extraction {
  my($self, $session, $call_flags, $policy, $thrift_parameter, $thrift_url) = @_;

  my $extraction = F5::ASMConfig::Extraction->new({ extract_name => $thrift_parameter->{param_name},
                                                    extract_level => F5::ASMConfig::ExtractLevel::EXTRACT_LEVEL_GLOBAL,
                                                    applies_to_urls => [ $thrift_url ],
                                                    search_entire_form => 1,
                                                    search_in_links => 1,
                                                    flg_check_dynamic_value => 0,
                                                  });
  return $self->add_extraction($session, $call_flags, $policy, $extraction);
}

#----------------------------------------------------------------------

1;
