package F5::ASMConfig::Handler::FailoverState;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;

our @handled_functions = (
                            {
                             function_name => 'update_failover_state',
                            },
                         );

#----------------------------------------------------------------------

sub update_failover_state {
  my($self, $session, $call_flags, undef, $failover_state) = @_;

  my $dbh = $self->{dbh};

  my $retval = { return_value => $failover_state,
                 events => [ $self->create_event(event_type => F5::ASMConfig::EventType::UPDATE,
                                                 session => $session,
                                                 element => F5::ASMConfig::Element->new({
                                                                                         element_type => F5::ASMConfig::ElementType::FAILOVER_STATE,
                                                                                         failover_state => $failover_state,
                                                                                        }),
                                                 call_flags => $call_flags,
                                                 user_name => $session->{user_name},
                                                 suppress_save_to_log => 1,
                                                )
                           ],
               };
  return $retval;
}

#----------------------------------------------------------------------

1;
