package F5::ASMConfig::Handler::GuiSettings;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::Entity::GuiSettings;

our @handled_functions = (
                           {
                             function_name => 'reset_defaults_gui_settings',
                             relayable => 1,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::GuiSettings';

#----------------------------------------------------------------------

sub reset_defaults_gui_settings {
    my($self,$session, $call_flags) = @_;

    my $gui_search_result = $self->base_search(rpc_params => [$session, $call_flags,undef, F5::ASMConfig::GuiSettings->new()],
                                               entity_class => $entity_class);

    my @events;
    for my $element (@{$gui_search_result->{return_value}->{element_list}}) {

        my $gui_settings = $element->{gui_settings};
        $gui_settings->{value} = $gui_settings->{default_value};
        my $retval = $self->base_update (
            rpc_params => [$session, $call_flags, undef, $gui_settings],
            entity_class => $entity_class,);
        push (@events, @{$retval->{events}});

    }

    return {return_value => 1,
            events => \@events};
}

#----------------------------------------------------------------------

1;
