package F5::ASMConfig::Handler::HslDataProfile;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::HslDataProfile;

our @handled_functions = (
                           {
                             function_name => 'add_hsl_data_profile',
                             relayable     => 1,
                             store_index   => 3,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::HslDataProfile';

#------------------------------------------------------------------

sub add_hsl_data_profile {
    my ($self, $session, $call_flags, $place_holder, $hsl_data_profile, $set_active_flags) = @_;
    my $dbh = $self->{dbh};

    my $f5_hsl = F5::Hsl->new(dbh => $dbh,
                              logger => $self->{logger},);
    my $rv = $f5_hsl->add_profile(
                 profile_name => $hsl_data_profile->{data_profile_name},
                 flg_security => $hsl_data_profile->{flg_is_enabled},
                 profile_type => $hsl_data_profile->{hsl_profile}->{profile_type},
             );

    my $hsl_data_profile_obj = F5::ASMConfig::Entity::HslDataProfile->new(
                                  dbh => $dbh,
                                  get_criteria => { data_profile_name => $hsl_data_profile->{data_profile_name} });

    if ($rv && $set_active_flags->{do_update_core} && $hsl_data_profile_obj) {
        F5::SetActive::set_active(do_update_core => 1,
                                  dbh => $dbh,
                                  asm_config_handler => $self,
                                  hsl_profile_id => $hsl_data_profile_obj->{hsl_profile_id},
                                 );
    }

    return { return_value => $hsl_data_profile_obj, events => [] };
}

1;
