package F5::ASMConfig::Handler::Incident;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;

our @handled_functions = (
                           {
                             function_name => 'search_incident',
                             authz_limit_field => 'incident_policy__policy_id',
                           },
                           {
                             function_name => 'get_incident',
                             authz_limit_field => 'incident_policy__policy_id',
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::Incident';

#----------------------------------------------------------------------

sub search_incident {
    my($self, $session, $call_flags, undef, $incident_criteria) = @_;
    $call_flags->{search_filters} ||= [];

    $self->add_partition_search_filter(session => $session,
                                       call_flags => $call_flags,
                                       search_field => 'incident_policy__partition_id');

    my $rv = $self->base_search(rpc_params => [$session, $call_flags, undef, $incident_criteria],
                                entity_class => $entity_class,
                               );
    return $rv;
}

#----------------------------------------------------------------------

sub get_incident {
    my($self, $session, $call_flags, undef, $incident) = @_;

    return $self->base_get(rpc_params => [$session, $call_flags, undef, $incident],
                                     entity_class => $entity_class,
                                    );
}

1;
