package F5::ASMConfig::Handler::PolicyLogEntry;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;

our @handled_functions = (
                          {
                             function_name => 'add_policy_log_entry',
                             relayable => 1,
                          },
                         );

#----------------------------------------------------------------------

sub add_policy_log_entry {
  my($self, $session, $call_flags, $policy, $policy_log_entry) = @_;

  my $retval = { return_value => 1,
                 events => [ $self->create_event(event_type => F5::ASMConfig::EventType::INFO,
                                                 session => $session,
                                                 description => $policy_log_entry->{log_message},
                                                 element => F5::ASMConfig::Element->new({element_type => F5::ASMConfig::ElementType::POLICY_LOG_ENTRY,}),
                                                 call_flags => $call_flags,
                                                 policy => $policy,
                                                 user_name => $session->{user_name},
                                                )
                           ],
               };
  return $retval;
}

#----------------------------------------------------------------------

1;
