package F5::ASMConfig::Handler::RequestLogSync;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;

our @handled_functions = (
                           {
                             function_name => 'apply_request_log_sync',
                           },
                         );

#----------------------------------------------------------------------

sub apply_request_log_sync {
    my($self, $session, $call_flags) = @_;

    my @events;
    push(@events,
         $self->create_event(event_type => F5::ASMConfig::EventType::UPDATE,
                             session => $session,
                             element => F5::ASMConfig::Element->new({
                                                                     element_type => F5::ASMConfig::ElementType::REQUEST_LOG_SYNC,
                                                                    }),
                             call_flags => $call_flags,
                             user_name => $session->{user_name},
                             suppress_save_to_log => 1,
                            )
        );

    my $retval = { return_value => undef,
                   events => \@events,
                 };
    return $retval;
}

#----------------------------------------------------------------------

1;
