package F5::ASMConfig::Handler::ResponsePage;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::ResponsePage;

our $entity_class = 'F5::ASMConfig::Entity::ResponsePage';

my $default_table = 'PLC.PL_ALTERNATE_RESPONSE_DEFAULTS';
our @handled_functions = (
                           {
                             function_name => 'reset_defaults_response_pages',
                             relayable => 1,
                           },
                           {
                             function_name => 'get_default_response_page',
                           },
                         );
#----------------------------------------------------------------------
sub  reset_defaults_response_pages{
  my($self,$session, $call_flags,$policy,$license_type) = @_;
  my $dbh = $self->{dbh};

  my @search_filters;
  push @search_filters, F5::ASMConfig::SearchFilter->new({
                                                          field_name => 'license_type',
                                                          field_comparison => F5::ASMConfig::FieldComparison::FIELD_COMPARISON_EQ(),
                                                          field_value => $license_type,
                                                         });

 push @search_filters, F5::ASMConfig::SearchFilter->new({
                                                          field_name => 'flg_load_defaults',
                                                          field_comparison => F5::ASMConfig::FieldComparison::FIELD_COMPARISON_EQ(),
                                                          field_value => 1,
                                                         });

  return $self->base_reset_default_rows( entity_class => $entity_class,
                                         default_table => $default_table,
                                         search_filters => \@search_filters,
                                         rpc_params => [ $session, $call_flags, $policy]);
}
#----------------------------------------------------------------------
sub get_default_response_page{
  my($self,$session, $call_flags,$place_holder,$license_type) = @_;
  my $dbh = $self->{dbh};

  my @search_filters;
  push @search_filters, F5::ASMConfig::SearchFilter->new({
                                                          field_name => 'license_type',
                                                          field_comparison => F5::ASMConfig::FieldComparison::FIELD_COMPARISON_EQ(),
                                                          field_value => $license_type,
                                                         });

  my $res = $self->base_get_default_rows( entity_class => $entity_class,
                                          default_table => $default_table,
                                          search_filters => \@search_filters,
                                        );

   return {return_value => $res};
}
#-----------------------------------------------------------------------
1;

