package F5::ASMConfig::Handler::ResponseScrubbing;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::ResponseScrubbing;

our @handled_functions = (
                           {
                             function_name => 'reset_defaults_response_scrubbing',
                             relayable => 1,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::ResponseScrubbing';

sub reset_defaults_response_scrubbing {
    my ($self, $session, $call_flags, $policy) = @_;


    my $default_response_scrubbing = F5::ASMConfig::Entity::ResponseScrubbing->new(dbh => $self->{dbh}, 
                                                                                   policy =>  $policy,
                                                                                   preload_default => 1);

    $default_response_scrubbing->{patterns} = [];
    $default_response_scrubbing->{exceptions} = [];
    
    return $self->base_update(rpc_params => [$session, $call_flags, $policy, $default_response_scrubbing],
                              entity_class => $entity_class,
                             );
}

1;

