package F5::ASMConfig::Handler::SessionAwarenessSettings;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::SessionAwarenessSettings;

our @handled_functions = (
                           {
                             function_name => 'reset_defaults_session_awareness_settings',
                             relayable => 1,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::SessionAwarenessSettings';

sub reset_defaults_session_awareness_settings {
    my ($self, $session, $call_flags, $policy) = @_;

    my $dbh = $self->{dbh};

    my $default_session_awareness_settings = F5::ASMConfig::Entity::SessionAwarenessSettings->new(dbh => $self->{dbh}, preload_default => 1);

    my $sth = $dbh->prepare('SELECT viol_index FROM PLC.PL_SESSION_AWARENESS_VIOLATIONS_DEFAULTS');
    $sth->execute;

    while (my $row = $sth->fetchrow_hashref) {
        push @{$default_session_awareness_settings->{delay_blocking_violations}},
                               F5::ASMConfig::SessionAwarenessViolation->new({viol_index => $row->{viol_index}});
    }



    return  $self->base_update(rpc_params => [$session, $call_flags, $policy, $default_session_awareness_settings],
                                entity_class => $entity_class,
                                   );

}

1;
