package F5::ASMConfig::Handler::SignatureRuleKeywordsTool;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::Entity::SignatureRuleKeywordsTool;
use F5::NegativeSignatures::Rule;

our @handled_functions = (
                            {
                             function_name => 'add_signature_rule_keywords_tool',
                            },
                         );

our $entity_class = 'F5::ASMConfig::Entity::SignatureRuleKeywordsTool';

#----------------------------------------------------------------------

sub add_signature_rule_keywords_tool {
  my($self, $session, $call_flags, $place_holder, $signature_rule_keywords_tool) = @_;

  my $apply_to = $signature_rule_keywords_tool->{apply_to} || 'Request';
  if ($signature_rule_keywords_tool->{rule}) {
      my $rule = F5::NegativeSignatures::Rule->new(rule_string => $signature_rule_keywords_tool->{rule},
                                                       apply_to => $apply_to);
      my $keywords = $rule->to_simple_keywords();
      $signature_rule_keywords_tool->{keywords} = [ map { F5::ASMConfig::SignatureKeyword->new($_) } @$keywords ];
  }
  elsif ($signature_rule_keywords_tool->{keywords} && @{$signature_rule_keywords_tool->{keywords}}) {
      $signature_rule_keywords_tool->{rule} = F5::NegativeSignatures::Rule->from_simple_keywords(keywords => $signature_rule_keywords_tool->{keywords},
                                                                                                 apply_to => $apply_to);
  }


  return { return_value => $signature_rule_keywords_tool };
}

#----------------------------------------------------------------------

1;
