package F5::ASMConfig::Handler::Tag;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;

our @handled_functions = (
                           {
                             function_name => 'search_tag',
                             authz_limit_field => 'partition_id',
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::Tag';

#----------------------------------------------------------------------

sub search_tag {
    my($self, $session, $call_flags, @other_rpc) = @_;

    $self->add_partition_search_filter(session    => $session,
                                       call_flags => $call_flags);

    return $self->base_search(rpc_params => [$session, $call_flags, @other_rpc],
                                entity_class => $entity_class,
                               );
}

#----------------------------------------------------------------------

1;
