package F5::ASMConfig::Handler::Webhook;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::Webhook;
use F5::ASMConfig::Entity::RequestLog;

our @handled_functions = (
                           {
                            function_name => 'trigger_webhooks',
                            criteria_index => 3,
                            relayable => 0,
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::Webhook';

#----------------------------------------------------------------------

sub trigger_webhooks {
    my($self, $session, $call_flags, $policy, $webhook_criteria, $search_result) = @_;

    my @webhooks = F5::ASMConfig::Entity::Webhook->retrieve_all(dbh => $self->{dbh}, policy => { policy_id => $policy->{policy_id} }, get_criteria => $webhook_criteria);

    for my $webhook (@webhooks) {
        for my $element (@{$search_result->{element_list}}) {
            eval {
                my $rv = $webhook->send(element => $element);
                if (!$rv->is_success) {
                    $self->{logger}->warn("Failed to send webhook: ") if $self->{logger};
                    $self->{logger}->warn($rv->status_line) if $self->{logger};
                }
            };
            if (my $err = $@) {
                $self->{logger}->error("Send method for webhook failed: ") if $self->{logger};
                $self->{logger}->error($err) if $self->{logger};
            }
        }
    }
}


#----------------------------------------------------------------------

1;
