package F5::ASMConfig::TaskBase;

use strict;
use warnings;

use base qw/F5::ASMConfig::Entity::Base/;
use F5::ASMConfig::ASMConfig;
use Time::HiRes; 
use File::Basename;

#------------------------------------------------------------------

sub before_store {
    my ($self, %params) = @_;

    if ($params{store_obj}->{filename}) {
          $params{store_obj}->{filename} = basename($params{store_obj}->{filename});
    }

    if ($params{store_mode} eq 'add') {
        my ($time, $micro) = Time::HiRes::gettimeofday();
        $self->{start_time} = sprintf('%d.%06d',$time, $micro);
        $self->{last_updated} = $time;
        $self->{username} = $params{session}->{gui_user_name};
        $self->{status} = F5::ASMConfig::TaskStatus::TASK_STATUS_NEW();
   }
   else {
       $self->{last_updated} = time;
   }

   return $self->SUPER::before_store(%params);
}

#------------------------------------------------------------------

sub rest_search_filters {
    my ($class, %params) = @_;
    return [ F5::ASMConfig::SearchFilter->new(field_name => 'username',
                                              field_comparison => F5::ASMConfig::FieldComparison::FIELD_COMPARISON_BINARY_EQ(),
                                              field_value => $params{session}->{gui_user_name}), ];
}

#------------------------------------------------------------------

sub relayable {
    #Tasks themselves are never relayable, only their actions in the execute
    return 0;
}

#------------------------------------------------------------------

sub add_change_log_entry {
  # Do not save config log entry to PL_POLICY_CHANGES_LOG
}

#------------------------------------------------------------------
1;
