package F5::ASMConfig::Types;
package F5::ASMConfig::BruteForceAttackLogAttackStatus;
use constant BRUTE_FORCE_ATTACK_LOG_ATTACK_STATUS_ONGOING => 2;
use constant BRUTE_FORCE_ATTACK_LOG_ATTACK_STATUS_ENDED => 3;
use constant BRUTE_FORCE_ATTACK_LOG_ATTACK_STATUS_STARTED => 1;
package F5::ASMConfig::InheritanceAcceptability;
use constant INHERITANCE_ACCEPTABILITY_LOCKED => 2;
use constant INHERITANCE_ACCEPTABILITY_ALLOWED => 1;
package F5::ASMConfig::RequestLoggerFormatType;
use constant REQUEST_LOGGER_FORMAT_TYPE_BIGIQ => 4;
use constant REQUEST_LOGGER_FORMAT_TYPE_DEFAULT => 1;
use constant REQUEST_LOGGER_FORMAT_TYPE_GRPC => 5;
use constant REQUEST_LOGGER_FORMAT_TYPE_ARCSIGHT => 3;
use constant REQUEST_LOGGER_FORMAT_TYPE_SPLUNK => 2;
package F5::ASMConfig::AcceptStatus;
use constant ACCEPT_STATUS_NONE => 0;
use constant ACCEPT_STATUS_START => 1;
use constant ACCEPT_STATUS_IN_PROGRESS => 2;
use constant ACCEPT_STATUS_COMPLETED => 3;
use constant ACCEPT_STATUS_FAILED => 4;
package F5::ASMConfig::InjectionType;
use constant INJECTION_TYPE_LOGIN_PAGE_COMMENT => 3;
use constant INJECTION_TYPE_PARAM => 2;
use constant INJECTION_TYPE_COOKIE => 1;
use constant INJECTION_TYPE_HEADER => 7;
use constant INJECTION_TYPE_LOGIN_PAGE_FIELD => 4;
use constant INJECTION_TYPE_URL_EXISTS => 5;
use constant INJECTION_TYPE_URL_NOT_EXISTS => 6;
package F5::ASMConfig::LoginResult;
use constant LOGIN_RESULT_NONE => 0;
use constant LOGIN_RESULT_SUCCESSFUL => 1;
use constant LOGIN_RESULT_FAILED => 2;
use constant LOGIN_RESULT_UNKNOWN => 4;
package F5::ASMConfig::RequestStatus;
use constant REQUEST_STATUS_LEGAL => 1;
use constant REQUEST_STATUS_UNBLOCKED => 5;
use constant REQUEST_STATUS_CHALLENGED => 3;
use constant REQUEST_STATUS_BLOCKED => 4;
use constant REQUEST_STATUS_ILLEGAL => 2;
package F5::ASMConfig::ViolationSeverity;
use constant VIOLATION_SEVERITY_ERR => 3;
use constant VIOLATION_SEVERITY_INFO => 6;
use constant VIOLATION_SEVERITY_WARNING => 4;
use constant VIOLATION_SEVERITY_NOTICE => 5;
use constant VIOLATION_SEVERITY_EMERG => 0;
use constant VIOLATION_SEVERITY_CRIT => 2;
use constant VIOLATION_SEVERITY_ALERT => 1;
package F5::ASMConfig::ContentProfileType;
use constant CONTENT_PROFILE_TYPE_GRPC => 6;
use constant CONTENT_PROFILE_TYPE_GRAPHQL => 5;
use constant CONTENT_PROFILE_TYPE_XML => 1;
use constant CONTENT_PROFILE_TYPE_GWT => 3;
use constant CONTENT_PROFILE_TYPE_PLAIN_TEXT => 4;
use constant CONTENT_PROFILE_TYPE_JSON => 2;
package F5::ASMConfig::CaptchaStatus;
use constant CAPTCHA_INCORRECT => 4;
use constant CAPTCHA_INVALID => 7;
use constant CAPTCHA_CORRECT => 3;
use constant CAPTCHA_EMPTY => 5;
use constant CAPTCHA_EXPIRED => 6;
use constant CAPTCHA_UNKNOWN => 1;
use constant CAPTCHA_MAX => 8;
use constant CAPTCHA_NOT_RECEIVED => 2;
package F5::ASMConfig::ScannerAsmVulnStatus;
use constant SCANNER_ASM_VULN_STATUS_PENDING => 1;
use constant SCANNER_ASM_VULN_STATUS_HANDLED_STAGING => 4;
use constant SCANNER_ASM_VULN_STATUS_HANDLED => 2;
use constant SCANNER_ASM_VULN_STATUS_IGNORED => 3;
package F5::ASMConfig::CorsEnforcementMode;
use constant CORS_ENFORCEMENT_MODE_DISABLED => 1;
use constant CORS_ENFORCEMENT_MODE_ENFORCE => 4;
use constant CORS_ENFORCEMENT_MODE_REMOVE_ALL_HEADERS => 2;
use constant CORS_ENFORCEMENT_MODE_REPLACE_HEADERS => 3;
package F5::ASMConfig::AuthzRole;
use constant AUTHZ_ROLE_ADMINISTRATOR => 3;
use constant AUTHZ_ROLE_EDITOR => 2;
use constant AUTHZ_ROLE_GUEST => 1;
package F5::ASMConfig::CsrfUrlMethod;
use constant CSRF_URL_METHOD_GET => 1;
use constant CSRF_URL_METHOD_ANY => 3;
use constant CSRF_URL_METHOD_POST => 2;
package F5::ASMConfig::DeceptionTrapOperator;
use constant DECEPTION_TRAP_OPERATOR_EQUAL => 1;
use constant DECEPTION_TRAP_OPERATOR_NOT_EQUAL => 2;
package F5::ASMConfig::RestCode;
use constant REST_NOT_FOUND => 404;
use constant REST_ACCEPTED => 202;
use constant REST_INTERNAL_SERVER_ERROR => 500;
use constant REST_CREATED => 201;
use constant REST_BAD_REQUEST => 400;
use constant REST_NOT_IMPLEMENTED => 501;
use constant REST_UNAUTHORIZED => 401;
use constant REST_OK => 200;
package F5::ASMConfig::ScannerSiteMapStatus;
use constant SCANNER_SITE_MAP_STATUS_FAILED => 4;
use constant SCANNER_SITE_MAP_STATUS_COMPLETED => 5;
use constant SCANNER_SITE_MAP_STATUS_INIT => 1;
use constant SCANNER_SITE_MAP_STATUS_RETRYING => 3;
use constant SCANNER_SITE_MAP_STATUS_IN_PROGRESS => 2;
package F5::ASMConfig::ResponseTrustLevel;
use constant RESPONSE_TRUST_LEVEL_ALWAYS => 1;
use constant RESPONSE_TRUST_LEVEL_NEVER => 3;
use constant RESPONSE_TRUST_LEVEL_WHEN_STABLE => 2;
package F5::ASMConfig::CookieEnforcementType;
use constant COOKIE_ENFORCEMENT_TYPE_ENFORCE => 2;
use constant COOKIE_ENFORCEMENT_TYPE_ALLOWED => 1;
package F5::ASMConfig::ThreatCampaignRisk;
use constant THREAT_CAMPAIGN_RISK_MEDIUM => 2;
use constant THREAT_CAMPAIGN_RISK_LOW => 1;
use constant THREAT_CAMPAIGN_RISK_HIGH => 3;
package F5::ASMConfig::KeyTransportAlgorithm;
use constant TRANSPROT_ALGORITHM_RSA_OAEP => 2;
use constant TRANSPROT_ALGORITHM_RSA_1_5 => 1;
package F5::ASMConfig::TemplateType;
use constant TEMPLATE_TYPE_USER_DEFINED => 3;
use constant TEMPLATE_TYPE_APPLICATION_READY => 2;
use constant TEMPLATE_TYPE_GENERIC => 1;
package F5::ASMConfig::SectionParentInheritanceStatus;
use constant SECTION_PARENT_INHERITANCE_STATUS_MANDATORY => 1;
use constant SECTION_PARENT_INHERITANCE_STATUS_NONE => 3;
use constant SECTION_PARENT_INHERITANCE_STATUS_NA => 4;
use constant SECTION_PARENT_INHERITANCE_STATUS_OPTIONAL => 2;
package F5::ASMConfig::DeceptionTrapRisk;
use constant DECEPTION_TRAP_RISK_LOW => 1;
use constant DECEPTION_TRAP_RISK_MEDIUM => 2;
use constant DECEPTION_TRAP_RISK_HIGH => 3;
package F5::ASMConfig::ActualEnforcementActionReason;
use constant ACTUAL_ENFORCEMENT_ACTION_REASON_INVALID_CAPTCHA => 3;
use constant ACTUAL_ENFORCEMENT_ACTION_REASON_VALID_CSI => 4;
use constant ACTUAL_ENFORCEMENT_ACTION_REASON_VALID_CAPTCHA => 2;
use constant ACTUAL_ENFORCEMENT_ACTION_REASON_NOT_QUALIFIED => 5;
use constant ACTUAL_ENFORCEMENT_ACTION_REASON_NONE => 1;
package F5::ASMConfig::CookieSameSiteAttribute;
use constant COOKIE_SAME_SITE_ATT_STRICT => 3;
use constant COOKIE_SAME_SITE_ATT_NONE_VALUE => 4;
use constant COOKIE_SAME_SITE_ATT_NONE => 1;
use constant COOKIE_SAME_SITE_ATT_LAX => 2;
package F5::ASMConfig::IncidentStatus;
use constant INCIDENT_CLOSED => 2;
use constant INCIDENT_OPEN => 1;
package F5::ASMConfig::GrpcStatusCode;
use constant GRPC_STATUS_CODE_CANCELLED => 1;
use constant GRPC_STATUS_CODE_PERMISSION_DENIED => 7;
use constant GRPC_STATUS_CODE_INTERNAL => 13;
use constant GRPC_STATUS_CODE_NOT_FOUND => 5;
use constant GRPC_STATUS_CODE_ABORTED => 10;
use constant GRPC_STATUS_CODE_UNAVAILABLE => 14;
use constant GRPC_STATUS_CODE_RESOURCE_EXHAUSTED => 8;
use constant GRPC_STATUS_CODE_UNIMPLEMENTED => 12;
use constant GRPC_STATUS_CODE_OK => 0;
use constant GRPC_STATUS_CODE_UNAUTHENTICATED => 16;
use constant GRPC_STATUS_CODE_FAILED_PRECONDITION => 9;
use constant GRPC_STATUS_CODE_UNKNOWN => 2;
use constant GRPC_STATUS_CODE_DEADLINE_EXCEEDED => 4;
use constant GRPC_STATUS_CODE_INVALID_ARGUMENT => 3;
use constant GRPC_STATUS_CODE_ALREADY_EXISTS => 6;
use constant GRPC_STATUS_CODE_OUT_OF_RANGE => 11;
use constant GRPC_STATUS_CODE_DATA_LOSS => 15;
package F5::ASMConfig::BruteForceMitigatedEntity;
use constant BRUTE_FORCE_MITIGATED_ENTITY_OBJECT => 4;
use constant BRUTE_FORCE_MITIGATED_ENTITY_SOURCE_IP => 1;
use constant BRUTE_FORCE_MITIGATED_ENTITY_DEVICE_ID => 3;
use constant BRUTE_FORCE_MITIGATED_ENTITY_USERNAME => 2;
package F5::ASMConfig::CsrfUrlEnforcementAction;
use constant CSRF_URL_ENFORCEMENT_ACTION_NONE => 1;
use constant CSRF_URL_ENFORCEMENT_ACTION_VERIFY_ORIGIN => 3;
use constant CSRF_URL_ENFORCEMENT_ACTION_VERIFY_CSRF_TOKEN => 2;
package F5::ASMConfig::LogLevel;
use constant LOG_LEVEL_FATAL => 1;
use constant LOG_LEVEL_WARN => 3;
use constant LOG_LEVEL_TRACE => 6;
use constant LOG_LEVEL_INFO => 4;
use constant LOG_LEVEL_DEBUG => 5;
use constant LOG_LEVEL_ERROR => 2;
package F5::ASMConfig::ExtractLevel;
use constant EXTRACT_LEVEL_GLOBAL => 1;
use constant EXTRACT_LEVEL_URL => 2;
package F5::ASMConfig::ArrayViolationReason;
use constant ARRAY_VIOLATION_REASON_NONE => 0;
use constant ARRAY_VIOLATION_REASON_MAX_ITEMS => 2;
use constant ARRAY_VIOLATION_REASON_MIN_ITEMS => 1;
use constant ARRAY_VIOLATION_REASON_UNIQUE => 3;
use constant ARRAY_VIOLATION_REASON_STATIC => 4;
package F5::ASMConfig::DiffDirection;
use constant DIFF_DIRECTION_NONE => 0;
use constant DIFF_DIRECTION_SECOND_TO_FIRST => 2;
use constant DIFF_DIRECTION_FIRST_TO_SECOND => 1;
package F5::ASMConfig::SigfileUpdateMode;
use constant SIGFILE_UPDATE_MODE_MANUAL => 1;
use constant SIGFILE_UPDATE_MODE_SCHEDULED => 2;
package F5::ASMConfig::EncodingType;
use constant ENCODING_TYPE_SINGLE_BYTE => 1;
use constant ENCODING_TYPE_MULTI_BYTE => 2;
package F5::ASMConfig::ErrorCode;
use constant MEMORY_LIMIT_EXCEEDED => 406;
use constant INVALID_XML_PROFILE => 202;
use constant MUTUALLY_EXCLUSIVE_FIELDS => 213;
use constant MCP_VALIDATION_ERROR => 603;
use constant KNOWN_MCP_ERRORS => 600;
use constant FOREIGN_KEY_RESTRICTION => 105;
use constant VULN_DOWNLOAD_ERROR => 403;
use constant FILE_NOT_FOUND => 304;
use constant INVALID_GRAPHQL_PROFILE => 221;
use constant KNOWN_AUTHENTICATION_ERRORS => 500;
use constant NONEXISTENT_RECORD => 102;
use constant DEADLOCK_FOUND => 106;
use constant UNREACHABLE_HOST => 401;
use constant KNOWN_NETWORK_ERRORS => 400;
use constant INVALID_SIGFILE_VERSION => 211;
use constant INVALID_FIELD_FORMAT => 201;
use constant PERMISSION_DENIED => 502;
use constant MISSING_FIELD => 210;
use constant SCANNER_SERVICE_ERROR => 404;
use constant ILLEGAL_FILE_PERMISSIONS => 209;
use constant NOT_IMPLEMENTED => 309;
use constant MODIFIED_INHERITED_VALUE => 503;
use constant KNOWN_DB_ERRORS => 100;
use constant XML_PROFILE_MISSING_FILES => 214;
use constant MCP_NONEXISTENT_RECORD => 601;
use constant SET_ACTIVE_FAIL => 303;
use constant POLICY_MERGE_ERROR => 301;
use constant LOCK_TIMEOUT => 107;
use constant ICONTROL_ERROR => 307;
use constant POLICY_EXPORT_ERROR => 306;
use constant MISSING_POLICY => 104;
use constant MCP_ACTION_NOT_ALLOWED => 602;
use constant INVALID_POLICY => 208;
use constant COAPI_QUERY_FAILURE => 206;
use constant OLDER_SIGFILE_TIMESTAMP => 212;
use constant NONEXISTENT_USER => 501;
use constant SWAGGER_SERIALIZATION_ERRORS => 219;
use constant VULN_FILE_BAD_FORMAT => 207;
use constant SUCCESS => 0;
use constant NO_DB_CONNECTION => 402;
use constant MODIFIED_READ_ONLY_FIELD => 215;
use constant ILLEGAL_OPERATION => 308;
use constant UNKNOWN => 999;
use constant MISSING_FOREIGN_KEY => 103;
use constant INVALID_SIGNATURE => 204;
use constant ACTION_NOT_ALLOWED => 203;
use constant INVALID_ACTION_FOR_POLICY_TYPE => 216;
use constant KNOWN_OPERATION_ERRORS => 300;
use constant ASYNC_SOCKET_FULL => 405;
use constant KNOWN_VALIDATION_ERRORS => 200;
use constant INVALID_GRPC_PROFILE => 220;
use constant INVALID_CERTIFICATE => 205;
use constant DUPLICATE_RECORD => 101;
use constant INVALID_JSON_PROFILE => 217;
use constant ACCOUNT_CONFIGURATION_ERROR => 305;
use constant JSON_PROFILE_MISSING_FILES => 218;
use constant LOG_EXPORT_ERROR => 302;
package F5::ASMConfig::ClickjackingType;
use constant CLICKJACKING_ONLY_SAME => 2;
use constant CLICKJACKING_NEVER => 1;
use constant CLICKJACKING_ONLY_FROM => 3;
package F5::ASMConfig::PolicyType;
use constant POLICY_TYPE_PARENT => 2;
use constant POLICY_TYPE_SECURITY => 1;
package F5::ASMConfig::ArraySerializationFormat;
use constant ARRAY_SERIALIZATION_FORMAT_MATRIX => 7;
use constant ARRAY_SERIALIZATION_FORMAT_MULTIPART => 9;
use constant ARRAY_SERIALIZATION_FORMAT_PIPE => 4;
use constant ARRAY_SERIALIZATION_FORMAT_FORM => 8;
use constant ARRAY_SERIALIZATION_FORMAT_TSV => 3;
use constant ARRAY_SERIALIZATION_FORMAT_SSV => 2;
use constant ARRAY_SERIALIZATION_FORMAT_MULTI => 1;
use constant ARRAY_SERIALIZATION_FORMAT_LABEL => 6;
use constant ARRAY_SERIALIZATION_FORMAT_CSV => 5;
package F5::ASMConfig::DataProtectionCookieHashType;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_NONE => 1;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_MCY2 => 8;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_SHA256_8 => 4;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_MCY3 => 7;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_CRC32 => 2;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_CRC64 => 3;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_SHA256_16 => 5;
use constant DATA_PROTECTION_COOKIE_HASH_TYPE_SHA256 => 6;
package F5::ASMConfig::HslProfileType;
use constant HSL_PROFILE_TYPE_SMTP => 2;
use constant HSL_PROFILE_TYPE_FTP => 1;
package F5::ASMConfig::GeolocationEnforcementMode;
use constant GEOLOCATION_ENFORCEMENT_MODE_ALLOW => 1;
use constant GEOLOCATION_ENFORCEMENT_MODE_DISALLOW => 0;
package F5::ASMConfig::GuiSettingType;
use constant GUI_SETTING_TYPE_CHECKBOX => 3;
use constant GUI_SETTING_TYPE_LIST => 2;
use constant GUI_SETTING_TYPE_TEXT => 4;
use constant GUI_SETTING_TYPE_NUMBER => 1;
package F5::ASMConfig::SuggestionReason;
use constant SUGGESTION_REASON_POLICY_TIGHTENING => 3;
use constant SUGGESTION_REASON_VIOLATION_MITIGATION => 1;
use constant SUGGESTION_REASON_POLICY_REFINING => 2;
package F5::ASMConfig::ParameterHostNameRepresentation;
use constant PARAMETER_HOST_NAME_REPRESENTATION_IP => 1;
use constant PARAMETER_HOST_NAME_REPRESENTATION_DOMAIN => 2;
package F5::ASMConfig::CompressionMethod;
use constant COMPRESSION_METHOD_DEFLATE => 2;
use constant COMPRESSION_METHOD_GZIP => 1;
use constant COMPRESSION_METHOD_COMPRESS => 3;
package F5::ASMConfig::RequestLogEntityType;
use constant REQUEST_PARAMETER => 1;
use constant REQUEST_FILETYPE => 2;
package F5::ASMConfig::ScannerRetestStatus;
use constant SCANNER_RETEST_STATUS_MANUAL => 3;
use constant SCANNER_RETEST_STATUS_NONE => 1;
use constant SCANNER_RETEST_STATUS_UNAVAILABLE => 4;
use constant SCANNER_RETEST_STATUS_REQUESTED => 2;
use constant SCANNER_RETEST_STATUS_REFUSED => 5;
package F5::ASMConfig::DeployStatus;
use constant DEPLOY_STATUS_RUNNING => 2;
use constant DEPLOY_STATUS_SUCCESS => 3;
use constant DEPLOY_STATUS_ERROR => 4;
use constant DEPLOY_STATUS_PENDING => 1;
package F5::ASMConfig::LearningMode;
use constant LEARNING_MODE_MANUAL => 2;
use constant LEARNING_MODE_NONE => 1;
use constant LEARNING_MODE_AUTOMATIC => 3;
package F5::ASMConfig::TaskStatus;
use constant TASK_STATUS_NEW => 1;
use constant TASK_STATUS_STARTED => 2;
use constant TASK_STATUS_FAILURE => 4;
use constant TASK_STATUS_COMPLETED => 3;
package F5::ASMConfig::HostNameRepresentation;
use constant HOST_NAME_REPRESENTATION_ANY => 3;
use constant HOST_NAME_REPRESENTATION_IP => 1;
use constant HOST_NAME_REPRESENTATION_DOMAIN => 2;
package F5::ASMConfig::ObjectSerializationStyle;
use constant OBJECT_SERIALIZATION_STYLE_SIMPLE => 1;
use constant OBJECT_SERIALIZATION_STYLE_FORM => 4;
use constant OBJECT_SERIALIZATION_STYLE_SPACE_DELIMITED => 6;
use constant OBJECT_SERIALIZATION_STYLE_PIPE_DELIMITED => 7;
use constant OBJECT_SERIALIZATION_STYLE_MATRIX => 3;
use constant OBJECT_SERIALIZATION_STYLE_LABEL => 2;
use constant OBJECT_SERIALIZATION_STYLE_DEEP_OBJECT => 5;
package F5::ASMConfig::DeceptionTrapEntityType;
use constant DECEPTION_TRAP_ENTITY_TYPE_COOKIE => 2;
use constant DECEPTION_TRAP_ENTITY_TYPE_URL => 1;
use constant DECEPTION_TRAP_ENTITY_TYPE_SIGNATURE => 5;
use constant DECEPTION_TRAP_ENTITY_TYPE_LOGIN_REQUEST => 6;
use constant DECEPTION_TRAP_ENTITY_TYPE_PARAM => 4;
use constant DECEPTION_TRAP_ENTITY_TYPE_HEADER => 3;
package F5::ASMConfig::ApplicationUsernameType;
use constant APPLICATION_USERNAME_NONE => 3;
use constant APPLICATION_USERNAME_ALL_LOGIN_PAGES => 4;
use constant APPLICATION_USERNAME_LOGIN_PAGES => 2;
use constant APPLICATION_USERNAME_APM => 1;
package F5::ASMConfig::EnforcementMode;
use constant ENFORCE_ALL_EXCEPT_URL_LIST => 1;
use constant ENFORCE_ONLY_URL_LIST => 2;
package F5::ASMConfig::DefenseAttributeValueType;
use constant DEFENSE_ATTRIBUTE_VALUE_TYPE_INTEGER => 1;
use constant DEFENSE_ATTRIBUTE_VALUE_TYPE_BOOLEAN => 3;
use constant DEFENSE_ATTRIBUTE_VALUE_TYPE_STRING => 2;
package F5::ASMConfig::ClientType;
use constant CLIENT_TYPE_UNCATEGORIZED => 0;
use constant CLIENT_TYPE_SUSPICIOUS_BROWSER => 5;
use constant CLIENT_TYPE_AGGREGATED => 4;
use constant CLIENT_TYPE_BOT => 3;
use constant CLIENT_TYPE_BROWSER => 1;
use constant CLIENT_TYPE_MOBILE_APP => 2;
package F5::ASMConfig::FlowMethod;
use constant FLOW_METHOD_POST => 2;
use constant FLOW_METHOD_GET => 1;
package F5::ASMConfig::SuggestionAction;
use constant SUGGESTION_ACTION_UPDATE_APPEND => 3;
use constant SUGGESTION_ACTION_DELETE => 1;
use constant SUGGESTION_ACTION_UPDATE_REMOVE => 4;
use constant SUGGESTION_ACTION_ADD_OR_UPDATE => 2;
package F5::ASMConfig::ResponseActionType;
use constant RESPONSE_ACTION_TYPE_CUSTOM => 3;
use constant RESPONSE_ACTION_TYPE_SOAP_FAULT => 4;
use constant RESPONSE_ACTION_TYPE_REDIRECT => 2;
use constant RESPONSE_ACTION_TYPE_ERASE_COOKIES => 5;
use constant RESPONSE_ACTION_TYPE_DEFAULT => 1;
package F5::ASMConfig::BotSignatureRisk;
use constant BOT_SIGNATURE_RISK_HIGH => 3;
use constant BOT_SIGNATURE_RISK_LOW => 1;
use constant BOT_SIGNATURE_RISK_MEDIUM => 2;
package F5::ASMConfig::ThreatCampaignChangeLevel;
use constant THREAT_CAMPAIGN_CHANGE_LEVEL_UPDATED => 1;
use constant THREAT_CAMPAIGN_CHANGE_LEVEL_DELETED => 4;
use constant THREAT_CAMPAIGN_CHANGE_LEVEL_ADDED => 3;
package F5::ASMConfig::ActionItemSeverity;
use constant LOW => 1;
use constant MEDIUM => 2;
use constant HIGH => 3;
package F5::ASMConfig::DataProtectionSecurityLevel;
use constant DATA_PROTECTION_SECURITY_LEVEL_FAST => 3;
use constant DATA_PROTECTION_SECURITY_LEVEL_SECURE => 1;
package F5::ASMConfig::EventCorrelationMode;
use constant EVENT_CORRELATION_MODE_CENTRAL => 2;
use constant EVENT_CORRELATION_MODE_LOCAL => 1;
package F5::ASMConfig::BlockingCondition;
use constant CVE_SIGNATURE_MATCHED => 1;
use constant SUSPICIOUS_TRANSACTION_DETECTED => 3;
use constant HIGH_ACCURACY_SIGNATURE_MATCHED => 2;
use constant LIKELY_MALICIOUS_TRANSACTION_DETECTED => 4;
package F5::ASMConfig::ChallengeFailureReason;
use constant CHALLENGE_FAILURE_REASON_JAVASCRIPT_DISABLED => 3;
use constant CHALLENGE_FAILURE_REASON_NONE => 1;
use constant CHALLENGE_FAILURE_REASON_JAVASCRIPT_ERROR => 2;
package F5::ASMConfig::DefenseLevel;
use constant DEFENSE_LEVEL_LOW => 3;
use constant DEFENSE_LEVEL_MEDIUM => 2;
use constant DEFENSE_LEVEL_HIGH => 1;
package F5::ASMConfig::SignatureAccuracy;
use constant SIGNATURE_ACCURACY_MEDIUM => 2;
use constant SIGNATURE_ACCURACY_HIGH => 3;
use constant SIGNATURE_ACCURACY_LOW => 1;
package F5::ASMConfig::ScannerScheduleFrequency;
use constant SCANNER_SCHEDULE_FREQUENCY_MONTHLY => 4;
use constant SCANNER_SCHEDULE_FREQUENCY_NEVER => 1;
use constant SCANNER_SCHEDULE_FREQUENCY_DAILY => 2;
use constant SCANNER_SCHEDULE_FREQUENCY_WEEKLY => 3;
package F5::ASMConfig::UpdateType;
use constant UPDATE_TYPE_SERVER_TECHNOLOGIES => 1;
use constant UPDATE_TYPE_ASM_SIGNATURES => 2;
package F5::ASMConfig::TagInjectionLocation;
use constant TAG_INJECTION_LOCATION_NA => 1;
use constant TAG_INJECTION_LOCATION_AFTER => 3;
use constant TAG_INJECTION_LOCATION_BEFORE => 2;
package F5::ASMConfig::LicenseType;
use constant LICENSE_TYPE_FULL => 1;
package F5::ASMConfig::DatabaseProtectionUserSource;
use constant DATABASE_PROTECTION_APM => 1;
use constant DATABASE_PROTECTION_LOGIN_PAGES => 2;
package F5::ASMConfig::WebSocketExtension;
use constant WEBSOCKET_EXTENSION_BLOCK => 2;
use constant WEBSOCKET_EXTENSION_REMOVE => 3;
use constant WEBSOCKET_EXTENSION_IGNORE => 1;
package F5::ASMConfig::AllowedMergeType;
use constant MERGE_NOT_ALLOWED => 0;
use constant MERGE_BY_DETAILS => 2;
use constant MERGE_ALLOWED => 1;
package F5::ASMConfig::CorsOriginEnforcementMode;
use constant CORS_ORIGIN_ENFORCEMENT_MODE_ENFORCE => 3;
use constant CORS_ORIGIN_ENFORCEMENT_MODE_UNMODIFIED => 1;
use constant CORS_ORIGIN_ENFORCEMENT_MODE_REPLACE_WITH => 2;
package F5::ASMConfig::DataProtectionCookieScrambleType;
use constant DATA_PROTECTION_COOKIE_SCRAMBLE_TYPE_BC5 => 4;
use constant DATA_PROTECTION_COOKIE_SCRAMBLE_TYPE_NONE => 1;
use constant DATA_PROTECTION_COOKIE_SCRAMBLE_TYPE_AES => 2;
use constant DATA_PROTECTION_COOKIE_SCRAMBLE_TYPE_SMK3 => 3;
package F5::ASMConfig::BlockIpType;
use constant BLOCK_IP_ALWAYS => 2;
use constant BLOCK_IP_POLICY_DEFAULT => 1;
use constant BLOCK_IP_NEVER => 3;
package F5::ASMConfig::LoginAuthType;
use constant LOGIN_AUTH_TYPE_HTTP_BASIC => 1;
use constant LOGIN_AUTH_TYPE_NONE => 4;
use constant LOGIN_AUTH_TYPE_NTLM => 3;
use constant LOGIN_AUTH_TYPE_FORM => 0;
use constant LOGIN_AUTH_TYPE_JSON => 5;
use constant LOGIN_AUTH_TYPE_HTTP_DIGEST => 2;
package F5::ASMConfig::ResponseWsAction;
use constant RESPONSE_WS_ACTION_SIGN_BEFORE_ENCRYPT => 3;
use constant RESPONSE_WS_ACTION_ENCRYPT_BEFORE_SIGN => 4;
use constant RESPONSE_WS_ACTION_ENCRYPT => 1;
use constant RESPONSE_WS_ACTION_SIGN => 2;
package F5::ASMConfig::ScannerSiteMapAction;
use constant SCANNER_SITE_MAP_ACTION_CHECK_READINESS => 1;
use constant SCANNER_SITE_MAP_ACTION_POSTING_SITE_MAP => 3;
use constant SCANNER_SITE_MAP_ACTION_PREPARING_SITE_MAP => 2;
package F5::ASMConfig::ParameterLocation;
use constant PARAMETER_LOCATION_PATH => 3;
use constant PARAMETER_LOCATION_QUERY => 2;
use constant PARAMETER_LOCATION_HEADER => 4;
use constant PARAMETER_LOCATION_COOKIE => 6;
use constant PARAMETER_LOCATION_FORM_DATA => 5;
use constant PARAMETER_LOCATION_ANY => 1;
package F5::ASMConfig::SessionAwarenessAction;
use constant SESSION_ACTION_BLOCK_ALL => 3;
use constant SESSION_ACTION_TRACK_ALL => 1;
use constant SESSION_ACTION_BLOCK_ILLEGAL => 2;
package F5::ASMConfig::DeceptionTrapSource;
use constant DECEPTION_TRAP_SOURCE_URL => 5;
use constant DECEPTION_TRAP_SOURCE_PARAM_NAME => 3;
use constant DECEPTION_TRAP_SOURCE_COOKIE_NAME => 1;
use constant DECEPTION_TRAP_SOURCE_USERNAME => 8;
use constant DECEPTION_TRAP_SOURCE_COOKIE_VALUE => 2;
use constant DECEPTION_TRAP_SOURCE_HEADER_VALUE => 7;
use constant DECEPTION_TRAP_SOURCE_PARAM_VALUE => 4;
use constant DECEPTION_TRAP_SOURCE_SIGNATURE => 10;
use constant DECEPTION_TRAP_SOURCE_HEADER_NAME => 6;
use constant DECEPTION_TRAP_SOURCE_PASSWORD => 9;
package F5::ASMConfig::CookieSecureAttribute;
use constant COOKIE_SECURE_ATTR_NEVER => 1;
use constant COOKIE_SECURE_ATTR_ALWAYS => 2;
package F5::ASMConfig::BotAction;
use constant BOT_ACTION_BLOCK => 5;
use constant BOT_ACTION_DETECT => 3;
use constant BOT_ACTION_ALARM => 4;
use constant BOT_ACTION_IGNORE => 2;
use constant BOT_ACTION_DEFAULT => 1;
package F5::ASMConfig::SsrfViolationReason;
use constant SSRF_VIOLATION_REASON_TOO_MANY_DNS_ITERATIONS => 4;
use constant SSRF_VIOLATION_REASON_WRONG_REPRESENTATION => 2;
use constant SSRF_VIOLATION_REASON_NO_DNS_RECORD_FOUND => 3;
use constant SSRF_VIOLATION_REASON_PENDING_DNS_REQUESTS_EXCEEDED => 5;
use constant SSRF_VIOLATION_REASON_DENY_ACTION => 1;
package F5::ASMConfig::WebhookEvent;
use constant WEBHOOK_EVENT_HTTP_REQUEST_NEEDING_EXAMINATION => 3;
use constant WEBHOOK_EVENT_ILLEGAL_HTTP_REQUEST => 2;
use constant WEBHOOK_EVENT_INCIDENT_START => 5;
use constant WEBHOOK_EVENT_APPLY_POLICY_FAILED => 7;
use constant WEBHOOK_EVENT_APPLY_POLICY => 1;
use constant WEBHOOK_EVENT_LIKELY_MALICIOUS_HTTP_REQUEST => 4;
use constant WEBHOOK_EVENT_INCIDENT_END => 6;
package F5::ASMConfig::PolicyFileFormat;
use constant POLICY_FILE_FORMAT_JSON => 3;
use constant POLICY_FILE_FORMAT_XML => 1;
use constant POLICY_FILE_FORMAT_BINARY => 2;
package F5::ASMConfig::BruteForceAttackLogDetectionMode;
use constant BRUTE_FORCE_ATTACK_LOG_DETECTION_MODE_EXTREME_NUMBER_OF_CREDENTIALS_STUFFING_DICTIONARY_MATCHES => 2;
use constant BRUTE_FORCE_ATTACK_LOG_DETECTION_MODE_NUMBER_OF_FAILED_LOGINS_INCREASED_AND_EXTREME_NUMBER_OF_CREDENTIALS_STUFFING_DICTIONARY_MATCHES => 3;
use constant BRUTE_FORCE_ATTACK_LOG_DETECTION_MODE_NUMBER_OF_FAILED_LOGINS_INCREASED => 1;
package F5::ASMConfig::Base64Handling;
use constant BASE64_HANDLING_REQUIRED => 1;
use constant BASE64_HANDLING_ENABLED => 2;
use constant BASE64_HANDLING_DISABLED => 0;
package F5::ASMConfig::RelayabilityType;
use constant RELAYABILITY_TYPE_CHECK_RELAYABLE => 2;
use constant RELAYABILITY_TYPE_IS_RELAYABLE => 1;
use constant RELAYABILITY_TYPE_IS_NOT_RELAYABLE => 0;
package F5::ASMConfig::TighteningMode;
use constant TIGHTENING_MODE_ALWAYS => 1;
use constant TIGHTENING_MODE_COMPACT => 3;
use constant TIGHTENING_MODE_NEVER => 0;
use constant TIGHTENING_MODE_EXCEPTION => 2;
package F5::ASMConfig::BruteForceAttackLogCurrentMitigation;
use constant BRUTE_FORCE_ATTACK_LOG_CURRENT_MITIGATION_ALARM_AND_CLIENT_SIDE_INTEGRITY_CAPTCHA => 5;
use constant BRUTE_FORCE_ATTACK_LOG_CURRENT_MITIGATION_ALARM_AND_HONEYPOT_PAGE => 7;
use constant BRUTE_FORCE_ATTACK_LOG_CURRENT_MITIGATION_ALARM_AND_CAPTCHA => 3;
use constant BRUTE_FORCE_ATTACK_LOG_CURRENT_MITIGATION_ALARM_AND_DROP => 6;
use constant BRUTE_FORCE_ATTACK_LOG_CURRENT_MITIGATION_ALARM => 1;
use constant BRUTE_FORCE_ATTACK_LOG_CURRENT_MITIGATION_ALARM_AND_BLOCKING_PAGE => 2;
use constant BRUTE_FORCE_ATTACK_LOG_CURRENT_MITIGATION_ALARM_AND_CLIENT_SIDE_INTEGRITY => 4;
package F5::ASMConfig::GraphqlSchemaType;
use constant GRAPHQL_SCHEMA_TYPE_OBJECT => 2;
use constant GRAPHQL_SCHEMA_TYPE_ARRAY => 3;
use constant GRAPHQL_SCHEMA_TYPE_SCALAR => 1;
package F5::ASMConfig::ThreatCampaignStatus;
use constant THREAT_CAMPAIGN_STATUS_INACTIVE => 2;
use constant THREAT_CAMPAIGN_STATUS_ACTIVE => 1;
package F5::ASMConfig::AjaxActionType;
use constant AJAX_ACTION_TYPE_CUSTOM => 3;
use constant AJAX_ACTION_TYPE_ALERT_POPUP => 2;
use constant AJAX_ACTION_TYPE_REDIRECT => 1;
package F5::ASMConfig::VirtualServerAssocType;
use constant VIRTUAL_SERVER_ASSOC_TYPE_L7_COMPLEX => 2;
use constant VIRTUAL_SERVER_ASSOC_TYPE_L7_SIMPLE => 1;
package F5::ASMConfig::ThreatCampaignReferenceType;
use constant THREAT_CAMPAIGN_REFERENCE_TYPE_URL => 1;
use constant THREAT_CAMPAIGN_REFERENCE_TYPE_CVE => 2;
package F5::ASMConfig::DiffType;
use constant DIFF_TYPE_CONFLICT => 3;
use constant DIFF_TYPE_ONLY_SECOND => 2;
use constant DIFF_TYPE_ONLY_FIRST => 1;
package F5::ASMConfig::ScannerVulnStatus;
use constant SCANNER_VULN_STATUS_OPEN => 1;
use constant SCANNER_VULN_STATUS_CLOSED => 2;
use constant SCANNER_VULN_STATUS_MITIGATED => 3;
package F5::ASMConfig::SortDirection;
use constant SORT_DIRECTION_BINARY_DESC => 4;
use constant SORT_DIRECTION_ASC => 1;
use constant SORT_DIRECTION_BINARY_ASC => 3;
use constant SORT_DIRECTION_DESC => 2;
package F5::ASMConfig::FieldComparison;
use constant FIELD_COMPARISON_EXISTS => 9;
use constant FIELD_COMPARISON_GT => 5;
use constant FIELD_COMPARISON_NOT_EXISTS => 10;
use constant FIELD_COMPARISON_NOT_LIKE => 4;
use constant FIELD_COMPARISON_LE => 8;
use constant FIELD_COMPARISON_ALL_NESTED_IN => 17;
use constant FIELD_COMPARISON_NOT_REGEXP => 14;
use constant FIELD_COMPARISON_ALL_NESTED_NOT_IN => 18;
use constant FIELD_COMPARISON_LIKE => 3;
use constant FIELD_COMPARISON_IS_NOT_NULL => 16;
use constant FIELD_COMPARISON_REGEXP => 13;
use constant FIELD_COMPARISON_NOT_IN => 12;
use constant FIELD_COMPARISON_BINARY_EQ => 19;
use constant FIELD_COMPARISON_BINARY_NE => 20;
use constant FIELD_COMPARISON_IN => 11;
use constant FIELD_COMPARISON_EQ => 1;
use constant FIELD_COMPARISON_IS_NULL => 15;
use constant FIELD_COMPARISON_GE => 6;
use constant FIELD_COMPARISON_LT => 7;
use constant FIELD_COMPARISON_NE => 2;
package F5::ASMConfig::BruteForceMitigationAction;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM_AND_CLIENT_SIDE_INTEGRITY => 4;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM_AND_DROP => 6;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM_AND_CLIENT_SIDE_INTEGRITY_CAPTCHA => 5;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM_AND_LEAKED_CREDENTIALS_RESPONSE_PAGE => 8;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM_AND_BLOCKING_PAGE => 2;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM_AND_CAPTCHA => 3;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM => 1;
use constant BRUTE_FORCE_MITIGATION_ACTION_ALARM_AND_HONEYPOT_PAGE => 7;
package F5::ASMConfig::BuildingMode;
use constant BUILDING_MODE_LOCAL => 1;
use constant BUILDING_MODE_CENTRAL => 2;
package F5::ASMConfig::SessionAwarenessScope;
use constant SESSION_SCOPE_IP => 3;
use constant SESSION_SCOPE_SESSION => 1;
use constant SESSION_SCOPE_DEVICE => 4;
use constant SESSION_SCOPE_USER => 2;
package F5::ASMConfig::SigChangeLevel;
use constant SIG_CHANGE_LEVEL_MAJOR => 2;
use constant SIG_CHANGE_LEVEL_MINOR => 1;
use constant SIG_CHANGE_LEVEL_DELETED => 4;
use constant SIG_CHANGE_LEVEL_ADDED => 3;
package F5::ASMConfig::EncryptionType;
use constant ENCRYPTION_NONE => 1;
use constant ENCRYPTION_SSL => 2;
use constant ENCRYPTION_TLS => 3;
package F5::ASMConfig::OriginProtocol;
use constant ORIGIN_PROTOCOL_ANY => 3;
use constant ORIGIN_PROTOCOL_HTTPS => 2;
use constant ORIGIN_PROTOCOL_HTTP => 1;
package F5::ASMConfig::SmtpAddressType;
use constant SMTP_ADDRESS_TYPE_RECEIVER => 3;
use constant SMTP_ADDRESS_TYPE_SENDER => 1;
use constant SMTP_ADDRESS_TYPE_USER => 2;
package F5::ASMConfig::PathParameterHandling;
use constant PATH_PARAMETER_HANDLING_AS_PARAMETER => 1;
use constant PATH_PARAMETER_HANDLING_IGNORE => 3;
use constant PATH_PARAMETER_HANDLING_AS_URL => 2;
package F5::ASMConfig::IncidentSeverity;
use constant INCIDENT_SEVERITY_LOW => 1;
use constant INCIDENT_SEVERITY_HIGH => 3;
use constant INCIDENT_SEVERITY_MEDIUM => 2;
package F5::ASMConfig::SectionChildInheritanceStatus;
use constant SECTION_CHILD_INHERITANCE_STATUS_DECLINED => 3;
use constant SECTION_CHILD_INHERITANCE_STATUS_ACCEPTED => 2;
use constant SECTION_CHILD_INHERITANCE_STATUS_NA => 4;
use constant SECTION_CHILD_INHERITANCE_STATUS_MANDATORY => 1;
package F5::ASMConfig::ScannerVulnType;
use constant SCANNER_VULN_TYPE_RESOLVABLE_MANUALLY => 2;
use constant SCANNER_VULN_TYPE_NOT_RESOLVABLE => 0;
use constant SCANNER_VULN_TYPE_RESOLVABLE => 1;
package F5::ASMConfig::ActionItemType;
use constant THREAT_CAMPAIGN_STAGING_PAST_PERIOD => 17;
use constant MISSING_SYNC_DEVICE_GROUP => 3;
use constant URL_STAGING_PAST_PERIOD => 6;
use constant FILETYPE_STAGING_PAST_PERIOD => 5;
use constant PARAMETER_STAGING_PAST_PERIOD => 8;
use constant WEBSOCKET_URL_STAGING_PAST_PERIOD => 16;
use constant TRANSPARENT_POLICY => 11;
use constant COOKIE_STAGING_PAST_PERIOD => 7;
use constant ASM_RESTART_REQUIRED => 14;
use constant SIGNATURE_STAGING_PAST_PERIOD => 4;
use constant SIGNATURE_UPDATE_AVAILABLE => 2;
use constant DEFAULT_PARAMETER => 15;
use constant POLICY_ACTION_ITEM_SUMMARY => 1;
use constant SCANNER_VULNS => 12;
use constant MODIFIED_POLICY => 9;
use constant POLICY_VALIDATION_ERRORS => 13;
package F5::ASMConfig::CharsetType;
use constant CHARSET_TYPE_URI => 2;
use constant CHARSET_TYPE_XML_PROFILE => 5;
use constant CHARSET_TYPE_PARAM_NAME => 3;
use constant CHARSET_TYPE_HEADER => 1;
use constant CHARSET_TYPE_PLAIN_TEXT_PROFILE => 8;
use constant CHARSET_TYPE_GWT_PROFILE => 7;
use constant CHARSET_TYPE_JSON_PROFILE => 6;
use constant CHARSET_TYPE_PARAM_VALUE => 4;
package F5::ASMConfig::BlockingExceptionReasonType;
use constant BLOCKING_EXCEPTION_THREAT_ANALYSIS => 5;
use constant BLOCKING_EXCEPTION_IRULE => 2;
use constant BLOCKING_EXCEPTION_DELAYED => 3;
use constant BLOCKING_EXCEPTION_NONE => 0;
use constant BLOCKING_EXCEPTION_WHITELIST => 1;
use constant BLOCKING_EXCEPTION_HOSTNAME => 4;
package F5::ASMConfig::RequestWsAction;
use constant REQUEST_WS_ACTION_VERIFY => 1;
package F5::ASMConfig::SignatureAlgorithm;
use constant SIGNATURE_ALGORITHM_HMAC_SHA1 => 1;
use constant SIGNATURE_ALGORITHM_RSA_SHA1 => 2;
package F5::ASMConfig::ConfigItemValueType;
use constant CONFIG_ITEM_VALUE_TYPE_STRING => 1;
use constant CONFIG_ITEM_VALUE_TYPE_NUMBER => 2;
package F5::ASMConfig::BotClass;
use constant BOT_CLASS_MALICIOUS_BOT => 7;
use constant BOT_CLASS_UNTRUSTED_BOT => 5;
use constant BOT_CLASS_UNKNOWN => 0;
use constant BOT_CLASS_SUSPICIOUS_BROWSER => 6;
use constant BOT_CLASS_TRUSTED_BOT => 4;
use constant BOT_CLASS_MOBILE_APP => 3;
use constant BOT_CLASS_BROWSER => 2;
package F5::ASMConfig::OpenApiContentFormat;
use constant OPEN_API_CONTENT_FORMAT_YAML => 1;
use constant OPEN_API_CONTENT_FORMAT_JSON => 2;
package F5::ASMConfig::BotIncidentStatus;
use constant BOT_INCIDENT_STATUS_OPEN => 1;
use constant BOT_INCIDENT_STATUS_CLOSED => 2;
package F5::ASMConfig::SeverityLevel;
use constant SEVERITY_LOW => 5;
use constant SEVERITY_MEDIUM => 4;
use constant SEVERITY_INFO => 6;
use constant SEVERITY_CRITICAL => 2;
use constant SEVERITY_URGENT => 1;
use constant SEVERITY_HIGH => 3;
package F5::ASMConfig::RawResponseExclusionReason;
use constant RAW_RESPONSE_EXCLUSION_REASON_NA => 0;
use constant RAW_RESPONSE_EXCLUSION_REASON_EXHAUSTED => 5;
use constant RAW_RESPONSE_EXCLUSION_REASON_BLOCKED => 3;
use constant RAW_RESPONSE_EXCLUSION_REASON_RATE_LIMIT => 1;
use constant RAW_RESPONSE_EXCLUSION_REASON_NOT_IN_FILTER => 2;
use constant RAW_RESPONSE_EXCLUSION_REASON_UNSUPPORTED_CONTENT_TYPE => 6;
use constant RAW_RESPONSE_EXCLUSION_REASON_DISABLED => 4;
use constant RAW_RESPONSE_EXCLUSION_REASON_BYPASS => 7;
use constant RAW_RESPONSE_EXCLUSION_REASON_CONNECTION_RESET => 8;
package F5::ASMConfig::AutoApplyFrequency;
use constant AUTO_APPLY_REAL_TIME => 2;
use constant AUTO_APPLY_DISABLED => 1;
use constant AUTO_APPLY_SCHEDULED => 3;
package F5::ASMConfig::EncryptionAlgorithm;
use constant ENCRYPTION_ALGORITHM_TRIPLEDES => 3;
use constant ENCRYPTION_ALGORITHM_AES128 => 2;
use constant ENCRYPTION_ALGORITHM_AES256 => 1;
package F5::ASMConfig::ParamDataType;
use constant PARAM_DATA_DECIMAL => 4;
use constant PARAM_DATA_INTEGER => 2;
use constant PARAM_DATA_BINARY => 1;
use constant PARAM_DATA_URI => 512;
use constant PARAM_DATA_EMAIL => 64;
use constant PARAM_DATA_PHONE => 128;
use constant PARAM_DATA_NONE => 0;
use constant PARAM_DATA_ALPHA_NUMERIC => 32;
use constant PARAM_DATA_BOOLEAN => 256;
package F5::ASMConfig::AggregationStrategy;
use constant AGGREGATION_STRATEGY_LAX => 1;
use constant AGGREGATION_STRATEGY_STRICT => 3;
use constant AGGREGATION_STRATEGY_WEIGHTED => 2;
package F5::ASMConfig::EnforcementAction;
use constant ENFORCEMENT_ACTION_DROP => 7;
use constant ENFORCEMENT_ACTION_BLOCK => 5;
use constant ENFORCEMENT_ACTION_CS => 3;
use constant ENFORCEMENT_ACTION_DECEPTION_PAGE => 8;
use constant ENFORCEMENT_ACTION_ALARM => 2;
use constant ENFORCEMENT_ACTION_HONEYPOT => 6;
use constant ENFORCEMENT_ACTION_NONE => 1;
use constant ENFORCEMENT_ACTION_LEAKED_CREDENTIALS => 9;
use constant ENFORCEMENT_ACTION_CAPTCHA => 4;
package F5::ASMConfig::CanonicalizationAlgorithm;
use constant CANONICALIZATION_ALGORITHM_EXC_C14N => 1;
package F5::ASMConfig::WebsocketProtocol;
use constant WS_PROTOCOL_WS => 0;
use constant WS_PROTOCOL_WSS => 1;
package F5::ASMConfig::TransparencyEnforcementMode;
use constant TRANSPARENCY_ENFORCEMENT_TRANSPARENT => 2;
use constant TRANSPARENCY_ENFORCEMENT_POLICY_DEFAULT => 1;
use constant TRANSPARENCY_ENFORCEMENT_BLOCKING => 3;
package F5::ASMConfig::RegexpType;
use constant REGEXP_TYPE_PCRE => 1;
use constant REGEXP_TYPE_RE2 => 2;
package F5::ASMConfig::TriggeriRuleEvents;
use constant TRIGGER_IRULE_EVENTS_OFF => 0;
use constant TRIGGER_IRULE_EVENTS_ASM_REQUEST_DONE => 2;
use constant TRIGGER_IRULE_EVENTS_ASM_REQUEST_VIOLATION => 1;
package F5::ASMConfig::CsrfUrlRequiredParameters;
use constant CSRF_URL_REQUIRED_PARAMETERS_FROM_PARAMETERS_LIST => 3;
use constant CSRF_URL_REQUIRED_PARAMETERS_NONE => 1;
use constant CSRF_URL_REQUIRED_PARAMETERS_ANY => 2;
package F5::ASMConfig::SectionType;
use constant SECTION_TYPE_HTTP_PROTOCOL => 2;
use constant SECTION_TYPE_VULNERABILITY_ASSESSMENT => 23;
use constant SECTION_TYPE_POLICY_BUILDING => 11;
use constant SECTION_TYPE_URLS => 13;
use constant SECTION_TYPE_SERVER_TECHNOLOGIES => 21;
use constant SECTION_TYPE_IP_ADDRESSES => 9;
use constant SECTION_TYPE_SESSIONS_AND_LOGINS => 14;
use constant SECTION_TYPE_CONTENT_PROFILES => 20;
use constant SECTION_TYPE_ANTIVIRUS => 18;
use constant SECTION_TYPE_COOKIES => 15;
use constant SECTION_TYPE_USER_VIOLATIONS => 12;
use constant SECTION_TYPE_PARAMETERS => 7;
use constant SECTION_TYPE_HEADERS => 8;
use constant SECTION_TYPE_THREAT_CAMPAIGNS => 24;
use constant SECTION_TYPE_BOT_DEFENSE => 25;
use constant SECTION_TYPE_GENERAL_SETTINGS => 1;
use constant SECTION_TYPE_EVASION_TECHNIQUES => 5;
use constant SECTION_TYPE_WEBSOCKET_PROTOCOL => 3;
use constant SECTION_TYPE_ATTACK_SIGNATURES => 4;
use constant SECTION_TYPE_DATA_GUARD => 10;
use constant SECTION_TYPE_DATABASE_PROTECTION => 22;
use constant SECTION_TYPE_REDIRECTION_PROTECTION => 16;
use constant SECTION_TYPE_FILETYPES => 6;
use constant SECTION_TYPE_CSRF_PROTECTION => 17;
package F5::ASMConfig::SsrfActionType;
use constant SSRF_ACTION_RESOLVE => 3;
use constant SSRF_ACTION_DISALLOW => 1;
use constant SSRF_ACTION_ALLOW => 2;
package F5::ASMConfig::ScanStatus;
use constant SCAN_STATUS_REGISTRATION_COMPLETED => 2;
use constant SCAN_STATUS_REGISTRATION_REQUESTED => 1;
use constant SCAN_STATUS_SCAN_COMPLETED => 3;
package F5::ASMConfig::DeviceGroupType;
use constant DEVICE_GROUP_TYPE_SYNC_FAILOVER => 1;
use constant DEVICE_GROUP_TYPE_SYNC_ONLY => 0;
package F5::ASMConfig::SuggestionStatus;
use constant SUGGESTION_STATUS_ACCEPT_AND_STAGE => 3;
use constant SUGGESTION_STATUS_PENDING => 1;
use constant SUGGESTION_STATUS_ACCEPT => 2;
use constant SUGGESTION_STATUS_ACCEPT_GLOBALLY => 5;
use constant SUGGESTION_STATUS_IGNORED => 4;
use constant SUGGESTION_STATUS_ACCEPT_ON_MICROSERVICES => 6;
package F5::ASMConfig::ThreatCampaignFileUpdateMode;
use constant THREAT_CAMPAIGN_FILE_UPDATE_MODE_SCHEDULED => 2;
use constant THREAT_CAMPAIGN_FILE_UPDATE_MODE_MANUAL => 1;
package F5::ASMConfig::EnforcedBy;
use constant ENFORCED_BY_THREAT_ANALYSIS => 3;
use constant ENFORCED_BY_STRICT_POLICY_BY_THREAT_ANALYSIS => 5;
use constant ENFORCED_BY_BASELINE_POLICY_BY_THREAT_ANALYSIS => 4;
use constant ENFORCED_BY_BASELINE_POLICY => 2;
use constant ENFORCED_BY_APPLICATION_SECURITY_POLICY => 1;
package F5::ASMConfig::DataProtectionCookieType;
use constant DATA_PROTECTION_COOKIE_TYPE_FRAME => 2;
use constant DATA_PROTECTION_COOKIE_TYPE_MAIN => 1;
package F5::ASMConfig::SyncType;
use constant SYNC_TYPE_FULL_AUTO => 3;
use constant SYNC_TYPE_NONE => 0;
use constant SYNC_TYPE_INCREMENTAL_AUTO => 4;
use constant SYNC_TYPE_INCREMENTAL_MANUAL => 2;
use constant SYNC_TYPE_FULL_MANUAL => 1;
package F5::ASMConfig::ParamValueType;
use constant PARAM_VALUE_USER_INPUT => 4;
use constant PARAM_VALUE_ARRAY_VALUE => 128;
use constant PARAM_VALUE_IGNORE_VALUE => 8;
use constant PARAM_VALUE_XML_VALUE => 32;
use constant PARAM_VALUE_OPENAPI_ARRAY_VALUE => 512;
use constant PARAM_VALUE_STATIC_CONTENT_VALUE => 1;
use constant PARAM_VALUE_OBJECT_VALUE => 256;
use constant PARAM_VALUE_DYNAMIC_CONTENT_VALUE => 2;
use constant PARAM_VALUE_JSON_VALUE => 64;
use constant PARAM_VALUE_DYNAMIC_PARAM_NAME => 16;
use constant PARAM_VALUE_AUTO_DETECT => 1024;
package F5::ASMConfig::ScannerAttackVectorStatus;
use constant SCANNER_ATTACK_VECTOR_STATUS_MITIGATED => 3;
use constant SCANNER_ATTACK_VECTOR_STATUS_CLOSED => 2;
use constant SCANNER_ATTACK_VECTOR_STATUS_OPEN => 1;
package F5::ASMConfig::SigReferenceType;
use constant SIGNATURE_REFERENCE_TYPE_CVE => 2;
use constant SIGNATURE_REFERENCE_TYPE_NESSUS => 3;
use constant SIGNATURE_REFERENCE_TYPE_BUGTRAQ => 4;
use constant SIGNATURE_REFERENCE_TYPE_URL => 1;
package F5::ASMConfig::AttackSignatureFalsePositiveMode;
use constant ATTACK_SIGNATURE_FALSE_POSITIVE_MODE_DISABLED => 1;
use constant ATTACK_SIGNATURE_FALSE_POSITIVE_MODE_DETECT_AND_ALLOW => 3;
use constant ATTACK_SIGNATURE_FALSE_POSITIVE_MODE_DETECT => 2;
package F5::ASMConfig::ResponseType;
use constant RESPONSE_TYPE_HIJACK => 6;
use constant RESPONSE_TYPE_GRPC => 15;
use constant RESPONSE_TYPE_FAILED_LOGIN_HONEYPOT_AJAX => 11;
use constant RESPONSE_TYPE_MOBILE => 7;
use constant RESPONSE_TYPE_CAPTCHA_FAIL => 9;
use constant RESPONSE_TYPE_FAILED_LOGIN_HONEYPOT => 10;
use constant RESPONSE_TYPE_CAPTCHA => 8;
use constant RESPONSE_TYPE_LEAKED_CREDENTIALS => 12;
use constant RESPONSE_TYPE_AJAX => 4;
use constant RESPONSE_TYPE_AJAX_LOGIN => 5;
use constant RESPONSE_TYPE_DEFAULT => 1;
use constant RESPONSE_TYPE_PERSISTENT_FLOW => 2;
use constant RESPONSE_TYPE_LEAKED_CREDENTIALS_AJAX => 13;
use constant RESPONSE_TYPE_XML => 3;
use constant RESPONSE_TYPE_GRAPHQL => 14;
package F5::ASMConfig::ParameterValueAutoDetectedType;
use constant PARAMETER_VALUE_AUTO_DETECTED_TYPE_ALPHA_NUMERIC => 1;
use constant PARAMETER_VALUE_AUTO_DETECTED_TYPE_JSON => 3;
use constant PARAMETER_VALUE_AUTO_DETECTED_TYPE_XML => 2;
package F5::ASMConfig::XmlValidationFileType;
use constant XML_VALIDATION_FILE_TYPE_XSD_SOAP => 2;
use constant XML_VALIDATION_FILE_TYPE_WSDL => 3;
use constant XML_VALIDATION_FILE_TYPE_XSD => 1;
package F5::ASMConfig::OpenApiFileType;
use constant OPEN_API_FILE_TYPE_SWAGGER => 1;
package F5::ASMConfig::CollapseType;
use constant COLLAPSE_TYPE_HTTP => 1;
use constant COLLAPSE_TYPE_NONE => 0;
package F5::ASMConfig::CertificateType;
use constant CERTIFICATE_TYPE_SERVER => 2;
use constant CERTIFICATE_TYPE_CLIENT => 1;
package F5::ASMConfig::EnforcementType;
use constant ENFORCEMENT_TYPE_APPLY_VALUE_SIGNATURES => 4;
use constant ENFORCEMENT_TYPE_DO_NOTHING => 8;
use constant ENFORCEMENT_TYPE_DISALLOW => 5;
use constant ENFORCEMENT_TYPE_XML => 2;
use constant ENFORCEMENT_TYPE_HTTP => 1;
use constant ENFORCEMENT_TYPE_JSON => 3;
use constant ENFORCEMENT_TYPE_GWT => 7;
use constant ENFORCEMENT_TYPE_DONT_CHECK => 6;
use constant ENFORCEMENT_TYPE_GRPC => 10;
use constant ENFORCEMENT_TYPE_GRAPHQL => 9;
package F5::ASMConfig::DataProtectionCookieMacType;
use constant DATA_PROTECTION_COOKIE_MAC_TYPE_NONE => 1;
use constant DATA_PROTECTION_COOKIE_MAC_TYPE_HMAC_SHA256 => 2;
package F5::ASMConfig::SourceType;
use constant SOURCE_TYPE_IP => 1;
use constant SOURCE_TYPE_DEVICE_ID => 2;
package F5::ASMConfig::ParamLevel;
use constant PARAM_LEVEL_URL => 2;
use constant PARAM_LEVEL_FLOW => 3;
use constant PARAM_LEVEL_GLOBAL => 1;
package F5::ASMConfig::BruteForceAttackLogAnomalyAttackType;
use constant BRUTE_FORCE_ATTACK_LOG_ANOMALY_ATTACK_TYPE_REDENTIALS_STUFFING_ATTACK => 2;
use constant BRUTE_FORCE_ATTACK_LOG_ANOMALY_ATTACK_TYPE_BRUTE_FORCE_ATTACK_AND_CREDENTIALS_STUFFING_ATTACK => 3;
use constant BRUTE_FORCE_ATTACK_LOG_ANOMALY_ATTACK_TYPE_BRUTE_FORCE_ATTACK => 1;
package F5::ASMConfig::ParameterValueLengthViolationType;
use constant PARAMETER_VALUE_LENGTH_VIOLATION_TYPE_MAXIMUM => 2;
use constant PARAMETER_VALUE_LENGTH_VIOLATION_TYPE_MINIMUM => 1;
package F5::ASMConfig::LiveUpdateChangeLevel;
use constant LIVE_UPDATE_CHANGE_LEVEL_DELETED => 4;
use constant LIVE_UPDATE_CHANGE_LEVEL_ADDED => 3;
use constant LIVE_UPDATE_CHANGE_LEVEL_UPDATED => 1;
package F5::ASMConfig::ApplyTo;
use constant APPLY_TO_RESPONSE => 2;
use constant APPLY_TO_REQUEST => 1;
package F5::ASMConfig::EventType;
use constant ALL_TYPES => 4;
use constant INFO => 7;
use constant CATCHUP_ADD => 9;
use constant ASYNC_RESULT => 10;
use constant CATCHUP_COMPLETE => 5;
use constant UPDATE => 2;
use constant ASYNC_NO_RESULT => 11;
use constant ADD => 1;
use constant ERROR => 6;
use constant DELETE => 3;
use constant CATCHUP_START => 8;
package F5::ASMConfig::ThreatAnalysisEnforcementAction;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_BASELINE => 1;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_BLOCK => 5;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_DECEPTION => 7;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_CAPTCHA => 4;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_STRICT => 2;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_CHALLENGE => 3;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_ALLOW => 0;
use constant THREAT_ANALYSIS_ENFORCEMENT_ACTION_DROP => 6;
package F5::ASMConfig::ElementType;
use constant SESSION_AWARENESS_SETTINGS => 111;
use constant INITIATE_VULNERABILITY_ASSESSMENT_TASK => 164;
use constant ALL_ELEMENT_TYPES => 29;
use constant HEADER => 141;
use constant PBCONFIG_SERVER_TECHNOLOGIES => 201;
use constant WSS_SUBVIOLATION_CODE => 172;
use constant POLICY_WA_WEB_APPLICATION => 88;
use constant BOT_ANOMALY => 267;
use constant VIOLATION => 153;
use constant ACCEPTED_REQUEST => 167;
use constant JSON_VALIDATION_FILE => 243;
use constant BOT_INCIDENT => 240;
use constant CONTENT_PROFILE => 97;
use constant POLICY_SIGNATURE_SET => 23;
use constant FACILITY => 64;
use constant POLICY_THREAT_CAMPAIGN => 230;
use constant DATABASE_PROTECTION => 138;
use constant POLICY_MERGE => 39;
use constant THREAT_CAMPAIGN_FILE_UPDATE_SETTINGS => 237;
use constant POLICY_SIGNATURE_REQUIREMENT => 258;
use constant BLOCKING_SETTINGS_GENERAL => 233;
use constant DIFF_ITEM => 129;
use constant BEHAVIORAL_WAF_UPDATE_RES => 250;
use constant PBCONFIG_CENTRAL_CONFIGURATION => 216;
use constant XML_VALIDATION_FILE => 159;
use constant GLOBAL_SECTION => 228;
use constant PBCONFIG_URL => 195;
use constant CLUSTER_STATE => 32;
use constant GWT_PROFILE => 126;
use constant POLICY_BROWSER => 275;
use constant SIGNATURE_RULE_KEYWORDS_TOOL => 212;
use constant APPLY_POLICY_TASK => 150;
use constant EXPORT_TO_FILE_TASK => 231;
use constant GRAPHQL_DEFENSE_ATTRIBUTE_DEFAULT => 263;
use constant CSRF_URL => 25;
use constant UPDATE_THREAT_CAMPAIGN_FILE_TASK => 235;
use constant GWT_DEFENSE_ATTRIBUTE => 127;
use constant ASSOCIATE_XML_VALIDATION_FILES_TASK => 160;
use constant RESOLVE_VULNERABILITIES_TASK => 161;
use constant GEOLOCATION_ENFORCEMENT => 110;
use constant BRUTE_FORCE_ATTACK_LOG => 220;
use constant POLICY_SERVER_TECHNOLOGY => 182;
use constant GLOBAL_SCANNER_CONFIG => 145;
use constant EVENT_SUBSCRIPTION => 1;
use constant GRAPHQL_PROFILE => 261;
use constant INTERNAL_CONFIG_ITEM => 74;
use constant MICROSERVICE => 239;
use constant PBCONFIG_PARAMETER => 191;
use constant LOGOUT_OBJECT => 58;
use constant POLICY_BOT_SIGNATURE => 272;
use constant VIRUS_DETECTION_SERVER => 211;
use constant RESPONSE_PAGE => 46;
use constant REQUEST_LOG_SYNC => 168;
use constant BRUTE_FORCE_MITIGATED_DEVICE_ID => 221;
use constant LOGIN_OBJECT => 41;
use constant POLICY_HEADER_SETTINGS => 203;
use constant EXPORT_REQUESTS_TASK => 187;
use constant ASM_RESPONSE_CODE => 227;
use constant COOKIE => 11;
use constant ASM_HTTP_METHOD => 180;
use constant FLOW => 21;
use constant LOGIN_OBJECT_TARGET => 54;
use constant POLICY_DIFF_TASK => 213;
use constant ASM_HEALTH_ALERTS => 238;
use constant SCANNER_ACTIONS => 45;
use constant ENCODING => 136;
use constant INCIDENT => 113;
use constant ACCOUNT => 16;
use constant SIGNATURE => 36;
use constant POLICY_BUILDER_INTERNAL_INFO => 53;
use constant XML_DEFENSE_ATTRIBUTE => 89;
use constant BRUTE_FORCE_LOGIN_PAGE_STATUS => 224;
use constant POLICY_NEGSIG_ATTRIBUTES => 38;
use constant BULK_TASK => 188;
use constant PERSIST_TO_MCP => 149;
use constant BEHAVIORAL_ENFORCEMENT => 246;
use constant ATTACK_TYPE => 154;
use constant SSRF_HOST => 260;
use constant POLICY_SIGNATURE => 9;
use constant IMPORT_POLICY_TEMPLATE_TASK => 204;
use constant FILETYPE => 2;
use constant DEVICE_GROUP => 109;
use constant REFINEMENT => 176;
use constant WEBHOOK => 254;
use constant VIRTUAL_SERVER => 134;
use constant VIRTUAL_SERVER_PROFILE => 256;
use constant SET_ACTIVE => 18;
use constant HSL_VIRTUAL_SERVER => 116;
use constant POLICY => 59;
use constant GRPC_DEFENSE_ATTRIBUTE => 266;
use constant IMPORT_CERTIFICATE_TASK => 218;
use constant NAVIGATION_PARAMETER => 56;
use constant TRUST_XFF => 20;
use constant EXPORT_POLICY_TEMPLATE_TASK => 205;
use constant EXPORT_SIGNATURES_TASK => 158;
use constant SECTION => 196;
use constant DATA_PROTECTION_COOKIE_CONFIGURATION_DEFAULT => 140;
use constant IDL_FILE => 270;
use constant UPDATE_SIGNATURES_TASK => 157;
use constant CSRF => 24;
use constant RESPONSE_PAGE_SETTINGS => 47;
use constant HTTP_CLASS => 131;
use constant IMPORT_VULNERABILITIES_TASK => 162;
use constant IMPORT_DATA_PROTECTION_TASK => 207;
use constant GET_VULNERABILITY_ASSESSMENT_SUBSCRIPTIONS_TASK => 163;
use constant INCIDENT_TYPE => 209;
use constant BLOCKING => 4;
use constant FILTERS => 91;
use constant POLICY_ACTION_ITEM => 119;
use constant PLAIN_TEXT_DEFENSE_ATTRIBUTE => 178;
use constant REQUEST_LOGGER => 271;
use constant CHECK_THREAT_CAMPAIGN_FILE_TASK => 234;
use constant REDIRECTION_PROTECTION => 147;
use constant ASSOCIATE_GRAPHQL_IDL_FILES_TASK => 279;
use constant BOT_SIGNATURE => 259;
use constant CONFIG_LOG => 17;
use constant JSON_PROFILE => 50;
use constant EXPORT_POLICY_TASK => 151;
use constant DISALLOWED_GEOLOCATION => 197;
use constant CERTIFICATE => 61;
use constant SIGFILE_UPDATE_SETTINGS => 100;
use constant API_PROTECTION_PROFILE_CONFIG_TASK => 245;
use constant DEPLOY_REQUEST => 135;
use constant PARAMETER_CONTENT_PROFILE => 51;
use constant POLICY_TEMPLATE => 106;
use constant BRUTE_FORCE_MITIGATED_IP => 219;
use constant IP_REPUTATION => 122;
use constant REDIRECTION_DOMAIN => 148;
use constant L7_POLICY => 206;
use constant POLICY_ATTRIBUTES => 22;
use constant THREAT_CAMPAIGN_FILE_UPDATE_RES => 236;
use constant PBCONFIG_SESSIONS_AND_LOGINS => 200;
use constant REGEXP_VALIDATION_TOOL => 257;
use constant GRPC_PROFILE => 269;
use constant LOGIN_OBJECT_ATTRIBUTE => 57;
use constant APPLY_SERVER_TECHNOLOGIES_TASK => 186;
use constant PBCONFIG_COOKIE => 189;
use constant CHECK_SIGNATURES_TASK => 156;
use constant LOGGING_PROFILE => 62;
use constant APPLY_CLUSTER_SYNC => 194;
use constant EM_ASM_POLICY => 133;
use constant EM_VIRTUAL_SERVER => 143;
use constant SIGNATURE_SYSTEM => 103;
use constant XML_DEFENSE_ATTRIBUTE_DEFAULT => 92;
use constant JSON_DEFENSE_ATTRIBUTE_DEFAULT => 173;
use constant EM_ASM_IP_ADDRESS_LIST => 132;
use constant PBCONFIG_FILETYPE => 190;
use constant SENSITIVE_PARAMETER => 55;
use constant DATA_PROTECTION => 139;
use constant GUI_SETTINGS => 40;
use constant HTTP_CHECK_CODE => 171;
use constant IMPORT_POLICY_TASK => 152;
use constant TAG => 184;
use constant HSL_VIOLATION_CODE => 83;
use constant EXTRACTION => 15;
use constant BRUTE_FORCE => 27;
use constant PBCONFIG_REDIRECTION_PROTECTION => 199;
use constant POLICY_BOT_CLASS => 273;
use constant HSL_SMTP_PROFILE => 82;
use constant POLICY_THREAT_CAMPAIGN_ATTRIBUTES => 232;
use constant SEVERITY => 63;
use constant WHITELIST_IP => 117;
use constant POLICY_BROWSER_DEFINITION => 274;
use constant GRPC_DEFENSE_ATTRIBUTE_DEFAULT => 265;
use constant ASM_CONFIG_SETTINGS => 34;
use constant WSS_SUBVIOLATION => 14;
use constant IMPORT_OPEN_API_TASK => 251;
use constant THREAT_RATING_SETTINGS => 278;
use constant DATABASE_PROTECTION_SETTINGS => 137;
use constant BRUTE_FORCE_LEAKED_CREDENTIAL => 223;
use constant EXPORT_SUGGESTIONS_TASK => 255;
use constant RESPONSE_SCRUBBING_FORMAT => 99;
use constant REQUEST_LOG => 166;
use constant SIGNATURE_SYSTEM_GROUP => 104;
use constant PBCONFIG => 3;
use constant BEHAVIORAL_WAF_FILE => 249;
use constant GRAPHQL_DEFENSE_ATTRIBUTE => 262;
use constant BOT_DEFENSE => 264;
use constant IP_REPUTATION_CATEGORY_ATTRIBUTES => 124;
use constant JSON_DEFENSE_ATTRIBUTE => 96;
use constant POLICY_LOG_ENTRY => 60;
use constant SERVER_TECHNOLOGY => 181;
use constant HSL_COMMAND_CODE => 84;
use constant NORMALIZATION_CODE => 170;
use constant DECEPTION_RESPONSE_PAGE => 247;
use constant _URL => 8;
use constant ALLOWED_RESPONSE_CODE => 69;
use constant SCANNER_CONFIG => 42;
use constant BRUTE_FORCE_MITIGATED_USERNAME => 222;
use constant DISABLED_ACTION_ITEM => 120;
use constant DEVICE => 130;
use constant POLICY_HISTORY => 78;
use constant IP_REPUTATION_CATEGORY => 123;
use constant DYNAMIC_FLOW => 95;
use constant UPDATE_ENFORCER_TASK => 210;
use constant EXPORT_DATA_PROTECTION_TASK => 208;
use constant POLICY_BUILDING_DISALLOWED_FILETYPE => 217;
use constant WEBSOCKET_URL => 183;
use constant SUGGESTION => 169;
use constant CENTRAL_CONFIGURATION_ADDRESS => 225;
use constant SIGFILE_UPDATE_RES => 101;
use constant FAILOVER_STATE => 35;
use constant PBCONFIG_HEADER => 198;
use constant TERMINATE_VULNERABILITY_ASSESSMENT_TASK => 165;
use constant REQUEST_LOG_PROTOBUF => 175;
use constant DECEPTION_SETTINGS => 252;
use constant UCS_CONFIG_LOAD => 33;
use constant THREAT_CAMPAIGN => 229;
use constant HSL_DATA_PROFILE => 93;
use constant ACTION_ITEM => 118;
use constant SCANNER_VULN => 43;
use constant HSL_PROFILE => 79;
use constant GWT_DEFENSE_ATTRIBUTE_DEFAULT => 174;
use constant POLICY_COOKIE_SETTINGS => 202;
use constant SAVED_FILTER => 185;
use constant BOT_DEFENSE_EVENT_LOG => 242;
use constant CUSTOM_XFF_HEADER => 85;
use constant XML_WSS_CONFIGURATION => 48;
use constant DIFF => 128;
use constant DEVICE_GROUP_MEMBER => 108;
use constant ALLOWED_METHOD => 12;
use constant POLICY_GROUP => 142;
use constant PARAMETER => 10;
use constant PARENT_POLICY_SETTINGS => 226;
use constant XML_PROFILE => 52;
use constant POLICY_MERGE_TASK => 214;
use constant POLICY_BOT_ANOMALY => 268;
use constant POLICY_ENFORCER_SETTINGS => 276;
use constant HSL_FTP_PROFILE => 81;
use constant PLAIN_TEXT_PROFILE => 177;
use constant SESSION_AWARENESS_DATA_POINT => 112;
use constant RESPONSE_SCRUBBING => 31;
use constant URL_CONTENT_PROFILE => 49;
use constant SMTP_SERVER_SETTINGS => 30;
use constant SCANNER_SITE_MAP_TRANSMISSION => 146;
use constant VALID_HOST_NAME => 94;
use constant BOT_DEFENSE_EVENT_LOG_PROTOBUF => 241;
use constant NORMALIZATION => 6;
use constant POLICY_ANTIVIRUS => 192;
use constant PLAIN_TEXT_DEFENSE_ATTRIBUTE_DEFAULT => 179;
use constant SIGNATURE_SET => 37;
use constant POLICY_OPEN_API_FILE => 253;
use constant METACHAR => 215;
use constant ASSOCIATE_JSON_VALIDATION_FILES_TASK => 244;
use constant HTTP_CHECK => 5;
use constant CHARSET => 26;
package F5::ASMConfig::WebSocketMessageDirection;
use constant WEBSOCKET_MESSAGE_SERVER_TO_CLIENT => 1;
use constant WEBSOCKET_MESSAGE_CLIENT_TO_SERVER => 0;
package F5::ASMConfig::Constants;
use constant PARTITION_ALL => "[All]";
use constant PARTITION_COMMON => "Common";
package F5::ASMConfig::JsonDefenseAttributeDefault;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SessionAwarenessDataPoint;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::UpdateSignaturesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BotIncident;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureKeyword;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyBrowser;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportDataProtectionTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::InitiateVulnerabilityAssessmentTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportRequestLogProperties;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ScannerSiteMapTransmission;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GrpcProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::LoginObjectTarget;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GeoIpRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::NavigationParameter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Metachar;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Cookie;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::L7Policy;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeviceGroupMember;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AcceptedRequest;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GraphqlIdlFilesRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CustomXffHeader;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLog;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Authorization;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonValidationFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ApplyPolicyTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DatabaseProtection;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AsmHealthAlerts;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PositionalParameter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslSmtpProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HttpClass;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ResponseScrubbing;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GrpcDefenseAttributeDefault;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Refinement;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Incident;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslCommandCode;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyBotSignature;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SuggestionElement;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DataProtectionImportExport;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SigfileUpdateSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportVulnerabilitiesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ParameterContentProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::WssElement;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::UrlContentProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GrpcIdlFilesRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Filters;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GraphqlProfileIdlFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ManipulatedParameter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyBuilderInternalInfo;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlProfileValidationFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureRuleKeywordsTool;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::WssSubviolationCode;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::VirtualServerAssoc;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ContentProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DosBotSignatures;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportOpenApiActionsFields;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AssociateGraphqlIdlFilesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Signature;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyHistory;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PlainTextDefenseAttribute;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ServerCertificate;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SyncStatusRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::VirusDetectionServer;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Microservice;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ClusterState;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigCookie;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::MethodOverride;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigFiletype;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SavedFilter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HttpCheckCode;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AsmResponseCode;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BruteForceMitigatedDeviceId;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BotIncidentTopIp;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyActionItem;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Section;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RegexpValidationRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ValidRegexpTool;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Filetypes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::LoggingProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CsrfURL;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::VirtualServerProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyBotClass;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Message;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BotDefenseEventLog;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SetActiveFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ApplySyncFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureSet;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Facility;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::UpdateEnforcerTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Webhook;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLogEntity;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Blocking;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlSensitiveDataConfiguration;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLogSessionAwarenessData;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AutoMergeDiffResult;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ResponsePage;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportResult;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonSensitiveData;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaignFileModifiedThreatCampaign;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SoapMethod;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BotSignature;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Account;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CorsMethod;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SigfileModifiedSignature;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ResponseScrubbingFormat;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SensitiveParameter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SearchFilter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaignMatchRule;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ScannerMoreInfoWindow;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ValidationFilesFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslProfileViolationConfig;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyCookieSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::IncidentType;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GwtDefenseAttribute;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ResolveVulnerabilitiesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Certificate;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Suggestion;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::VulnHost;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ScannerConfig;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BruteForceMitigatedUsername;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicySignatureSetList;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SessionAwarenessLoginObject;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::IpReputationCategoryAttributes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GraphqlDefenseAttributeDefault;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureSetFilter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Encoding;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::MetacharOverride;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::FilterCustomData;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HeaderBasedContentProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SessionAwarenessViolation;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AttackSignatureSnippet;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaignReference;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigParameter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BulkTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeceptionTrap;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ElementEventType;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Role;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BruteForceMitigatedIp;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ServerTechnologyModified;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyBuildingDisallowedFiletype;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::LogoutObject;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigUrl;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonValidationFilesFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyThreatCampaign;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GeolocationEnforcement;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AllowedMethod;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlBase64EncData;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportExportProperties;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BruteForceAttackLog;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigHeader;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeployTarget;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GwtDefenseAttributeDefault;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlDefenseAttribute;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ApplyDiffItemResult;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::EmAsmIpAddressList;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ClientCertificate;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PlainTextDefense;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DiffItem;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaignFileUpdateSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::IgnoredError;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::IdlFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PlainTextProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GrpcProfileIdlFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AutoMergeFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SmtpAddressConfig;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Violation;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BruteForceLeakedCredential;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ScannerSubscription;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyThreatCampaignAttributes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ParentPolicySettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PreResolveMessage;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureOverride;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CentralConfigurationAddress;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::McpDb;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ValidHostName;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Diff;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ASMConfigException;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BehavioralWafFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Policy;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SessionAwarenessSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Normalization;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaignFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigServerTechnologies;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportSuggestionsTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PlainTextDefenseAttributeDefault;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlDefense;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RedirectionProtection;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLogViolation;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DiffItemDetail;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigRedirectionProtection;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyNegsigAttributes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AsmConfigSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BruteForce;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyEnforcerSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AssociateXmlValidationFilesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Filetype;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::MandatoryHeader;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::UpdateThreatCampaignFileTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyAntivirus;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureSetSystem;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BehavioralWafUpdateRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportPolicyRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RestResponse;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Session;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Severity;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaign;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DataProtectionCookieConfigurationDefault;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeployRequestStatus;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Charset;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::NegsigExcludedHeader;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BotDefense;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::IpReputationCategory;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SortOrder;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslDataProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonProfileValidationFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CallFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ApiProtectionProfileConfigTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyAttributes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeceptionResponsePage;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Csrf;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::InternalConfigItem;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DiffSummary;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DataProtection;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::NormalizationCode;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DynamicFlow;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlDefenseAttributeDefault;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::McpLoggingProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyOpenApiFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportToFileTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslProfileCommandConfig;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HttpCheck;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaignFileUpdateRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SigfileUpdateRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonValidationFilesRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AssociateJsonValidationFilesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::MicroserviceOccurrence;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AllowedResponseCode;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyBotAnomaly;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicySignatureRequirement;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportDataProtectionTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SsrfDetails;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportPolicyTemplateTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CorsOrigin;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ActionItem;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AttackType;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BehavioralEnforcement;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyServerTechnology;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ServerTechnologyFingerprint;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::WhitelistIp;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslSmtpProfileProperties;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicySignature;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlValidationFile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Header;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ScannerVuln;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureSystemGroup;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GlobalSection;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::WssSubviolation;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CorsAllowedHeader;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CorsExposedHeader;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportOpenApiTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Device;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DiffFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DataProtectionCookieConfiguration;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Flow;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigCentralConfiguration;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ResolveVulnRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportPolicyTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportPolicyTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Extraction;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLoggerFilter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslVirtualServer;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GetVulnerabilityAssessmentSubscriptionsTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLogProtobuf;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeviceGroup;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::EmAsmPolicy;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SmtpServerSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BruteForceLoginPageStatus;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlWssConfiguration;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicySignatureSet;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CentralPbAddress;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::AsmHttpMethod;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyBrowserDefinition;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SetActive;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslFtpProfileProperties;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::IpReputation;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportFlags;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeployRequestTarget;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportCertificateTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ScannerActionsFields;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeployProperties;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Sigfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyHeaderSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BlockingSettingsGeneral;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GwtProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GraphqlDefense;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::LoginObjectAttribute;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GrpcDefense;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfig;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyMergeTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CheckThreatCampaignFileTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CertificateVerificationRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Element;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLogIpRepCategory;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::TrustXff;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyTemplate;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportRequestsTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GraphqlProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyDiffTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SignatureSystem;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SsrfHost;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::EmVirtualServer;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatCampaignMalware;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::TerminateVulnerabilityAssessmentTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ResponsePageSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyGroup;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GwtDefense;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::UpdateScannerVulnDataRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslViolationCode;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Tag;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::EventSubscription;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::XmlProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::WebsocketUrl;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GraphqlDefenseAttribute;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DisallowedGeolocation;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeceptionSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::LoginObject;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DisabledActionItem;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ConfigLog;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportResult;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyLogEntry;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicySummaryRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ThreatRatingSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ViolationRatingCount;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicySet;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PolicyWaWebApplication;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::PBConfigSessionsAndLogins;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ApplyServerTechnologiesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExtraScannerVuln;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BotDefenseEventLogProtobuf;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SigReference;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Parameter;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GraphqlSensitiveData;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::LoadComplete;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::URL;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RestRequest;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ExportSignaturesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonDefense;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::FailoverState;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::SearchResult;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GuiSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::HslFtpProfile;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BotAnomaly;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeployRequest;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DeviceGroupDevice;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RequestLogger;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::RedirectionDomain;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::CheckSignaturesTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GrpcDefenseAttribute;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ServerTechnology;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ApplySyncRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ScannerSubscriptionScan;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::WssNamespaceMapping;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::BulkCommand;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::VirtualServer;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::EmAsmIpAddress;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::JsonDefenseAttribute;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ValidationFilesRes;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::ImportPolicyTemplateTask;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::DatabaseProtectionSettings;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::GlobalScannerConfig;
@ISA = ('F5::ASMConfig::GenericObject');
package F5::ASMConfig::Event;
@ISA = ('F5::ASMConfig::GenericObject');
1;
