package F5::Acc::Entity::Column::Factory;

use strict;
use warnings;
use Carp;
use F5::Acc::Entity::Column;
use F5::Acc::Entity::Column::int;
use F5::Acc::Entity::Column::real;
use F5::Acc::Entity::Column::str;
use F5::Acc::Entity::Column::bool;
use F5::Acc::Entity::Column::enum;
use F5::Acc::Entity::Column::list;
use F5::Acc::Entity::Column::hash;
use F5::Acc::Entity::Column::has_a;
use F5::Acc::Entity::Column::has_many;
use F5::Acc::Entity::Column::wrapped;
use F5::Acc::Entity::Column::bitmask;

sub make_column {
    my ($class, $entity_class, $name, $descriptor) = @_;
    my $type = delete $descriptor->{type};
    croak "No type given for column: [$name] on entity [$entity_class]"
        unless $type;
    my $column_class = "F5::Acc::Entity::Column::$type";
    return $column_class->new($entity_class, $name, $descriptor);
}

1;

