package F5::Acc::Entity::Column::has_a;

use strict;
use warnings;
use Carp;
use base 'F5::Acc::Entity::Column::int';

sub new {
    my $class = shift;
    my ($entity_class, $name, $descriptor) = @_;
    my $self = $class->SUPER::new(@_);
    $self->{to} = delete $descriptor->{to};
    return $self;
}

sub make_entity_column {
    my $self = shift;
    $self->SUPER::make_entity_column;
    $self->entity_class->has_a($self->name => $self->to);
}

sub to { shift->{to} }

sub clone_deep {
    my ($self, $entity) = @_;
    # shallow_clone columns dont clone deep
    # think policy_id in PolicyEntity subclasses
    return $self->SUPER::clone_deep($entity)
        if $self->shallow_clone;
    my $col_name = $self->public_name;
    my $original = $entity->$col_name;     # original has_a entity
    my $clone    = $original->clone_deep;  # clone of has_a entity
    return ($col_name, $clone);
}

1;

