package F5::Acc::Entity::Column::has_many;

use strict;
use warnings;
use Carp;
use F5::Acc::Entity::Util;
use base 'F5::Acc::Entity::Column';

sub new {
    my $class = shift;
    my ($entity_class, $name, $descriptor) = @_;
    my $self = $class->SUPER::new(@_);
    $self->{to}  = delete $descriptor->{to}  || croak "No 'to' given for [$name]";
    $self->{col} = delete $descriptor->{col} || croak "No 'col' given for [$name]";
    return $self;
}

sub make_entity_column {
    my $self = shift;
    $self->SUPER::make_entity_column;
    $self->entity_class->has_many
        ($self->public_name, $self->to => $self->col);
}

sub to        { shift->{to} }
sub col       { shift->{col} }
sub is_cdbi   { 0 }
sub _validate {}

sub get_col_methods {
    my $self = shift;
    my $name = $self->name;
    return ($self->SUPER::get_col_methods, "add_to_$name");
}

sub clone_deep {
    my ($self, $entity) = @_;
    croak "Deep cloning (or shallow cloning!) of has_many column not yet supported";
}

1;

