package F5::Acc::Entity::Column::real;

use strict;
use warnings;
use Carp;
use base 'F5::Acc::Entity::Column';

sub new {
    my $class = shift;
    my ($entity_class, $name, $descriptor) = @_;
    my $self = $class->SUPER::new(@_);
    $self->{range} = $descriptor->{range};
    return $self;
}

sub _get_default { 0 }

sub _validate {
    my ($self, $value) = @_;
    $self->invalid($value, "not a real number")
        unless $value =~ /^[+-]?(?:\d+(?:\.\d*)?|\.\d+)$/;
    my $range = $self->range;
    $self->invalid($value, "out of range $range->[0]-$range->[1]")
        if $range && ($value < $range->[0] || $value > $range->[1]);
}

sub range { shift->{range} }

1;

