package F5::Acc::Entity::Column::str;

use strict;
use warnings;
use Carp;
use base 'F5::Acc::Entity::Column';

sub new {
    my $class = shift;
    my ($entity_class, $name, $descriptor) = @_;
    my $self = $class->SUPER::new(@_);
    $self->{len} = delete $descriptor->{len};
    return $self;
}

sub _get_default { '' }

sub _validate {
    my ($self, $value) = @_;
    use bytes;
    $self->invalid($value, "too long ($self->{len})")
        if $self->len && length($value) > $self->len;
}

sub len { shift->{len} }

1;

