package F5::ActionItem::CookieStaging;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::Cookie;

our $elements = [ F5::ASMConfig::ElementType::COOKIE, 
                  F5::ASMConfig::ElementType::POLICY_ATTRIBUTES ];

our $attributes = { subscriber => 1,
                    pb_dependant => 1,
                    throttle_events => 1,
                    policy_action_item => 1,
                    type => F5::ASMConfig::ActionItemType::COOKIE_STAGING_PAST_PERIOD,
                    name => "cookie_staging",
                    severity => F5::ASMConfig::ActionItemSeverity::MEDIUM,                    
                    staging_class => "F5::ASMConfig::Entity::Cookie",
                  };



#----------------------------------------------------------------------

sub check_condition {
    my ($class, %params) = @_;
    return $class->check_condition_staging(%params);
}

#----------------------------------------------------------------------
1;
