package F5::ActionItem::DefaultParameter;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::Parameter;

our $elements = [ F5::ASMConfig::ElementType::PARAMETER,
                  F5::ASMConfig::ElementType::PBCONFIG ];

our $attributes = { subscriber => 1,
                    throttle_events => 1,
                    policy_action_item => 1,
                    type => F5::ASMConfig::ActionItemType::DEFAULT_PARAMETER,
                    name => "default_parameter",
                    severity => F5::ASMConfig::ActionItemSeverity::HIGH,
                  };



#----------------------------------------------------------------------

sub check_condition {
    my ($class, %params) = @_;
    return unless $params{policy}->{flg_encoding_selected};
    my ($param) = F5::ASMConfig::Entity::Parameter->retrieve_all(dbh => $params{dbh},
                                                                 logger => $params{logger},
                                                                 page_size => 1,
                                                                 policy => $params{policy},
                                                                 get_criteria => { is_wildcard => 1,
                                                                                   param_name => "*",
                                                                                   param_level => F5::ASMConfig::ParamLevel::PARAM_LEVEL_GLOBAL() },
                                                                );
    my $rv = ( $param  
               && ( $param->{param_value_type} == F5::ASMConfig::ParamValueType::PARAM_VALUE_IGNORE_VALUE() ) 
               && ( $param->{has_tightening} == F5::ASMConfig::TighteningMode::TIGHTENING_MODE_EXCEPTION() )  
             );
    return $rv;
}

#----------------------------------------------------------------------
1;
