package F5::ActionItem::ModifiedPolicy;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::PolicyActionItem;


our $elements = [ F5::ASMConfig::ElementType::ALL_ELEMENT_TYPES,
                ];

our $attributes = { subscriber => 1,
                    pb_dependant => 1,
                    throttle_events => 1,
                    policy_action_item => 1,
                    type => F5::ASMConfig::ActionItemType::MODIFIED_POLICY,
                    name => "modified_policy",
                    severity => F5::ASMConfig::ActionItemSeverity::LOW,
                  };

#----------------------------------------------------------------------

sub check_condition {
    my ($class, %params) = @_;
    return unless $params{policy}->{flg_encoding_selected};
    return F5::ASMConfig::Entity::Policy->new(dbh => $params{dbh}, object => $params{policy})->is_modified();
}

#----------------------------------------------------------------------
1;
