package F5::ActionItem::PolicyValidation;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::PolicyActionItem;
use F5::ASMConfig::Entity::PolicyHistory;


our $elements = [ F5::ASMConfig::ElementType::SET_ACTIVE,
                ];

our $attributes = { subscriber => 1,
                    policy_action_item => 1,
                    type => F5::ASMConfig::ActionItemType::POLICY_VALIDATION_ERRORS,
                    name => "policy_validation",
                    severity => F5::ASMConfig::ActionItemSeverity::LOW,
                  };

#----------------------------------------------------------------------

sub check_condition {
    my ($class, %params) = @_;
    return unless $params{policy}->{flg_encoding_selected};
    my $obj;
    if ($params{event} && $params{event}->{element}->{set_active}) {
        $obj = $params{event}->{element}->{set_active};
    }
    else {
        ($obj) = F5::ASMConfig::Entity::PolicyHistory->retrieve_all(dbh => $params{dbh}, 
                                                                    policy => $params{policy},
                                                                    sort_orders => [{field_name => "policy_version",
                                                                                     sort_direction => F5::ASMConfig::SortDirection::SORT_DIRECTION_DESC()},],
                                                                    find_single_record => 1,);
    }
    return defined ($obj->{validation_report}) && length($obj->{validation_report});
}

#----------------------------------------------------------------------
1;
