package F5::ActionItem::RestartAsm;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::Deploy;
use F5::ASMConfig::ASMConfig;

my $CHECKSUM_FILE = F5::Deploy::map_path('/ts/recovery/internal_config_checksum');

our $elements = [ F5::ASMConfig::ElementType::INTERNAL_CONFIG_ITEM,
                ];

our $attributes = { 
                    subscriber => 1,
                    type => F5::ASMConfig::ActionItemType::ASM_RESTART_REQUIRED,
                    name => "restart_asm",
                    severity => F5::ASMConfig::ActionItemSeverity::HIGH,
                  };

#----------------------------------------------------------------------

sub check_condition {
    my ($self, %params) = @_;
    return unless (-e $CHECKSUM_FILE);
       
    open (my $fh, '<', $CHECKSUM_FILE) or return;
    my $checksum = <$fh>;
    chomp($checksum);
    close ($fh);

    my $dbh = $params{dbh};
    my ($junk, $current_checksum) = $dbh->selectrow_array("CHECKSUM TABLE DCC.INTERNAL_CONFIG_ITEMS");

    my $condition = $checksum ne $current_checksum;
    return $condition;
}

#----------------------------------------------------------------------
1;
