package F5::ActionItem::ThreatCampaignStaging;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::ASMConfig::ASMConfig;
use F5::DateTimeUtils;
use F5::ASMConfig::Entity::PolicyThreatCampaign;

our $elements = [ F5::ASMConfig::ElementType::POLICY_THREAT_CAMPAIGN,
                  F5::ASMConfig::ElementType::POLICY_THREAT_CAMPAIGN_ATTRIBUTES,
                  F5::ASMConfig::ElementType::PBCONFIG,
                  F5::ASMConfig::ElementType::SET_ACTIVE,
                ];

our $attributes = { subscriber => 1,
                    pb_dependant => 1,
                    policy_action_item => 1,
                    throttle_events => 1,
                    type => F5::ASMConfig::ActionItemType::THREAT_CAMPAIGN_STAGING_PAST_PERIOD,
                    name => "threat_campaign_staging",
                    severity => F5::ASMConfig::ActionItemSeverity::MEDIUM,
                    staging_class => "F5::ASMConfig::Entity::PolicyThreatCampaign",
                  };



#----------------------------------------------------------------------

sub get_staging_period {
    my ($class, %params) = @_;
    my ($staging_period, $flg_quarantine_threat_campaigns);
    if ($params{event} && $params{event}->{element} &&
        $params{event}->{element}->{element_type} == F5::ASMConfig::ElementType::POLICY_THREAT_CAMPAIGN_ATTRIBUTES) {
        $flg_quarantine_threat_campaigns = $params{event}->{element}->{policy_threat_campaign_attributes}->{flg_quarantine_threat_campaigns};
        $staging_period = $params{event}->{element}->{policy_threat_campaign_attributes}->{threat_campaign_quarantined_period};
    }
    else {
       ($staging_period, $flg_quarantine_threat_campaigns) = $params{dbh}->selectrow_array(<<EndQuery, undef, $params{policy}->{policy_id});
SELECT threat_campaign_quarantined_period, flg_quarantine_threat_campaigns
  FROM PLC.PL_POLICY_THREAT_CAMPAIGN_ATTRIBUTES
 WHERE policy_id = ?
EndQuery
    }

    return undef if ! $flg_quarantine_threat_campaigns;
    return $staging_period;
}

#----------------------------------------------------------------------

sub check_condition {
    my ($class, %params) = @_;
    return $class->check_condition_staging(%params);
}

#----------------------------------------------------------------------

1;
