package F5::ActionItem::TransparentPolicy;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::ASMConfig::ASMConfig;


our $elements = [ F5::ASMConfig::ElementType::POLICY,
                ];

our $attributes = { 
                    subscriber => 1,
                    throttle_events => 1,
                    policy_action_item => 1,
                    type => F5::ASMConfig::ActionItemType::TRANSPARENT_POLICY,
                    name => "transparent_policy",
                    severity => F5::ASMConfig::ActionItemSeverity::LOW,
                  };

my $THRESHOLD = 60*60*24*7*4; #Four Weeks
#----------------------------------------------------------------------

sub check_condition {
    my ($class, %params) = @_;
    return unless $params{policy}->{flg_encoding_selected};
    my $policy_lifetime = time() - $params{policy}->{created_time};
    if ($params{policy}->{flg_transparent_mode} && $policy_lifetime < $THRESHOLD) {
           my $trigger_time = time() + $THRESHOLD - $policy_lifetime;
           $params{action_item_handler}->task_queue_add(task => {module    => $class,
                                                            policy_id => $params{policy}->{policy_id},
                                                            trigger_time => $trigger_time,},
                                                   );
    }
    my $condition = $params{policy}->{flg_transparent_mode} && ($policy_lifetime >= $THRESHOLD);
    return $condition;
}

#----------------------------------------------------------------------
1;
