package F5::ActionItem::WebsocketUrlStaging;

use strict;
use warnings;
use base qw(F5::ActionItem::Base);
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::WebsocketUrl;

our $elements = [ F5::ASMConfig::ElementType::WEBSOCKET_URL,
                  F5::ASMConfig::ElementType::POLICY_ATTRIBUTES,
                  F5::ASMConfig::ElementType::PBCONFIG, ];

our $attributes = { subscriber => 1,
                    pb_dependant => 1,
                    throttle_events => 1,
                    policy_action_item => 1,
                    type => F5::ASMConfig::ActionItemType::WEBSOCKET_URL_STAGING_PAST_PERIOD,
                    name => "websocket_url_staging",
                    severity => F5::ASMConfig::ActionItemSeverity::MEDIUM,
                    staging_class => "F5::ASMConfig::Entity::WebsocketUrl",
                  };


#----------------------------------------------------------------------

sub check_condition {
    my ($class, %params) = @_;
    return $class->check_condition_staging(%params);
}

#----------------------------------------------------------------------
1;

