package F5::AjaxAlternateResponsesFixup;

use strict;
use warnings;

sub set_ajax_alternate_response {
    my ($dbh, $logger, $new_dbname, $policy_id) = @_;

    my @policy_ids;
    if ($policy_id eq '*') {
        @policy_ids = @{$dbh->selectcol_arrayref("SELECT id FROM $new_dbname.PL_POLICIES")};
    }
    else {
        @policy_ids = ($policy_id);
    }

    for my $policy_id (@policy_ids) {
        F5::DbUtils::copy_defaults_table(dbh => $dbh,
                                         table_name => 'PL_ALTERNATE_RESPONSES' ,
                                         dbname => $new_dbname,
                                         defaults_table_name => 'PL_ALTERNATE_RESPONSE_DEFAULTS',
                                         policy_id => $policy_id,
                                         ignore => 1,
                                         where_values => { license_type => "ASM_ENABLED",
                                                           flg_load_defaults => 1 }
                                        );
        F5::DbUtils::insert_row(dbh => $dbh,
                                table_name => "$new_dbname.PL_ALTERNATE_RESPONSE_SETTINGS",
                                rec => {
                                        policy_id => $policy_id,
                                        flg_ajax_enabled => 0,
                                       },
                                ignore => 1,
                               );
    }
    return 1;
}

1;
