package F5::ClientReputationReason;
use constant CLIENT_REPUTATION_REASON_NONE => 1;
use constant CLIENT_REPUTATION_REASON_VULNERABILITY_SCANNER => 2;
use constant CLIENT_REPUTATION_REASON_DOS => 3;
use constant CLIENT_REPUTATION_REASON_THREAT_CAMPAIGN => 4;
use constant CLIENT_REPUTATION_REASON_BRUTE_FORCE_VIOL => 5;
use constant CLIENT_REPUTATION_REASON_SIGNATURE_VIOL_RATING => 6;
use constant CLIENT_REPUTATION_REASON_HIGH_RISK_SIGNATURE => 7;
use constant CLIENT_REPUTATION_REASON_SCANNER_HEURISTIC => 8;
use constant CLIENT_REPUTATION_REASON_BRUTE_FORCE_HEURISTIC => 9;
use constant CLIENT_REPUTATION_REASON_MALFORMED_REQUEST_HEURISTIC => 10;
use constant CLIENT_REPUTATION_REASON_DEVIATION_RATE_HEURISTIC => 11;
use constant CLIENT_REPUTATION_REASON_VIOL_RATING_HEURISTIC => 12;
use constant CLIENT_REPUTATION_REASON_EVENT_CORRELATION_INCIDENT => 13;

our %client_reputation_reason = (
  CLIENT_REPUTATION_REASON_DOS() => 'An attempt to cause Denial of Service is detected',
  CLIENT_REPUTATION_REASON_EVENT_CORRELATION_INCIDENT() => 'An event correlation incident was generated for the source',
  CLIENT_REPUTATION_REASON_BRUTE_FORCE_VIOL() => 'Brute-Force attack detected',
  CLIENT_REPUTATION_REASON_BRUTE_FORCE_HEURISTIC() => 'Excessive number of illegal requests from the same Source IP/Device ID targeted to a small number of URLs',
  CLIENT_REPUTATION_REASON_SCANNER_HEURISTIC() => 'Excessive number of illegal requests from the same Source IP/Device ID targeted to many different URLs',
  CLIENT_REPUTATION_REASON_MALFORMED_REQUEST_HEURISTIC() => 'Excessive number of illegal requests from the same Source IP/Device ID which were malformed',
  CLIENT_REPUTATION_REASON_DEVIATION_RATE_HEURISTIC() => 'Excessive number of illegal requests from the same Source IP/Device ID with an abnormally large value of a numerical attribute (e.g. parameter length, URL length, Integer parameter value, etc.)',
  CLIENT_REPUTATION_REASON_VIOL_RATING_HEURISTIC() => 'Excessive number of malicious illegal requests from the same Source IP/Device ID (an average violation rating is above 4)',
  CLIENT_REPUTATION_REASON_SIGNATURE_VIOL_RATING() => 'Excessive number of malicious illegal requests with attack signature detected from the same Source IP/Device ID (violation rating is above or equal 3)',
  CLIENT_REPUTATION_REASON_HIGH_RISK_SIGNATURE() => 'High risk attack signature was detected',
  CLIENT_REPUTATION_REASON_THREAT_CAMPAIGN() => 'Threat Campaign detected',
  CLIENT_REPUTATION_REASON_VULNERABILITY_SCANNER() => 'Vulnerability Scanner detected',
);
1;