package F5::CommonUpgrade::CharsetSection;

use base 'F5::CommonUpgrade::Base';

our $tables_handled = [ qw(PLC.PL_CHARSETS) ];

our $max_version = '13.0.0';

my %section_mapping = (F5::ASMConfig::CharsetType::CHARSET_TYPE_HEADER() => F5::ASMConfig::SectionType::SECTION_TYPE_HEADERS(),
                       F5::ASMConfig::CharsetType::CHARSET_TYPE_URI() => F5::ASMConfig::SectionType::SECTION_TYPE_URLS(),
                       F5::ASMConfig::CharsetType::CHARSET_TYPE_PARAM_NAME() => F5::ASMConfig::SectionType::SECTION_TYPE_PARAMETERS(),
                       F5::ASMConfig::CharsetType::CHARSET_TYPE_PARAM_VALUE() => F5::ASMConfig::SectionType::SECTION_TYPE_PARAMETERS(),
                       F5::ASMConfig::CharsetType::CHARSET_TYPE_XML_PROFILE() => F5::ASMConfig::SectionType::SECTION_TYPE_CONTENT_PROFILES(),
                       F5::ASMConfig::CharsetType::CHARSET_TYPE_JSON_PROFILE() => F5::ASMConfig::SectionType::SECTION_TYPE_CONTENT_PROFILES(),
                       F5::ASMConfig::CharsetType::CHARSET_TYPE_GWT_PROFILE() => F5::ASMConfig::SectionType::SECTION_TYPE_CONTENT_PROFILES(),
                       F5::ASMConfig::CharsetType::CHARSET_TYPE_PLAIN_TEXT_PROFILE() => F5::ASMConfig::SectionType::SECTION_TYPE_CONTENT_PROFILES(),
                      );

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    $row->{section_type} = $section_mapping{$row->{charset_type}};
}

1;
