package F5::CommonUpgrade::ContentProfile;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled = [ 
                     qw(PLC.PL_XML_PROFILES
                        PLC.PL_XML_SENSITIVE_PARAMS
                        PLC.PL_XML_PROFILE_NEGSIG_SIGNATURES
                        PLC.PL_XML_PROFILE_DEFENSE_ATTRIBUTES
                        PLC.PL_XML_SOAP_SECURITY
                        PLC.PL_XML_SOAP_SPECIFIC_ELEMENTS
                        PLC.PL_XML_SOAP_PREFIX_NAMESPACE_MAPPING
                        PLC.PL_XML_PROFILE_SERVER_CERTIFICATE
                        PLC.PL_XML_ROLE_ACTOR
                        PLC.PL_XML_PROFILE_OBJECTS
                        PLC.PL_XML_PROFILE_CLIENT_CERTIFICATE
                        PLC.PL_XML_PROFILE_VALIDATION_FILES
                        PLC.PL_XML_PROFILE_SOAP_METHODS
                       ), 
                      ];

our $tables_renamed = { 'PLC.PL_XML_PROFILES' => 'PLC.PL_CONTENT_PROFILES',
                        'PLC.PL_XML_SENSITIVE_PARAMS' => 'PLC.PL_CONTENT_SENSITIVE_PARAMS',
                        'PLC.PL_XML_PROFILE_NEGSIG_SIGNATURES' => 'PLC.PL_CONTENT_PROFILE_NEGSIG_SIGNATURES',
                      };


my $temporary_session_id = 1;

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{xml_profile_id}) {
        $row->{profile_id} = $row->{xml_profile_id};
    }

    if (defined $row->{def_attrib_value}){
          if ($row->{def_attrib_value} eq '0'){
             $row->{flg_check_attrib} = 0;
          }else{
             $row->{flg_check_attrib} = 1;
          }
    }
    
    $row->{flg_check_element_metachars} = 0;
    $row->{flg_check_attribute_metachars} = 0;
}

1;

