package F5::CommonUpgrade::ContentProfileEnum;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';
use F5::ASMConfig::ASMConfig;

our $max_version = '13.0.0';
our $tables_handled = [ qw(
                            PLC.PL_CONTENT_PROFILES
                        )];

my %content_profile_type_map = (xml => F5::ASMConfig::ContentProfileType::CONTENT_PROFILE_TYPE_XML(),
                                json => F5::ASMConfig::ContentProfileType::CONTENT_PROFILE_TYPE_JSON(),
                                gwt =>  F5::ASMConfig::ContentProfileType::CONTENT_PROFILE_TYPE_GWT(),
                                plain_text => F5::ASMConfig::ContentProfileType::CONTENT_PROFILE_TYPE_PLAIN_TEXT(),
                               );

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($content_profile_type_map{$row->{content_profile_type}}) {
        $row->{content_profile_type} = $content_profile_type_map{$row->{content_profile_type}};
    }
}

1;
