package F5::CommonUpgrade::DeleteStaticValsForNonStaticParams;
use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '15.0.0';
our $tables_handled = [ qw(PLC.PL_STATIC_PARAMS) ];

#------------------------------------------------------------------------------
sub after_all_tables_complete {
    my($self, %params) = @_;

    my $dbh    = $params{dbh};
    my $policy_id = $params{policy_id};
    my $dbname = $params{dbname} || 'PLC';
    my $common_upgrade = $params{common_upgrade};

    my $where_clause = '1';
    my @bind_params;
    push @bind_params, F5::ASMConfig::ParamValueType::PARAM_VALUE_STATIC_CONTENT_VALUE();

    if ($policy_id && $policy_id ne "*") {
        $where_clause = "policy_id = ?";
        push @bind_params, $policy_id;
    }

    $dbh->do(<<EndQuery, undef, @bind_params);
DELETE FROM $dbname.PL_STATIC_PARAMS
 WHERE param_attrib_id NOT IN (SELECT id FROM $dbname.PL_PARAM_ATTRIBUTES WHERE key_input_type = ?)
   AND $where_clause
EndQuery

}

#----------------------------------------------------------------------
1;
