package F5::CommonUpgrade::DeletedEntities;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;
use F5::ASMConfig::Entity::Base;

our $priority = 1;

our $tables_handled = [ qw(
                           PLC.PL_SUGGESTIONS
                          ) ];


my $element_type_cache;

#------------------------------------------------------------------------------

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};
    my $row_state_rv = $params{row_state_rv};

    if (!$element_type_cache) {
        $element_type_cache = F5::ASMConfig::Entity::Base->get_element_type_cache();
    }

    my $element_type = $row->{element_type};
    if ($element_type && ! $element_type_cache->{$element_type}) {
        $$row_state_rv = 'skip';
    }
}

#------------------------------------------------------------------------------

1;
