package F5::CommonUpgrade::DeletedSignatures;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $tables_handled = [ qw(PLC.PL_POLICY_NEGSIG_SIGNATURES) ];

#------------------------------------------------------------------------------

sub after_all_tables_complete {
    my($self, %params) = @_;

    my $dbh    = $params{dbh};
    my $policy_id = $params{policy_id};
    my $dbname = $params{dbname} || 'PLC';
    my $common_upgrade = $params{common_upgrade};

    my $where_clause = '1';
    my @bind_params;

    if ($policy_id && $policy_id ne "*") {
        $where_clause = "policy_id = ?";
        push @bind_params, $policy_id;
    }

    $dbh->do(<<EndQuery, undef, @bind_params);
DELETE FROM $dbname.PL_POLICY_NEGSIG_SIGNATURES
 WHERE sig_id NOT IN (SELECT sig_id FROM $dbname.NEGSIG_SIGNATURES)
   AND $where_clause
EndQuery

}

#----------------------------------------------------------------------

1;
