package F5::CommonUpgrade::EncodingCharset;

use base 'F5::CommonUpgrade::Base';
use F5::ASMConfig::ASMConfig;

our $tables_handled = [ qw(PLC.PL_CHARSETS) ];

# row_fixup uses values cached by PolicyEncodingMapping

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};

    if ($idmap && $idmap->{'__private_save'} && $idmap->{'__private_save'}->{encoding} &&
        $idmap->{'__private_save'}->{encoding}->{$row->{policy_id}} &&
        $idmap->{'__private_save'}->{encoding}->{$row->{policy_id}} eq 'utf-8' &&
        $row->{charset_type} != F5::ASMConfig::CharsetType::CHARSET_TYPE_HEADER()) {

        $row->{charset} = substr($row->{charset}, 0, 128) . "1" x 128;
    }
}

1;
