package F5::CommonUpgrade::ExtractionDefaults;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '12.0.0';

our $tables_handled = [ qw(
                           PLC.PL_EXTRACT_ATTRIBUTES
                           )
                     ];

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};
    for my $index_field (qw (form_idx param_idx) ) {
        if (!$row->{$index_field}) {
            $row->{$index_field} = 1;
        }
    }

    if (!defined($row->{regexp_body}) || !length($row->{regexp_body})) {
        $row->{regexp_body} = '.+?';
    }

    if (!defined($row->{xpath}) || !length($row->{xpath})) {
        $row->{xpath} = '/';
    }
}

#----------------------------------------------------------------------

1;

