package F5::CommonUpgrade::FileUploadParameterDisableSignatureCheck;

use base 'F5::CommonUpgrade::Base';

use F5::ASMConfig::ASMConfig;

our $max_version = '14.0.0';
our $tables_handled = [ qw(PLC.PL_PARAM_ATTRIBUTES) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{key_input_type} == F5::ASMConfig::ParamValueType::PARAM_VALUE_USER_INPUT &&
        $row->{key_ui_type} && $row->{key_ui_type} == F5::ASMConfig::ParamDataType::PARAM_DATA_BINARY) {

        $row->{flg_check_signatures} = 0;
    }
}

1;
