package F5::CommonUpgrade::FixParamsNullFields;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.3.0';
our $tables_handled = [ qw(PLC.PL_PARAM_ATTRIBUTES) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    $row->{max_len} ||= 0;
    if (! (defined $row->{min_value}) || ($row->{min_value} eq '')) {
        $row->{min_value} = 0;
    }
    if (! (defined $row->{max_value}) || ($row->{max_value} eq '')) {
        $row->{max_value} = 0;
    }
    $row->{flg_check_param_name_metachar} = 0 unless defined $row->{flg_check_param_name_metachar};
    $row->{flg_check_max_len} = $row->{max_len} ? 1 : 0;
}

1;
