package F5::CommonUpgrade::GuiSettings;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;
use F5::DbFixup::Default;

our $max_version = '11.6.0';
our $tables_handled = [ 
                     qw(PLC.GUI_SETTINGS
                       ), 
                      ];

sub row_fixup {
    my($self, %params) = @_;

    # All keys not currently in factory data must be removed
    if ($params{dbfixup_automerge_mode} && $params{dbfixup_automerge_mode} == F5::DbFixup::Default::DBFIXUP_AUTOMERGE_MODE_INSERT_MISSING_BY_INDEX()) {
        my $row_state_rv = $params{row_state_rv};
        $$row_state_rv = 'skip';
    }
}

1;

