package F5::CommonUpgrade::HeadersMaskValueDisabled;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '11.4.0'; # Upgrade added for 14.0.0 for versions that did not have a PL_HEADERS table
our $tables_handled = [ qw(PLC.PL_HEADERS) ];

#----------------------------------------------------------------------
 sub after_all_tables_complete {
  my($self, %params) = @_;

  my $dbh    = $params{dbh};
  my $logger = $params{logger};
  my $dbname = $params{dbname} || 'PLC';

  my $where_fields = {};
  if ($params{policy_id} && $params{policy_id} ne '*') {
    $where_fields->{'policy_id'} = $params{policy_id};
  }

  my $constructed_where_clause = F5::DbUtils::construct_where_clause(where_fields => $where_fields);
  my $where_clause = $constructed_where_clause->{where_clause};
  my @where_values = @{$constructed_where_clause->{where_values}};

  $dbh->do(<<END_SQL,undef, @where_values);
UPDATE $dbname.PL_HEADERS
   SET flg_mask_value = 0
   WHERE $where_clause
END_SQL
}

#----------------------------------------------------------------------
1;
