package F5::CommonUpgrade::IpReputationCategories;

use base 'F5::CommonUpgrade::Base';

our $max_version = '13.1.0';
our $tables_handled = [ 'PLC.PL_IP_REPUTATION_CATEGORIES' ];

sub row_fixup {
    my($self, %params) = @_;

    my $common_upgrade = $params{common_upgrade};
    return if ( $common_upgrade->{upgrade_source} && $common_upgrade->{upgrade_source} == F5::ASMConfig::PolicyFileFormat::POLICY_FILE_FORMAT_XML());

    my $row = $params{row};

    if ($row->{category_id} == 11) {
        my $row_state_rv = $params{row_state_rv};
        $$row_state_rv = 'skip';
    }
    elsif ($row->{category_id} == 12) {
        $row->{category_id} = 11;
    }
}

1;
