package F5::CommonUpgrade::LoginBruteForceBlockingFlags;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '11.7.0';
our $tables_handled = [ qw(PLC.PL_LOGIN_BRUTE_FORCE_OBJECT_ATTRIBUTES) ];


sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ( defined $row->{account_detection} ) {
        $row->{flg_alarm} = $row->{account_detection};
    }

    if ( defined $row->{transparent_mode} ){
        $row->{flg_block} = !$row->{transparent_mode};
    }

    if ( !$row->{account_detection} && !$row->{transparent_mode} ){
        $row->{flg_alarm} = 0;
        $row->{flg_block} = 0;
    }
}

1;

