package F5::CommonUpgrade::LoginBruteForceSplitBitmask;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '10.2.0';
our $tables_handled = [ qw(PLC.PL_LOGIN_BRUTE_FORCE_OBJECT_ATTRIBUTES) ];

my %prevention_policy_bitmask_values = (
                                        flg_source_ip_client_side_defense => 1,
                                        flg_source_ip_rate_limit => 2,
                                        flg_url_rate_limit => 4,
                                        flg_url_client_side_defense => 8,
                                       );

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{prevention_policy_bitmask}) {

        for my $bitmask_field (keys %prevention_policy_bitmask_values) {
            $row->{$bitmask_field} = ($row->{prevention_policy_bitmask} & $prevention_policy_bitmask_values{$bitmask_field} ? 1 : 0);
        }
    }
}

1;
