package F5::CommonUpgrade::LoginObjectUsernamePasswordCase;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.2.0';
our $min_version = '11.0.0';
our $tables_handled = [ 'PLC.PL_LOGIN_OBJECTS' ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $policy_id = defined $params{policy_id} ? $params{policy_id} : $row->{policy_id};
    my $dbname = $params{dbname} || 'PLC';
    my $dbh    = $params{dbh};

    my ($flg_is_case_insensitive) = $dbh->selectrow_array(<<EndQuery, undef, $policy_id);
SELECT flg_is_case_insensitive
  FROM $dbname.PL_POLICIES
 WHERE id = ?
EndQuery

    if ($flg_is_case_insensitive) {
        $row->{username_param} = lc($row->{username_param});
        $row->{password_param} = lc($row->{password_param});
    }
}

1;

