package F5::CommonUpgrade::MaxDecodingPasses;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '14.1.0';
our $tables_handled = [ qw(
                            PLC.PL_NORMALIZATION_ATTRIBUTES
                            PLC.PL_POLICIES
                           )
                     ];

our $tables_renamed = {
                        'PLC.PL_NORMALIZATION_ATTRIBUTES' => '',
                      };
#----------------------------------------------------------------------

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};
    my $dbh =  $params{dbh};
    my $databases = $params{databases};
    my $multiple_decoding_rec;


    return if (!defined $row->{max_decoding_passes});

    if ( defined $params{policy_id} ){
        $multiple_decoding_rec->{policy_id} = $params{policy_id}
    }
    elsif ( defined $row->{policy_id} ){
        $multiple_decoding_rec->{policy_id} = $row->{policy_id};
    }
    elsif ( defined $row->{id} ) {
        $multiple_decoding_rec->{policy_id} = $row->{id};
    }


   $multiple_decoding_rec->{max_decoding_passes} = $row->{max_decoding_passes};

   if (! $idmap->{'__private_save'} || ! $idmap->{'__private_save'}->{save_max_decoding_passes} ||
           ! exists $idmap->{'__private_save'}->{save_max_decoding_passes}->{$multiple_decoding_rec->{policy_id}}) {
        $idmap->{'__private_save'}->{save_max_decoding_passes}->{$multiple_decoding_rec->{policy_id}} = {
                                                                                                         %$multiple_decoding_rec
                                                                                                         };
    }
}

#----------------------------------------------------------------------

sub after_all_tables_complete {
    my($self, %params) = @_;
    my $idmap = $params{idmap};

    my $dbname = $params{dbname} || 'PLC';
    if ($idmap && $idmap->{'__private_save'} && $idmap->{'__private_save'}->{save_max_decoding_passes}) {

        for my $db_rec ( values %{$idmap->{'__private_save'}->{save_max_decoding_passes}} ){

            F5::DbUtils::update_row(dbh => $params{dbh},
                                    table_name => "$dbname.PL_NORMALIZATION",
                                    rec => { max_decoding_passes => $db_rec->{max_decoding_passes}  },
                                    where_fields => {policy_id => $db_rec->{policy_id},},
                                   );
        }

        delete $idmap->{'__private_save'}->{save_max_decoding_passes};
    }

}
#----------------------------------------------------------------------
1;
