package F5::CommonUpgrade::MaxParamsMaxHeaders;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '14.1.0';
our $tables_handled = [ qw(
                            PLC.PL_HTTP_CHECK_ATTRIBUTES
                            PLC.PL_POLICIES
                           )
                     ];

our $tables_renamed = {
                        'PLC.PL_HTTP_CHECK_ATTRIBUTES' => '',
                      };
#----------------------------------------------------------------------
sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};
    my $dbh =  $params{dbh};
    my $databases = $params{databases};
    my $http_check_attributes_rec;

    return if (!defined $row->{max_params});

    if ( defined $params{policy_id} ){
        $http_check_attributes_rec->{policy_id} = $params{policy_id}
    }
    elsif ( defined $row->{policy_id} ){
        $http_check_attributes_rec->{policy_id} = $row->{policy_id};
    }
    elsif ( defined $row->{id} ) {
        $http_check_attributes_rec->{policy_id} = $row->{id};
    }

   $http_check_attributes_rec->{max_params} = $row->{max_params};
   $http_check_attributes_rec->{max_headers} = $row->{max_headers};

   if (! $idmap->{'__private_save'} || ! $idmap->{'__private_save'}->{save_http_check_attributes} ||
           ! exists $idmap->{'__private_save'}->{save_http_check_attributes}->{$http_check_attributes_rec->{policy_id}}) {
        $idmap->{'__private_save'}->{save_http_check_attributes}->{$http_check_attributes_rec->{policy_id}} = {
                                                                                                           %$http_check_attributes_rec
                                                                                                         };
    }
}
#----------------------------------------------------------------------
sub after_all_tables_complete {
    my($self, %params) = @_;
    my $idmap = $params{idmap};

    my $dbname = $params{dbname} || 'PLC';
    if ($idmap && $idmap->{'__private_save'} && $idmap->{'__private_save'}->{save_http_check_attributes}) {

        for my $db_rec ( values %{$idmap->{'__private_save'}->{save_http_check_attributes}} ){

            F5::DbUtils::update_row(dbh => $params{dbh},
                                    table_name => "$dbname.PL_HTTP_CHECKS",
                                    rec => { max_params => $db_rec->{max_params}, max_headers => $db_rec->{max_headers} },
                                    where_fields => {policy_id => $db_rec->{policy_id},},
                                   );
        }

        delete $idmap->{'__private_save'}->{save_http_check_attributes};
    }

}
#----------------------------------------------------------------------
1;
