package F5::CommonUpgrade::NegsigValuecontent;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;
use F5::NegativeSignatures::Rule;

our $tables_handled = [
                       qw(PLC.NEGSIG_SIGNATURES
                        ),
                      ];


sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{rule}) {
        my $rule_obj = F5::NegativeSignatures::Rule->new(rule_string => $row->{rule},
                                                         apply_to => $row->{apply_to});

        $row->{buffer_type_mask} = $rule_obj->buffer_type_mask;
        $row->{flg_has_valuecontent_http} = $rule_obj->flg_has_valuecontent_http;
        $row->{flg_has_valuecontent_xml} = $rule_obj->flg_has_valuecontent_xml;
        $row->{flg_has_valuecontent_json} = $rule_obj->flg_has_valuecontent_json;
        $row->{flg_has_valuecontent_gwt} = $rule_obj->flg_has_valuecontent_gwt;
        $row->{flg_has_valuecontent_plain_text} = $rule_obj->flg_has_valuecontent_plain_text;
        $row->{flg_has_headercontent} = ($rule_obj->flg_has_headercontent ||
                                         ($rule_obj->flg_has_requestcontent && $row->{apply_to} eq 'Request'));
        $row->{flg_has_uricontent} = $rule_obj->flg_has_uricontent;
        $row->{flg_has_requestcontent} = $rule_obj->flg_has_requestcontent;
        $row->{flg_has_responsecontent} = $rule_obj->flg_has_responsecontent;
    }
}

1;

