package F5::CommonUpgrade::PBConfigCookieTightening;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '11.4.0';
our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if (defined $row->{flg_cookies}){
        if (  $row->{flg_enabled} ) {
            $row->{flg_cookies} = $row->{flg_cookies} ? F5::ASMConfig::TighteningMode::TIGHTENING_MODE_EXCEPTION(): F5::ASMConfig::TighteningMode::TIGHTENING_MODE_NEVER();
        }
    }
    else{
           $row->{flg_cookies} =  F5::ASMConfig::TighteningMode::TIGHTENING_MODE_EXCEPTION();
    }
}

1;
