package F5::CommonUpgrade::PBConfigSessionLimits;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG) ];


my %pb_session_fields = (
                         'rule_sitechanges_sessions_untrusted' => 'rule_sitechanges_ips_untrusted',
                         'rule_sitechanges_sessions_trusted' => 'rule_sitechanges_ips_trusted',
                         'rule_loosen_sessions_untrusted' => 'rule_loosen_ips_untrusted',
                         'rule_loosen_sessions_trusted' => 'rule_loosen_ips_trusted',
                         'rule_tighten_sessions_untrusted' => 'rule_tighten_ips_untrusted',
                         'rule_tighten_sessions_trusted' => 'rule_tighten_ips_trusted',
                         );

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    for my $session_field (keys %pb_session_fields) {
        my $ip_field = $pb_session_fields{$session_field};

        if (!defined $row->{$session_field}) {
            $row->{$session_field} = $row->{$ip_field};
        }

        # XML import/export in 10.2.0 used sessions (correctly) instead of ips
        if (!defined $row->{$ip_field} && defined $row->{$session_field}) {
            $row->{$ip_field} = $row->{$session_field};
        }
    }
}

1;
