package F5::CommonUpgrade::PBConfigSource;

use base 'F5::CommonUpgrade::Base';

use List::Util qw(max);

our $max_version = '12.1.0';
our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};

    if (defined $row->{rule_loosen_ips_trusted} && defined $row->{rule_loosen_sessions_trusted}) {
        $row->{rule_loosen_sources_trusted} = max ($row->{rule_loosen_ips_trusted}, $row->{rule_loosen_sessions_trusted});
    }

    if (defined $row->{rule_loosen_ips_untrusted} && defined $row->{rule_loosen_sessions_untrusted}) {
        $row->{rule_loosen_sources_untrusted} = max ($row->{rule_loosen_ips_untrusted}, $row->{rule_loosen_sessions_untrusted});
    }

    if (defined $row->{rule_sitechanges_ips_trusted} && defined $row->{rule_sitechanges_sessions_trusted}) {
        $row->{rule_sitechanges_sources_trusted} = max ($row->{rule_sitechanges_ips_trusted}, $row->{rule_sitechanges_sessions_trusted});
    }

    if (defined $row->{rule_sitechanges_ips_untrusted} && defined $row->{rule_sitechanges_sessions_untrusted}) {
        $row->{rule_sitechanges_sources_untrusted} = max ($row->{rule_sitechanges_ips_untrusted}, $row->{rule_sitechanges_sessions_untrusted});
    }

    if (defined($row->{rule_tighten_time_untrusted})) {
        $row->{rule_tighten_time} = $row->{rule_tighten_time_untrusted};
    }

    if (defined($row->{rule_tighten_requests_untrusted})) {
        $row->{rule_tighten_requests} = $row->{rule_tighten_requests_untrusted};
    }
}
1;

