package F5::CommonUpgrade::PolicyHistory;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.6.0';
our $tables_handled = [ 
                     qw(PLC.PL_POLICY_VERSIONS
                        PLC.PL_POLICIES
                        ), 
                      ];

our $tables_renamed = { 'PLC.PL_POLICY_VERSIONS' => 'PLC.PL_POLICY_HISTORY',
                      };


sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if (exists $row->{from_date}) {
        #PLC.PL_POLICY_VERSIONS
        $row->{policy_history_id} = $row->{id};
    }
    $row->{revision} = $row->{policy_version} || 0;
}

1;

