package F5::CommonUpgrade::PolicyHistoryRevision;

use base 'F5::CommonUpgrade::Base';
our $max_version = '14.0.0';

our $tables_handled = [ qw( PLC.PL_POLICY_HISTORY ) ];

sub after_table_complete {
    my($self, %params) = @_;

    if ($params{policy_id} && $params{policy_id} ne '*') {
        return;
    }

    my $dbh = $params{dbh};
    my $dbname = $params{dbname} || 'PLC';

    my $policies = $dbh->selectrow_arrayref(<<EndQuery,undef);
SELECT policy_id
  FROM $dbname.PL_POLICY_HISTORY
EndQuery

    for my $policy_id (@$policies) {
        my ($min_revision) = $dbh->selectrow_array(<<EndQuery,undef, $policy_id);
SELECT MIN(revision)
  FROM $dbname.PL_POLICY_HISTORY
  WHERE policy_id = ?
EndQuery

        my ($last_sequence_start) = $dbh->selectrow_array(<<EndQuery,undef, $min_revision, $policy_id);
SELECT MAX(policy_history_id)
  FROM $dbname.PL_POLICY_HISTORY
  WHERE revision = ? AND policy_id = ?
EndQuery

        if ($last_sequence_start) {
            $dbh->do(<<EndQuery, undef, $last_sequence_start, $policy_id);
DELETE FROM $dbname.PL_POLICY_HISTORY
  WHERE policy_history_id < ? AND policy_id = ?
EndQuery
        }
    }
}

1;
