package F5::CommonUpgrade::PolicyNameCrc;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';
our $max_version = '15.1.0';

use F5::CRC;

our $tables_handled = [ qw( PLC.PL_POLICIES ) ];

#----------------------------------------------------------------------

sub after_all_tables_complete {
    my($self, %params) = @_;
    my $idmap = $params{idmap};
    my $dbh = $params{dbh};
    my $dbname = $params{dbname} || 'PLC';

    my $policy_names = ($params{policy_id} eq "*") ?  $dbh->selectcol_arrayref("SELECT name FROM $dbname.PL_POLICIES") :
                                                      $dbh->selectcol_arrayref("SELECT name FROM $dbname.PL_POLICIES WHERE id = ?", undef, $params{policy_id});

    for my $policy_name (@{$policy_names}) {
        my $policy_name_crc = F5::CRC::get_crc($policy_name);

        F5::DbUtils::update_row(dbh => $dbh,
                                table_name => "$dbname.PL_POLICIES",
                                where_fields => { name => $policy_name },
                                rec => {
                                        policy_name_crc => $policy_name_crc,
                                       },
                               );

    }
}

#----------------------------------------------------------------------
1;

