package F5::CommonUpgrade::PolicyTemplateDefaults;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';

use F5::PolicyTemplateDefaults;

our $tables_handled = [ qw( PLC.POLICY_TEMPLATES ) ];

#----------------------------------------------------------------------

sub row_fixup {
    my($self, %params) = @_;

    my $row_state_rv = $params{row_state_rv};

    my $row = $params{row};


    if ($row->{flg_is_user_defined} || ($row->{template_type} && $row->{template_type} == F5::ASMConfig::TemplateType::TEMPLATE_TYPE_USER_DEFINED())) {
        $row->{template_type} = F5::ASMConfig::TemplateType::TEMPLATE_TYPE_USER_DEFINED();
        my $template_file = $row->{template_file};
        if (! -e $template_file) {
            $$row_state_rv = 'skip';
            return;
        }

        if (! $row->{template_defaults}) {
            my $template_defaults_json = F5::PolicyTemplateDefaults::xml_template_defaults($template_file);
            if ($template_defaults_json) {
                $row->{template_defaults} = $template_defaults_json;
            }
        }
    }
    else {
        $$row_state_rv = 'skip';
    }
}

#----------------------------------------------------------------------

1;

