package F5::CommonUpgrade::PopulatePreviousEnforcedRuleMd5;

use base 'F5::CommonUpgrade::Base';

our $tables_handled = [ qw(PLC.PL_POLICY_NEGSIG_SIGNATURES) ];

use Digest::MD5;

sub row_fixup {
    my($self, %params) = @_;

    my $row    = $params{row};
    if ($row->{previous_enforced_rule} || $row->{previous_enforced_rule_md5}) {
        if ($row->{flg_disabled} || !$row->{flg_quarantined}) {
            $row->{previous_enforced_rule} = '';
	    $row->{previous_enforced_rule_md5} = '';
        }
        else {
	    if($row->{previous_enforced_rule}) {
               my $md5_calc = Digest::MD5->new;
               $md5_calc->add($row->{previous_enforced_rule});
               $row->{previous_enforced_rule_md5} = $md5_calc->hexdigest;
	    }
	    else {
	       $row->{previous_enforced_rule_md5} = '';
	    }
        }
    }
}

1;
