package F5::CommonUpgrade::RedirectionDomainDefaultWildcard;

use base 'F5::CommonUpgrade::Base';
use F5::ASMConfig::ASMConfig;

our $max_version = '11.5.0';
our $tables_handled = [ qw(PLC.PL_REDIRECTION_DOMAINS) ];

sub after_all_tables_complete {
    my($self, %params) = @_;
    my $idmap = $params{idmap};
    my $dbh = $params{dbh};
    my $dbname = $params{dbname} || 'PLC';

    my $policy_ids = ($params{policy_id} eq "*") ?  $dbh->selectcol_arrayref("SELECT id FROM $dbname.PL_POLICIES") : [$params{policy_id}];

    for my $policy_id (@{$policy_ids}) {

        F5::DbUtils::insert_row(dbh => $dbh,
                                table_name => "$dbname.PL_REDIRECTION_DOMAINS",
                                rec => {
                                        policy_id               => $policy_id,
                                        domain_name             => '*',
                                        flg_is_pattern          => 1,
                                        pattern_order           => 1,
                                        last_tightening_time    => time(),
                                        last_updated            => time(),
                                        flg_tightening          => F5::ASMConfig::TighteningMode::TIGHTENING_MODE_ALWAYS,
                                       },
                                do_replace => 1,
                               );

    }
}

#----------------------------------------------------------------------
1;
