package F5::CommonUpgrade::ResponsePageRedirectUrl;

use base 'F5::CommonUpgrade::Base';

our $max_version = '12.0.0';
our $tables_handled = [ qw(PLC.PL_ALTERNATE_RESPONSES) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{response_type} eq 'redirect'){
       if ($row->{alternate_response_header} && $row->{alternate_response_header} =~ m/Location: (\S*)/) {
           $row->{redirect_url} = $1;
           $row->{alternate_response_header} = undef;
       }
       if (!$row->{redirect_url}) {
           my $row_state_rv = $params{row_state_rv};
           $$row_state_rv = 'skip';
           return;
       }
    }
}

1;

