package F5::CommonUpgrade::ScannerConfigAvoidDuplicates;

use base 'F5::CommonUpgrade::Base';

our $max_version = '14.1.0';
our $tables_handled = [ qw(PLC.PL_SCANNER_CONFIG) ];

sub row_fixup {
    my($self, %params) = @_;
    my $idmap = $params{idmap};
    my $row = $params{row};
    my $row_state_rv = $params{row_state_rv};

    if ( (!$idmap->{'__private_save'}) || (!$idmap->{'__private_save'}->{pl_scanner_config}) ||
            ( !$idmap->{'__private_save'}->{pl_scanner_config}->{$row->{policy_id}}) ) {
        $idmap->{'__private_save'}->{pl_scanner_config}->{$row->{policy_id}} = 1;
    }
    else {
        $$row_state_rv = 'skip';
    }
}

#----------------------------------------------------------------------------

sub after_all_tables_complete {
    my($self, %params) = @_;
    my $idmap = $params{idmap};

    if ( $idmap->{'__private_save'} && $idmap->{'__private_save'}->{pl_scanner_config} ){
        delete $idmap->{'__private_save'}->{pl_scanner_config};
    }
}

#----------------------------------------------------------------------------
1;

