package F5::CommonUpgrade::ScannerConfigSource;

use base 'F5::CommonUpgrade::Base';

use List::Util qw(max);

our $max_version = '13.0.0';
our $tables_handled = [ qw(PLC.PL_SCANNER_CONFIG) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};

    if (defined $row->{rule_loosen_ips_trusted} && defined $row->{rule_loosen_sessions_trusted}) {
        $row->{rule_loosen_sources_trusted} = max ($row->{rule_loosen_ips_trusted}, $row->{rule_loosen_sessions_trusted});
    }

    if (defined $row->{rule_loosen_ips_untrusted} && defined $row->{rule_loosen_sessions_untrusted}) {
        $row->{rule_loosen_sources_untrusted} = max ($row->{rule_loosen_ips_untrusted}, $row->{rule_loosen_sessions_untrusted});
    }
}


1;
