package F5::CommonUpgrade::ServerTechnologiesIsLearnFlag;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '14.0.0';
our $tables_handled = [ qw(PLC.SERVER_TECHNOLOGIES) ];

#----------------------------------------------------------------------

sub after_all_tables_complete {
  my($self, %params) = @_;

  if ($params{policy_id} && $params{policy_id} ne '*') {
    return;
  }

  my $dbh    = $params{dbh};
  my $logger = $params{logger};
  my $dbname = $params{dbname} || 'PLC';

  $dbh->do(<<EndQuery,);
UPDATE $dbname.SERVER_TECHNOLOGIES ST
  LEFT JOIN $dbname.SERVER_TECHNOLOGIES_FINGERPRINTS STF
    ON ( ST.server_technology_id = STF.server_technology_id)
   SET flg_is_learnable = 1
WHERE server_technology_fingerprint_id IS NOT NULL
EndQuery


}
#----------------------------------------------------------------------
1;
