package F5::CommonUpgrade::SessionAwarenessLearningFlag;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;
use F5::Violation;
use F5::Violation::Utils;

our $tables_handled = [ qw(PLC.PL_BLOCKING) ];
our $max_version = '12.1.0';

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};
    my $viol_index;

    if (exists $row->{code} && ! exists $row->{viol_index}) {
        $viol_index = F5::Violation::Utils::get_viol_index_from_code($row->{code});
    }else{
        $viol_index = $row->{viol_index};
    }

    if ( $viol_index == F5::Violation::VIOL_SESSION_AWARENESS()){
       $row->{flg_learn} = 1;
    }

}

#----------------------------------------------------------------------
1;
