package F5::CommonUpgrade::StagedSinceUpdateTime;

use base 'F5::CommonUpgrade::Base';
use F5::DateTimeUtils;

our $max_version = '11.0.0';
our $tables_handled =[ qw(PLC.PL_OBJECTS PLC.PL_PARAM_ATTRIBUTES PLC.PL_FILTETYPES)];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};

    $row->{staged_since} = F5::DateTimeUtils::convert_datetime_to_epoch($row->{staged_since});
    $row->{last_updated} = F5::DateTimeUtils::convert_datetime_to_epoch($row->{last_updated});
}

1;

