package F5::CommonUpgrade::SuggestionsCount;

use base 'F5::CommonUpgrade::Base';

use List::Util qw(max);

our $max_version = '12.2.0';
our $tables_handled = [ qw(PLC.PL_SUGGESTIONS) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};

    if (defined $row->{trusted_ip_count} && defined $row->{trusted_session_count}) {
        $row->{trusted_sources_count} = max ($row->{trusted_ip_count}, $row->{trusted_session_count});
    }

    if (defined $row->{untrusted_ip_count} && defined $row->{untrusted_session_count}) {
        $row->{untrusted_sources_count} = max ($row->{untrusted_ip_count}, $row->{untrusted_session_count});
    }
}
1;

