package F5::CommonUpgrade::TemporaryXmlProfileCleanup;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '11.6.0';
our $tables_handled = [ 
                     qw(PLC.PL_XML_PROFILES
                        PLC.PL_XML_SENSITIVE_PARAMS
                        PLC.PL_XML_PROFILE_NEGSIG_SIGNATURES
                        PLC.PL_XML_PROFILE_DEFENSE_ATTRIBUTES
                        PLC.PL_XML_SOAP_SECURITY
                        PLC.PL_XML_SOAP_SPECIFIC_ELEMENTS
                        PLC.PL_XML_SOAP_PREFIX_NAMESPACE_MAPPING
                        PLC.PL_XML_PROFILE_SERVER_CERTIFICATE
                        PLC.PL_XML_ROLE_ACTOR
                        PLC.PL_XML_PROFILE_OBJECTS
                        PLC.PL_XML_PROFILE_CLIENT_CERTIFICATE
                        PLC.PL_XML_PROFILE_VALIDATION_FILES
                        PLC.PL_XML_PROFILE_SOAP_METHODS
                        PLC.PL_CONTENT_PROFILES
                        PLC.PL_CONTENT_SENSITIVE_PARAMS
                        PLC.PL_CONTENT_PROFILE_NEGSIG_SIGNATURES
                       ), 
                      ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};
    my $profile_id = $row->{profile_id} || $row->{id};
    if ($idmap->{'__private_save'} &&
        $idmap->{'__private_save'}->{temporary_xml_profiles} &&
        $idmap->{'__private_save'}->{temporary_xml_profiles}->{$profile_id}) {
        my $row_state_rv = $params{row_state_rv};
        $$row_state_rv = 'skip';
        return;
    }
}

1;

