package F5::CommonUpgrade::UrlAssociation;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled =[ qw(PLC.PL_OBJECT_XML_PROFILES)];

our $tables_renamed = { 'PLC.PL_OBJECT_XML_PROFILES' => 'PLC.PL_OBJECT_CONTENT_PROFILES'};

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{xml_profile_id}) {
        $row->{profile_id} = $row->{xml_profile_id};
        $row->{enforcement_type} = 'xml';

        if ($row->{content_type}) {
            $row->{header_name} = 'Content-Type';
            $row->{header_value} = $row->{content_type};
            $row->{header_order} = 1;
        }
        else {
            $row->{header_name} = '*';
            $row->{header_value} = '*';
            $row->{header_order} = 0;
        }
    }
}

1;

