package F5::CommonUpgrade::UrlContentProfile;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $tables_handled =[ qw(PLC.PL_OBJECT_CONTENT_PROFILES)];

sub row_fixup {
    my($self, %params) = @_;
    my %content_profile_types = map { ($_ => 1) } qw(xml gwt json graphql grpc);

    my $row = $params{row};
    if ($row->{profile_id} && ! $content_profile_types{$row->{enforcement_type}}) {
        $row->{profile_id} = undef;
    }
}

1;

