package F5::CommonUpgrade::UrlParamRestId;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '12.0.0';
our $min_version = '11.5.0';
our $tables_handled = [ 
                     qw(
                        PLC.PL_PARAM_ATTRIBUTES
                       ), 
                      ];

sub after_all_tables_complete {
    my($self, %params) = @_;

    my $dbh    = $params{dbh};
    my $policy_id = $params{policy_id};
    my $dbname = $params{dbname} || 'PLC';

    my $policy_where_clause = ($policy_id eq "*") ? ''
                                                  : "AND pa.policy_id = $policy_id";
        $dbh->do(<<EndQuery, undef, "*");
    UPDATE $dbname.PL_PARAM_ATTRIBUTES pa 
           JOIN $dbname.PL_OBJECT_PARAMS op ON pa.id = op.param_attrib_id
    SET rest_uuid = ''
    WHERE 1
      $policy_where_clause
EndQuery
}

1;

