package F5::DPI::Sigfile::AutoDownload;

use strict;
use warnings;

use base qw(F5::Sigfile::AutoDownload);

use F5::Iface;
#use SOAP::Lite +trace => qw(debug);
use SOAP::Lite;
use MIME::Base64;
use Config::IniFiles;
use F5::Deploy;
use F5::BigipVersionUtils;
use F5::License;
use F5::ServerLookup;
use F5::DateTimeUtils;
use F5::ASM::COAPI;

#----------------------------------------------------------------------

sub init {
  my($self, %params) = @_;
  $self->SUPER::init(%params);
  my $timestamp;
  my $query = F5::ASM::COAPI::Query->new("classification_signature_version");
  if ($query && @$query) {
      my ($version) = @$query;
      $timestamp = F5::DateTimeUtils::convert_epoch_to_datetime($version->{update_time});
  }
  $self->{sigfile_timestamp} = $timestamp || '2001-01-01 00:00:00'; # Arbitrarily old date to force update
  $self->{container_filter} = 'DPI-LatestSignatureFile';
  $self->{file_filter} = 'classification-update-.+'; #  See $IM_FILE in dpisig/Build
}

#----------------------------------------------------------------------

1;

