package F5::Db::Single;

use strict;
use warnings;

use F5::DbUtils;

my $instance;
my %instance_opts;

sub init {
    my($class, %params) = @_;
    %instance_opts = (allow_instantiate => 1,
                      connect_attempt_limit => 12,
                      connect_attempt_delay => 5,
                      %params);
}

#----------------------------------------------------------------------

sub instance {
    my($class, %params) = @_;

    if ($instance_opts{allow_instantiate}) {
        # Only create instance if F5::Db::Single->init was called
        $instance = F5::DbUtils::refresh_dbh(dbh => $instance,
                                             %instance_opts);

        if (! $instance && $instance_opts{die_on_instantiate_failure}) {
            die "Could not get database handle\n";
        }

        return $instance;
    }
    return;
}

#----------------------------------------------------------------------

1;

