package F5::DbFixup::AlternateResponse;

use base 'F5::DbFixup::Default';
use F5::AlternateResponsesFixup;



# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC'; 
our $max_version = '0009.0004.0002.0000.0000';
our $priority = 99;

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;
    $logger->debug("Begin  AlternateResponse fixup");

    my $sql = "SELECT id, alternate_response_file, alternate_response_file_name
               FROM $old_dbname.PL_POLICIES";
    my $sth = $dbh->prepare($sql);
    $sth->execute;

    while(my $data = $sth->fetchrow_hashref) {
	$data->{policy_id}=$data->{id};
        F5::AlternateResponsesFixup::set_alternate_response($dbh, $logger, $new_dbname, $data);
    }

    $logger->debug("End AlternateResponse fixup");
}

1;
