package F5::DbFixup::AppServicePopulation;
use warnings;
use strict;

use F5::ASM::COAPI;

our @ISA = qw(F5::DbFixup::Default);

# Package globals, handled by AUTOLOAD
our $max_version = '0012.0000.0000.0000.0000';
our $fixup_db = 'PLC';
our $priority = 1;

sub after_fixup {
    my ($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    my $idmap = $params->{idmap};
    my $databases = $params->{databases};

    $logger->debug("Begin AppService fixup");

    my %mcp_folders = map { ( $_->{name} => $_ ) } @{F5::ASM::COAPI::Query->new('folder')};
    my @policies = @{F5::ASM::COAPI::Query->new('asm_policy')};
    for my $policy (@policies) {
        my $folder = $policy->{folder_name};
        if ($mcp_folders{$folder}->{app_id} ne $policy->{app_id}) {
            $policy->{app_id} = $mcp_folders{$folder}->{app_id};
            $policy->save();
        }
   }

   $logger->debug("End AppService fixup");
}

#----------------------------------------------------------------------

1;
