package F5::DbFixup::BruteForce;

use base 'F5::DbFixup::Default';
use F5::DbUtils;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $max_version = '0012.0000.0000.0000.0000';

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    $logger->debug("Begin BruteForce fixup");


    # Extract bf_num_sec_per_value (measurement period) from INTERNAL_CONFIG_ITEMS
    my $databases = $params->{databases};
    my($bf_num_sec_per_value) = $dbh->selectrow_array(<<EndQuery);
SELECT current_value
  FROM $databases->{DCC}->{ucs_dbname}.INTERNAL_CONFIG_ITEMS
 WHERE field_name = 'bf_num_sec_per_value'
EndQuery


    if ($bf_num_sec_per_value) {
        $dbh->do(<<EndQuery, undef, $bf_num_sec_per_value) or $logger->error("failed to execute query $sql ".$DBI::errstr);
UPDATE $new_dbname.PL_LOGIN_BRUTE_FORCE_OBJECT_ATTRIBUTES set measurement_period=?;
EndQuery
    }
    $logger->debug("End BruteForce fixup");
}
1;
