package F5::DbFixup::DynamicSession;

use F5::DbUtils;

our @ISA = qw(F5::DbFixup::Default);

# Package globals, handled by AUTOLOAD
our $min_version = '0009.0002.0002.0000.0000';
our $max_version = '0010.0000.0000.0000.0000';
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
  my $databases = $params->{databases};

  $logger->debug("Begin dynamic session fixup");

  my @fields = qw(
                   flg_use_dynamic_session_in_url
                   dynamic_session_pattern
                   dynamic_session_description
                );
  my %table_fields = map { ($_ => 1) } F5::DbUtils::get_db_fields($dbh, "$databases->{DCC}->{ucs_dbname}.ACCOUNTS");
  @fields = grep($table_fields{$_}, @fields);

  local $" = ',';

  my @update_assignments = map { "policy.$_ = account.$_" } @fields;
  $dbh->do(<<EndQuery);
UPDATE $new_dbname.PL_POLICIES policy,
       $databases->{DCC}->{ucs_dbname}.ACCOUNTS account
   SET @update_assignments
 WHERE policy.account_id = account.account_id
EndQuery

  $logger->debug("End dynamic session fixup");
}

#----------------------------------------------------------------------

1;
