package F5::DbFixup::FactoryViolationsFixup;

use base 'F5::DbFixup::Default';

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $min_version = '0011.0005.0000.0000.0000';

#----------------------------------------------------------------------

# in an upgrade, we want none of the PLC.VIOLATIONS factory data
# so we are deleting all those that are not user defined

sub before_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    $logger->debug("Begin FactoryViolationsFixup before fixup");

    $dbh->do("DELETE FROM $old_dbname.VIOLATIONS WHERE flg_is_user_defined = 0");

    $logger->debug("End FactoryViolationsFixup before fixup");
}

#----------------------------------------------------------------------

1;
