package F5::DbFixup::FlowRemapping;

use base 'F5::DbFixup::Default';

# Package globals, handled by AUTOLOAD
our $max_version = '0009.0002.0002.0000.0000';
our $fixup_db = 'PLC';
our $priority = 5; # This fixup needs to be handled before Global Parameters, if applicable.

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;

  $logger->debug("Begin flowing remapping fixup");

  $dbh->do("ALTER TABLE $old_dbname.PL_PARAMS ADD COLUMN extract_from_object_id bigint(20) unsigned NOT NULL default '0'");

  my $flow_remap_query = <<"EndQuery";
UPDATE $old_dbname.PL_PARAMS AS PARAM JOIN $old_dbname.PL_FLOWS AS FLOW ON PARAM.flow_id = FLOW.id
SET  PARAM.extract_from_object_id = FLOW.from_id
WHERE PARAM.key_input_type = 2;
EndQuery
  
  $dbh->do($flow_remap_query);

  $logger->debug("End flowing remapping fixup");
}

1;
