package F5::DbFixup::GlobalParameterNameRegex;

use base 'F5::DbFixup::Default';
use F5::WildcardEntityUpgrade;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC'; 
our $excluded_tables = [ 'PLC.PL_GLOBAL_PARAMS' ];
our $min_version = '0009.0003.0009.0000.0000';
our $max_version = '0009.0004.0002.0000.0000';

sub before_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;
    $logger->debug("Begin  GlobalParameterNameRegex fixup");

    $self->copy_table(dbh => $dbh,
        old_dbname => $old_dbname,
        new_dbname => $new_dbname,
        logger => $logger,
        table_name => 'PL_GLOBAL_PARAMS',
        fixup_callback => \&F5::WildcardEntityUpgrade::convert_param_name_regex_to_wildcard
    );

    $logger->debug("End GlobalParameterNameRegex fixup");
}

1;
