package F5::DbFixup::HslAccountLoad;

use base 'F5::DbFixup::Default';

use F5::DbUtils;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'DCC';

our $max_version = '0011.0004.0000.0000.0000';

sub before_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    my $idmap = $params->{idmap};
    $logger->debug("Begin HslAccountLoad fixup");

    if (F5::DbUtils::check_table_exists(
                                        dbh => $dbh,
                                        table_name => 'HSL_HTTP_PROFILES',
                                        dbname => $old_dbname,
                                       )) {

        my $hsl_accounts = $dbh->selectcol_arrayref(<<EndQuery);
SELECT account_id
  FROM $old_dbname.HSL_HTTP_PROFILES
EndQuery
        $idmap->{'__private_save'}->{hsl_accounts} = { map { ($_ => 1) } @$hsl_accounts };
    }

    $logger->debug("End HslAccountLoad fixup");
}

1;
