package F5::DbFixup::HslPolicyFixup;

use base 'F5::DbFixup::Default';
use F5::Hsl;


# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $min_version = '0009.0004.0003.0000.0000';
our $max_version = '0009.0004.0005.0000.0000';


sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
  my $databases = $params->{databases};

  $logger->debug("Begin F5::Hsl Policy fixup");


  # add new violations after sync action
  my $sql = <<"EndQuery";
         INSERT INTO $new_dbname.HSL_PROFILE_VIOLATION_CONFIG 
  	 (SELECT D.hsl_profile_id, C.violation_code, C.flg_alarm,C.flg_reject 
		 FROM  $new_dbname.HSL_PROFILE_VIOLATION_CONFIG_DEFAULTS C, 
                       $new_dbname.HSL_PROFILES D 
                 WHERE violation_code NOT IN 
                (SELECT A.violation_code 
                        FROM  $new_dbname.HSL_PROFILE_VIOLATION_CONFIG A, $new_dbname.HSL_PROFILES B 
                        WHERE A.hsl_profile_id=B.hsl_profile_id AND B.hsl_profile_type_id=C.hsl_profile_type_id) 
                        AND C.hsl_profile_type_id=D.hsl_profile_type_id);
EndQuery
  $dbh->do($sql);

 
  # add FTP special configuration for all old profiles.
  my $profile_type = F5::Hsl::FTP;

  my $ignore = F5::DbUtils::get_ignore_string($dbh);
  $sql = <<"EndQuery";
         INSERT $ignore INTO $new_dbname.HSL_PROFILES_FTP_CONFIG  (hsl_profile_id) 
         SELECT hsl_profile_id from $new_dbname.HSL_PROFILES WHERE hsl_profile_type_id=$profile_type;
EndQuery
  $dbh->do($sql);

$logger->debug("End F5::Hsl Policy fixup");
}

1;

