package F5::DbFixup::HttpChecksFixup;

use base 'F5::DbFixup::Default';
use F5::DbUtils;
use F5::HttpChecksUpgrade;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $max_version = '0009.0004.0004.0000.0000';


sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    my $idmap = $params{idmap};

    # Extract non-rfc bitmask from INTERNAL_CONFIG_ITEMS
    my $databases = $params->{databases};
    ($idmap->{'__private_save'}->{non_rfc_bitmask}) = $dbh->selectrow_array(<<EndQuery);
SELECT current_value
  FROM $databases->{DCC}->{ucs_dbname}.INTERNAL_CONFIG_ITEMS
 WHERE field_name = 'non_rfc_bitmask'
EndQuery

    $logger->debug("End HttpChecksFixup fixup");

}

1;
