package F5::DbFixup::LinkSigsToSets;

use base 'F5::DbFixup::Default';
use F5::NegativeSignatures;

our $max_version = '0011.0000.0000.0000.0000';
# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $priority = 102; # after NEGSIG_SETS fixups

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    $logger->debug("Begin LinkSigsToSets fixup");

    $dbh->do(<<EndQuery);
UPDATE $new_dbname.NEGSIG_SETS AS sigs
  SET sigs.flg_is_manual = 1
WHERE sigs.set_id in (
   SELECT DISTINCT set_id
     FROM $new_dbname.NEGSIG_SET_SIGNATURES )
EndQuery

   F5::NegativeSignatures->new(dbh => $dbh, dbname => $new_dbname )->link_sigs_to_set();

   $logger->debug("End LinkSigsToSets fixup");
}

1;

