package F5::DbFixup::NavigationParamsFixup;

use strict;
use warnings;

use F5::NavigationParamsUpgrade qw(upgrade_navigation_params);

our @ISA = qw(F5::DbFixup::Default);
our $priority = 99; # Run after Global Parameter upgrade, if applicable

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;
  
  $logger->debug("Begin Navigation Param fixup");

  upgrade_navigation_params(dbh => $dbh,
			    logger => $logger,
			    policy_id => '*',
			    dbname => $new_dbname);

  $logger->debug("End Navigation Param fixup");
}

1;
