package F5::DbFixup::NegsigDefaultSets;

use F5::NegativeSignatures;

our @ISA = qw(F5::DbFixup::Default);

# Package globals, handled by AUTOLOAD
our $max_version = '0009.0004.0002.0000.0000';
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;

  $logger->debug("Begin negsig default sets fixup");

  my $negative_signatures = F5::NegativeSignatures->new($dbh);
  $negative_signatures->add_all_signatures_to_policy(policy_id => '*',
                                                     dbname => $new_dbname);
  $negative_signatures->add_default_sets_to_policy(policy_id => '*',
                                                   dbname => $new_dbname);

  $logger->debug("End negsig default sets fixup");
}
