package F5::DbFixup::NegsigPolicyAttributes;

use F5::NegativeSignatures;

our @ISA = qw(F5::DbFixup::Default);

# Package globals, handled by AUTOLOAD
our $min_version = '0009.0004.0002.0000.0000';
our $max_version = '0010.0000.0000.0000.0000';
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;

  $logger->debug("Begin negsig policy attributes fixup");

  $dbh->do(<<EndQuery);
INSERT INTO $new_dbname.PL_POLICY_NEGSIG_ATTRIBUTES
   (policy_id, flg_quarantine_signatures)
  SELECT pol.id, pol.flg_quarantine_signatures
    FROM $old_dbname.PL_POLICIES pol
EndQuery

    $dbh->do(<<EndQuery);
INSERT INTO $new_dbname.PL_POLICY_GENERAL
   (policy_id, quarantined_period)
  SELECT pol.id, pol.quarantined_period
    FROM $old_dbname.PL_POLICIES pol
EndQuery


  $logger->debug("End negsig policy attributes fixup");
}
