package F5::DbFixup::NegsigRemoveNewSignatures;

use base 'F5::DbFixup::Default';
use F5::NegativeSignatures::Utils;

# Package globals, handled by AUTOLOAD
our $min_version = '0011.0002.0000.0000.0000';
our $fixup_db = 'PLC';

sub before_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    my $databases = $params->{databases};
    $logger->debug("Begin NegsigRemoveNewSignatures fixup");

    # Delete signatures from staging db to ensure that the contents will only be
    #     from the UCS, after automerge copies them in, not from the current version.
    $dbh->do(<<EndQuery);
DELETE
  FROM $new_dbname.NEGSIG_SIGNATURES
EndQuery

    $dbh->do(<<EndQuery);
DELETE 
  FROM $new_dbname.NEGSIG_SIGNATURE_SYSTEMS
EndQuery

    $dbh->do(<<EndQuery);
DELETE
  FROM $new_dbname.NEGSIG_SIGNATURE_REFERENCES
EndQuery

    # Delete PSM related signatures from ucs db to ensur ethat those would not be
    #     copied over by automerge into staging db
    $dbh->do(<<EndQuery);
DELETE 
  FROM $old_dbname.NEGSIG_SIGNATURES
 WHERE sig_id >= 250000000
   AND sig_id <= 259999999
EndQuery

    $dbh->do(<<EndQuery);
DELETE 
  FROM $old_dbname.NEGSIG_SIGNATURE_SYSTEMS
 WHERE system_id = 36
EndQuery

    $logger->debug("End NegsigRemoveNewSignatures fixup");
}

1;
