package F5::DbFixup::NegsigSetSigTagFilter;

use base 'F5::DbFixup::Default';
use F5::NegativeSignatures;

our $max_version = '0016.0000.0000.0000.0000';
# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $priority = 103; # after NEGSIG_SETS fixups
my $all_signatures_set_id = 299999999;

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    $logger->debug("Begin NegsigSetSigTagFilter fixup");

    $dbh->do(<<EndQuery,undef, $all_signatures_set_id);
UPDATE $new_dbname.NEGSIG_SET_FILTERS
    SET sig_tag_op = 'untagged'
    WHERE set_id != ?
EndQuery

   $logger->debug("End NegsigSetSigTagFilter fixup");
}

1;

