package F5::DbFixup::ObjectTypeWildcard;

our @ISA = qw(F5::DbFixup::Default);

# Package globals, handled by AUTOLOAD
our $max_version = '0009.0004.0002.0000.0000';
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;

  $logger->debug("Begin object type wildcard fixup");
  require F5::ObjectTypeWildcardUpgrade;
  # Not actually copying the table contents -- only loads the data into table_data and hands off to fixup callback
  $self->copy_table(
                    dbh => $dbh,
                    old_dbname => $old_dbname,
                    logger => $logger,
                    table_name => 'PL_FILETYPES',
                    id_field_name => undef,
                    fixup_callback => sub {
                      my($dbh, $logger, $table_data) = @_;
                      F5::ObjectTypeWildcardUpgrade::add_object_type_wildcards(dbh => $dbh,
                                                                               logger => $logger,
                                                                               table_data => $table_data,
                                                                               dbname => $new_dbname);
                    },
                   );

  $logger->debug("End allowed methods fixup");
}
#----------------------------------------------------------------------

1;
