package F5::DbFixup::ParamExtractAttribCleanup;

use strict;
use warnings;

use F5::ParamExtractAttribCleanup qw(cleanup_param_extract_attrib);

our @ISA = qw(F5::DbFixup::Default);
our $priority = 99; # Run after Global Parameter upgrade, if applicable

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;
  
  $logger->debug("Begin Parameter Extract Attrib cleanup fixup");

  cleanup_param_extract_attrib(dbh => $dbh,
			       logger => $logger,
			       policy_id => '*',
			       dbname => $new_dbname);

  $logger->debug("End Parameter Extract Attrib cleanup fixup");
}

1;
