package F5::DbFixup::PolicyCsrf;

use base 'F5::DbFixup::Default';
use F5::PolicyCsrfUpgrade;

use F5::DbUtils;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC'; 
our $max_version = '0010.0002.0000.0000.0000';
our $priority = 99;

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    $logger->debug("Begin PolicyCsrf fixup");

    F5::PolicyCsrfUpgrade::populate_policy_csrf_defaults (
                                 dbh => $dbh,
                                 dbname => $new_dbname,
                                 policy_id => '*');

    $logger->debug("End PolicyCsrf fixup");
}

1;
