package F5::DbFixup::PolicyRestUuidRecalculate;

use strict;
use warnings;
use F5::DbUtils;
use F5::Utils::Rest;

our $fixup_db = 'PLC';
our @ISA = qw(F5::DbFixup::Default);
our $max_version = '0014.0001.0000.0000.0000';
our $min_version = '0011.0005.0000.0000.0000';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
  my $databases = $params->{databases};
    $logger->debug("Begin PolicyRestUuidRecalculate fixup");

my $policies =  $dbh->selectall_hashref(<<"EndQuery",'name');
SELECT name,rest_uuid
  FROM $new_dbname.PL_POLICIES
EndQuery

  for my $policy_name ( keys %{$policies} ) {
      my $rest_uuid = F5::Utils::Rest::generate_uuid($policy_name);
      next if ( $rest_uuid eq $policies->{$policy_name}->{rest_uuid} );
      F5::DbUtils::update_row(dbh => $dbh,
                              table_name => "$new_dbname.PL_POLICIES",
                              rec => { rest_uuid => $rest_uuid },
                              where_fields => {  name => $policy_name, },
                             );
   }

   $logger->debug("End PolicyRestUuidRecalculate fixup");
}
