package F5::DbFixup::PrerequisiteAttributes;

use base 'F5::DbFixup::Default';

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC'; 
our $max_version = '0010.0001.0000.0000.0000';
our $min_version = '0009.0004.0002.0000.0000';
our $priority = 99;

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    $logger->debug("Begin PolicyPrerequisiteAttributes fixup");

    my $ignore = F5::DbUtils::get_ignore_string($dbh);
    $dbh->do(<<EndQuery);
INSERT $ignore $new_dbname.PL_POLICY_PREREQUISITE_ATTRIBUTES
(policy_id, expiration_period)
SELECT p.id, IF(po.expiration_period, po.expiration_period , 0 )
  FROM $old_dbname.PL_POLICIES AS p 
  LEFT JOIN $old_dbname.PL_PREREQUISITE_OBJECTS AS po
    ON p.id = po.policy_id
EndQuery

    $logger->debug("End PolicyPrerequisiteAttributes fixup");
}

1;
