package F5::DbFixup::RemoveNormalizations;

use base 'F5::DbFixup::Default';


my $NORMALIZATION_CODE_ASCII_DECODING = 1;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC'; 
our $min_version = '0009.0004.0002.0000.0000';

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    $logger->debug("Begin RemoveNormalizations fixup");
    my $remove_sql = "DELETE FROM $new_dbname.PL_NORMALIZATION WHERE normalization_code IN(?)";

    $dbh->do($remove_sql, undef, $NORMALIZATION_CODE_ASCII_DECODING);

    $logger->debug("End RemoveNormalizations fixup");
}

1;
