package F5::DbFixup::ResponseCodes;

use base 'F5::DbFixup::Default';
use F5::DbUtils;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $max_version = '0009.0004.0004.0000.0000';

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    $logger->debug("Begin ResponseCodes fixup");


    # Extract response codes from INTERNAL_CONFIG_ITEMS
    my $databases = $params->{databases};
    my($http_error_filter_list_field) = $dbh->selectrow_array(<<EndQuery);
SELECT current_value
  FROM $databases->{DCC}->{ucs_dbname}.INTERNAL_CONFIG_ITEMS
 WHERE field_name = 'http_error_filter_list'
EndQuery

    my $ignore = F5::DbUtils::get_ignore_string($dbh);
    my @http_error_filter_list = split(/,/ , $http_error_filter_list_field);
    foreach my $response_code (@http_error_filter_list)
    {
        $dbh->do(<<EndQuery, undef, $response_code) or $logger->error("failed to execute query $sql ".$DBI::errstr);
INSERT $ignore INTO $new_dbname.PL_ALLOWED_RESPONSE_CODES 
            (policy_id, response_code)
SELECT id, ?
  FROM $new_dbname.PL_POLICIES
EndQuery
    }

    $logger->debug("End ResponseCodes fixup");
}
1;
