package F5::DbFixup::SigfileUpdateSchedule;

use base 'F5::DbFixup::Default';

# Package globals, handled by AUTOLOAD
our $min_version = '0009.0004.0002.0000.0000';
our $fixup_db = 'PLC';

sub before_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    $logger->debug("Begin SigfileUpdateSchedule fixup");

    my ($count) = $dbh->selectrow_array(<<EndQuery);
SELECT COUNT(*)
  FROM $old_dbname.SIGFILE_FLAGS
EndQuery

    $dbh->do(<<EndQuery) if $count;
DELETE
  FROM $new_dbname.SIGFILE_FLAGS
EndQuery

    $logger->debug("End SigfileUpdateSchedule fixup");
}

1;
