package F5::DbFixup::SinglePolicy;

use base 'F5::DbFixup::Default';

# Package globals, handled by AUTOLOAD
our $max_version = '0011.0004.0000.0000.0000';
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
  my $databases = $params->{databases};

  $logger->debug("Begin Single Policy / HttpClass Removal fixup");

$dbh->do(<<"EndQuery");
UPDATE $databases->{PLC}->{staging_dbname}.PL_POLICIES policies
 JOIN $databases->{DCC}->{staging_dbname}.ACCOUNTS accounts ON policies.account_id = accounts.account_id
 JOIN $databases->{DCC}->{staging_dbname}.LANGUAGE_ENCODINGS lang_enc ON accounts.lang_set_id = lang_enc.lang_set_id AND lang_enc.flg_visible = 1
 JOIN $databases->{DCC}->{staging_dbname}.ENCODINGS enc ON lang_enc.encoding_id = enc.encoding_id
SET policies.encoding = enc.encoding,
    policies.flg_encoding_selected = accounts.flg_encoding_selected
EndQuery

  $dbh->do(<<"EndQuery");
UPDATE $databases->{PLC}->{staging_dbname}.PL_POLICIES policies
SET policies.account_id = 0 
WHERE policies.id NOT IN (SELECT active_policy_id FROM $databases->{DCC}->{ucs_dbname}.ACCOUNTS)
EndQuery

#Force policy name to old domain name
#First move aside conflicting names from policies that are not active on identically named accounts (ideally there should not be any, but just in case).
  $dbh->do(<<"EndQuery");
UPDATE $databases->{PLC}->{staging_dbname}.PL_POLICIES policies
  JOIN $databases->{DCC}->{staging_dbname}.ACCOUNTS accounts ON policies.name = accounts.policy_name
 SET policies.name = CONCAT(policies.name, "_renamed_by_upgrade")
 WHERE policies.account_id != accounts.account_id
EndQuery

  $dbh->do(<<"EndQuery");
UPDATE $databases->{PLC}->{staging_dbname}.PL_POLICIES policies
  JOIN $databases->{DCC}->{staging_dbname}.ACCOUNTS accounts ON policies.account_id = accounts.account_id
 SET policies.name = accounts.policy_name
EndQuery

  $logger->debug("End Single Policy fixup");
}

1;

