package F5::DbFixup::SpecialCharactersFixup;

use strict;
use warnings;
use F5::SpecialCharactersUnmap;

our @ISA = qw(F5::DbFixup::Default);
our $priority = 99;
our $max_version = '0009.0004.0002.0000.0000';

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';

sub after_fixup {
	my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
	
	$logger->debug("Begin Special Chars fixup");

	F5::SpecialCharactersUnmap::unmap_all (
	      dbh => $dbh,
	      logger => $logger,
	      policy_id => '*',
          databases => $params->{databases},
	);

	$logger->debug("End Special Chars fixup");
}

1;
