package F5::DbFixup::VirusDetectionServer;

our @ISA = qw(F5::DbFixup::Default);

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $max_version = '0011.0000.0000.0000.0000';
our $min_version = '0010.0002.0000.0000.0000';

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    my $databases = $params->{databases};

    $logger->debug("Begin Virus Detection Server fixup");

    my ($virus_detection_exists) = $dbh->selectrow_array("SELECT COUNT(*) FROM $databases->{DCC}->{staging_dbname}.VIRUS_DETECTION_SERVER");
    if ($virus_detection_exists) {
        $dbh->do("UPDATE $new_dbname.PL_POLICIES SET flg_inspect_http_uploads = 1");
    }

    $logger->debug("End Virus Detection Server fixup");
}

1;

