package F5::FPS::Engine::AutoDownload;

use strict;
use warnings;

use base qw(F5::FPS::Signatures::AutoDownload);

use F5::ASM::COAPI;
use F5::DateTimeUtils;

#----------------------------------------------------------------------

sub init {
  my($self, %params) = @_;
  $self->SUPER::init(%params);
  my $timestamp;
  my $query = F5::ASM::COAPI::Query->new("antifraud_engine_update");
  if ($query && @$query) {
      my ($version) = @$query;
      $timestamp = F5::DateTimeUtils::convert_epoch_to_datetime($version->{current_version_create_datetime});
  }
  $self->{sigfile_timestamp} = $timestamp || '2001-01-01 00:00:00'; # Arbitrarily old date to force update
  
  $self->{container_filter} = 'FPS-LatestSignatureFile';
  $self->{file_filter} = 'FPS-EngineFile.+';
}

#----------------------------------------------------------------------

1;

