package F5::FPS::Engine::Update;

use strict;
use warnings;

use base qw(F5::FPS::Signatures::Update);

use F5::FPS::Engine::AutoDownload;

our $SIGFILE_TYPE = "FPS Engine";

#----------------------------------------------------------------------

sub init {
    my ($self, %params) = @_;
    $self->SUPER::init(%params);
    $self->{sigfile_type} = $SIGFILE_TYPE;
    $self->{mcp_status_object} = "antifraud_engine_update";
    $self->{lock_file} = '/ts/lock/fps_engine.lock';
    $self->{metadata_validation} = 'fpsEngineImage';
}

#----------------------------------------------------------------------

sub get_autodownload {
    my ($self, %params) = @_;
    return F5::FPS::Engine::AutoDownload->new(logger => $self->{logger},
            outbound_call_timeout => $self->{outbound_call_timeout},
            );
}

#----------------------------------------------------------------------

1;
