package F5::IO::ASMConfig::EventQueue;

use strict;
use warnings;

use base 'F5::IO::Handle';
use POSIX qw(:errno_h);

#----------------------------------------------------------------------

sub read_message {
    my($self) = @_;
    my $session_id = $self->read(POSIX::BUFSIZ);
    if (! defined($session_id)) {
        return;
    }

    if ($session_id !~ /\d+\n/) {
        $self->{logger}->error("Illegal session ID received ($session_id)") if $self->{logger};
        return;
    }

    chomp($session_id);
    return $session_id;
}

#----------------------------------------------------------------------

sub write_message {
    my($self, $message) = @_;

    $self->write(pack('N', length($message)) . $message);
}

#----------------------------------------------------------------------

1;
