package F5::IO::ZMQ::Storable;

use strict;
use warnings;

use base 'F5::IO::ZMQ';
use Storable qw(thaw);
use F5::ObjUtils qw(freeze);

#----------------------------------------------------------------------

sub init {
    my($self, %params) = @_;
    $self->SUPER::init(%params);

}

#----------------------------------------------------------------------

sub read_message {
    my($self) = @_;

    my $frozen_message = $self->read();
    my $message;
    eval {
        $message = thaw($frozen_message);
    };
    if ($@) {
        $self->{logger}->info("Message could not be thawed (message = $frozen_message)") if $self->{logger};
        $self->close();
        return;
    }

    return ($message, length($message));
}

#----------------------------------------------------------------------

sub write_message {
    my($self, $message) = @_;

    return $self->write(freeze($message));
}

#----------------------------------------------------------------------

1;
