package F5::LockFactory;
use strict;

use F5::Logger;
use F5::Cfg;
use F5::ModuleLoader;
use F5::LockFactory::Base;
F5::ModuleLoader::load_from_base_class('F5::LockFactory::Base');

my %locks;
my $logger = F5::Logger->get_logger(logger_name => "lock_factory");
my $DEFAULT_TYPE = 'File';

sub get_locker {
    my (%params) = @_;
    $params{logger} ||= $logger;
    no strict 'refs';
    my $type = $params{type} || $DEFAULT_TYPE;
    my $package = "F5::LockFactory::$type";
    return $package->new(locks => \%locks,
                         %params);
}

1;
