package F5::LockFactory::IPC;
use strict;
use base 'F5::LockFactory::Base';

sub init {
    my ($self, %params) = @_;
    if ($params{ipc}) {
        $self->{lock_filename} = "IPC:" . $params{ipc}->{share}->{key};
        $self->{ipc} = $params{ipc};
        $self->{lock_log_level} = "debug";
    }
}

sub add_lock {
    my ($self, $flags) = @_;
    $self->{ipc}->lock($flags);
    return 1;
}

sub _cleanup {
    my ($self, %params) = @_;
    $self->{ipc}->unlock();
    return;
}

1;
