package F5::Mcp::PolicyTarget;
use constant L7_POLICY_TARGET_UNDEFINED => 0;
use constant L7_POLICY_TARGET_HTTP => 1;
use constant L7_POLICY_TARGET_HTTP_METHOD => 2;
use constant L7_POLICY_TARGET_HTTP_URI => 3;
use constant L7_POLICY_TARGET_HTTP_HOST => 4;
use constant L7_POLICY_TARGET_HTTP_HEADER => 5;
use constant L7_POLICY_TARGET_HTTP_REFERER => 6;
use constant L7_POLICY_TARGET_HTTP_COOKIE => 7;
use constant L7_POLICY_TARGET_HTTP_SET_COOKIE => 8;
use constant L7_POLICY_TARGET_HTTP_BASIC_AUTH => 9;
use constant L7_POLICY_TARGET_HTTP_REPLY => 10;
use constant L7_POLICY_TARGET_HTTP_PROXY => 11;
use constant L7_POLICY_TARGET_HTTP_URI_REWRITE => 12;
use constant L7_POLICY_TARGET_HTTP_CONNECT => 13;
use constant L7_POLICY_TARGET_LOG => 14;
use constant L7_POLICY_TARGET_PEM => 15;
use constant L7_POLICY_TARGET_CACHE => 16;
use constant L7_POLICY_TARGET_COMPRESS => 17;
use constant L7_POLICY_TARGET_DECOMPRESS => 18;
use constant L7_POLICY_TARGET_FORWARD => 19;
use constant L7_POLICY_TARGET_SHUTDOWN => 20;
use constant L7_POLICY_TARGET_TCP_NAGLE => 21;
use constant L7_POLICY_TARGET_WAM => 22;
use constant L7_POLICY_TARGET_ASM => 23;
use constant L7_POLICY_TARGET_L7DOS => 24;
use constant L7_POLICY_TARGET_BOT_DEFENSE => 25;
use constant L7_POLICY_TARGET_AVR => 26;
use constant L7_POLICY_TARGET_TCL => 27;
use constant L7_POLICY_TARGET_RESPONSE_ADAPT => 28;
use constant L7_POLICY_TARGET_REQUEST_ADAPT => 29;
use constant L7_POLICY_TARGET_CLIENT_SSL => 30;
use constant L7_POLICY_TARGET_SERVER_SSL_PROFILE => 31;
use constant L7_POLICY_TARGET_SERVER_SSL => 32;
use constant L7_POLICY_TARGET_SSL_INTERCEPT => 33;
use constant L7_POLICY_TARGET_POLICY => 34;
use constant L7_POLICY_TARGET_PERSIST => 35;
use constant L7_POLICY_TARGET_CE => 36;
use constant L7_POLICY_TARGET_WEBSOCKET => 37;
use constant L7_POLICY_TARGET_CLASSIFICATION => 38;
use constant L7_POLICY_TARGET_UNITTEST_HOOK => 39;
use constant L7_POLICY_TARGET_NULL => 40;
use constant L7_POLICY_TARGET_MAX => 41;

our %tmsh_name = (
  L7_POLICY_TARGET_ASM() => 'asm',
  L7_POLICY_TARGET_AVR() => 'avr',
  L7_POLICY_TARGET_BOT_DEFENSE() => 'bot-defense',
  L7_POLICY_TARGET_CACHE() => 'cache',
  L7_POLICY_TARGET_CE() => 'ce',
  L7_POLICY_TARGET_CLASSIFICATION() => 'classification',
  L7_POLICY_TARGET_CLIENT_SSL() => 'client-ssl',
  L7_POLICY_TARGET_COMPRESS() => 'compress',
  L7_POLICY_TARGET_DECOMPRESS() => 'decompress',
  L7_POLICY_TARGET_FORWARD() => 'forward',
  L7_POLICY_TARGET_HTTP() => 'http',
  L7_POLICY_TARGET_HTTP_BASIC_AUTH() => 'http-basic-auth',
  L7_POLICY_TARGET_HTTP_CONNECT() => 'http-connect',
  L7_POLICY_TARGET_HTTP_COOKIE() => 'http-cookie',
  L7_POLICY_TARGET_HTTP_HEADER() => 'http-header',
  L7_POLICY_TARGET_HTTP_HOST() => 'http-host',
  L7_POLICY_TARGET_HTTP_METHOD() => 'http-method',
  L7_POLICY_TARGET_HTTP_PROXY() => 'http-proxy',
  L7_POLICY_TARGET_HTTP_REFERER() => 'http-referer',
  L7_POLICY_TARGET_HTTP_REPLY() => 'http-reply',
  L7_POLICY_TARGET_HTTP_SET_COOKIE() => 'http-set-cookie',
  L7_POLICY_TARGET_HTTP_URI() => 'http-uri',
  L7_POLICY_TARGET_HTTP_URI_REWRITE() => 'http-uri-rewrite',
  L7_POLICY_TARGET_L7DOS() => 'l7dos',
  L7_POLICY_TARGET_LOG() => 'log',
  L7_POLICY_TARGET_POLICY() => 'ltm-policy',
  L7_POLICY_TARGET_PEM() => 'pem',
  L7_POLICY_TARGET_PERSIST() => 'persist',
  L7_POLICY_TARGET_REQUEST_ADAPT() => 'request-adapt',
  L7_POLICY_TARGET_RESPONSE_ADAPT() => 'response-adapt',
  L7_POLICY_TARGET_SERVER_SSL() => 'server-ssl',
  L7_POLICY_TARGET_SERVER_SSL_PROFILE() => 'server-ssl-profile',
  L7_POLICY_TARGET_SHUTDOWN() => 'shutdown',
  L7_POLICY_TARGET_SSL_INTERCEPT() => 'ssl-intercept',
  L7_POLICY_TARGET_TCL() => 'tcl',
  L7_POLICY_TARGET_TCP_NAGLE() => 'tcp-nagle',
  L7_POLICY_TARGET_WAM() => 'wam',
  L7_POLICY_TARGET_WEBSOCKET() => 'websocket',
);
1;