package F5::Mcp::ProfileType;
use constant PROFILE_AUTH => 0;
use constant PROFILE_HTTP => 1;
use constant PROFILE_SERVERSSL => 2;
use constant PROFILE_CLIENTSSL => 3;
use constant PROFILE_BIGPROTO => 4;
use constant PROFILE_TCP => 5;
use constant PROFILE_UDP => 6;
use constant PROFILE_IPOTHER => 7;
use constant PROFILE_DHCPV4 => 8;
use constant PROFILE_DHCPV6 => 9;
use constant PROFILE_FTP => 10;
use constant PROFILE_TFTP => 11;
use constant PROFILE_IPSECALG => 12;
use constant PROFILE_PERSIST => 13;
use constant PROFILE_CONNPOOL => 14;
use constant PROFILE_STREAM => 15;
use constant PROFILE_XML => 16;
use constant PROFILE_FASTHTTP => 17;
use constant PROFILE_IIOP => 18;
use constant PROFILE_RTSP => 19;
use constant PROFILE_STATISTICS => 20;
use constant PROFILE_DNS => 21;
use constant PROFILE_SCTP => 22;
use constant PROFILE_INSTANCE => 23;
use constant PROFILE_SIPP => 24;
use constant PROFILE_CIFS => 25;
use constant PROFILE_MAPI => 26;
use constant PROFILE_ISESSION => 27;
use constant PROFILE_TUNNEL => 28;
use constant PROFILE_PASSTHRUWOCPLUGIN => 29;
use constant PROFILE_GRE => 30;
use constant PROFILE_WCCPGRE => 31;
use constant PROFILE_IPIP => 32;
use constant PROFILE_ETHERIP => 33;
use constant PROFILE_FEC => 34;
use constant PROFILE_VXLAN => 35;
use constant PROFILE_V6RD => 36;
use constant PROFILE_MAPT => 37;
use constant PROFILE_MAP => 38;
use constant PROFILE_IPSEC => 39;
use constant PROFILE_CERTIFICATEAUTHORITY => 40;
use constant PROFILE_PPP => 41;
use constant PROFILE_REWRITE => 42;
use constant PROFILE_CONNECTIVITY => 43;
use constant PROFILE_RADIUS => 44;
use constant PROFILE_REQUESTADAPT => 45;
use constant PROFILE_RESPONSEADAPT => 46;
use constant PROFILE_ICAP => 47;
use constant PROFILE_QOE => 48;
use constant PROFILE_FIX => 49;
use constant PROFILE_GENERICMSG => 50;
use constant PROFILE_MESSAGEROUTER => 51;
use constant PROFILE_DIAMETER => 52;
use constant PROFILE_DIAMETERSESSION => 53;
use constant PROFILE_DIAMETERROUTER => 54;
use constant PROFILE_AVR => 55;
use constant PROFILE_ACCESS => 56;
use constant PROFILE_WEBACCELERATION => 57;
use constant PROFILE_HTTPCOMPRESSION => 58;
use constant PROFILE_REMOTEDESKTOP => 59;
use constant PROFILE_REQLOG => 60;
use constant PROFILE_CLASSIFICATION => 61;
use constant PROFILE_SPM => 62;
use constant PROFILE_SRDF => 63;
use constant PROFILE_HTTP2 => 64;
use constant PROFILE_HTTPROUTER => 65;
use constant PROFILE_SPDY => 66;
use constant PROFILE_WEBSOCKET => 67;
use constant PROFILE_VMWAREVIEW => 68;
use constant PROFILE_DOS => 69;
use constant PROFILE_ECA => 70;
use constant PROFILE_NTLMAUTH => 71;
use constant PROFILE_HTML => 72;
use constant PROFILE_DIAMETER_ENDPOINT => 73;
use constant PROFILE_EXCHANGE => 74;
use constant PROFILE_MAMIDBRIDGE => 75;
use constant PROFILE_PCP => 76;
use constant PROFILE_WEBSECURITY => 77;
use constant PROFILE_MSSQL => 78;
use constant PROFILE_GTP => 79;
use constant PROFILE_HTTPSECURITY => 80;
use constant PROFILE_PPTP => 81;
use constant PROFILE_SMTPS => 82;
use constant PROFILE_SOCKS => 83;
use constant PROFILE_RADIUS_AAA => 84;
use constant PROFILE_ANTIFRAUD => 85;
use constant PROFILE_SIPSESSION => 86;
use constant PROFILE_SIPROUTER => 87;
use constant PROFILE_CLIENTLDAP => 88;
use constant PROFILE_SERVERLDAP => 89;
use constant PROFILE_VDI => 90;
use constant PROFILE_GENEVE => 91;
use constant PROFILE_BOTDEFENSE_ASM => 92;
use constant PROFILE_BOTDEFENSE => 93;
use constant PROFILE_ILX => 94;
use constant PROFILE_TCPANALYTICS => 95;
use constant PROFILE_SSH => 96;
use constant PROFILE_NETFLOW => 97;
use constant PROFILE_OAUTH => 98;
use constant PROFILE_OAUTHPLUGIN => 99;
use constant PROFILE_SUBSCRIBER_MGMT => 100;
use constant PROFILE_PINGACCESS => 101;
use constant PROFILE_MQTT => 102;
use constant PROFILE_MQTTROUTER => 103;
use constant PROFILE_MQTTSESSION => 104;
use constant PROFILE_HTTPPROXYCONNECT => 105;
use constant PROFILE_SPLITSESSIONCLIENT => 106;
use constant PROFILE_SPLITSESSIONSERVER => 107;
use constant PROFILE_TRAFFIC_ACCELERATION => 108;
use constant PROFILE_IPS => 109;
use constant PROFILE_DNS_ACCELERATION => 110;
use constant PROFILE_CONNECTOR => 111;
use constant PROFILE_SERVICE => 112;
use constant PROFILE_CLOUD_SECURITY_SERVICES => 113;
use constant PROFILE_POP3 => 114;
use constant PROFILE_IMAP => 115;
use constant PROFILE_API_PROTECTION => 116;
use constant PROFILE_NAT_STATS_CONFIG => 117;
use constant PROFILE_GEOREDUNDANCY => 118;
use constant PROFILE_LAST => 119;

our %tmsh_name = (
  PROFILE_ACCESS() => 'access',
  PROFILE_ANTIFRAUD() => 'antifraud',
  PROFILE_API_PROTECTION() => 'apiprotection',
  PROFILE_AUTH() => 'auth',
  PROFILE_AVR() => 'avr',
  PROFILE_BIGPROTO() => 'bigproto',
  PROFILE_BOTDEFENSE() => 'botdefense',
  PROFILE_BOTDEFENSE_ASM() => 'botdefenseasm',
  PROFILE_CERTIFICATEAUTHORITY() => 'certificateauthority',
  PROFILE_CIFS() => 'cifs',
  PROFILE_CLASSIFICATION() => 'classification',
  PROFILE_CLIENTLDAP() => 'clientldap',
  PROFILE_CLIENTSSL() => 'clientssl',
  PROFILE_CLOUD_SECURITY_SERVICES() => 'cloud-security-services',
  PROFILE_CONNECTIVITY() => 'connectivity',
  PROFILE_CONNECTOR() => 'connector',
  PROFILE_CONNPOOL() => 'connpool',
  PROFILE_DHCPV4() => 'dhcpv4',
  PROFILE_DHCPV6() => 'dhcpv6',
  PROFILE_DIAMETER() => 'diameter',
  PROFILE_DIAMETER_ENDPOINT() => 'diameterendpoint',
  PROFILE_DIAMETERROUTER() => 'diameterrouter',
  PROFILE_DIAMETERSESSION() => 'diametersession',
  PROFILE_DNS() => 'dns',
  PROFILE_DNS_ACCELERATION() => 'dnsacceleration',
  PROFILE_DOS() => 'dos',
  PROFILE_ECA() => 'eca',
  PROFILE_ETHERIP() => 'etherip',
  PROFILE_EXCHANGE() => 'exchange',
  PROFILE_FASTHTTP() => 'fasthttp',
  PROFILE_FEC() => 'fec',
  PROFILE_FIX() => 'fix',
  PROFILE_FTP() => 'ftp',
  PROFILE_GENERICMSG() => 'genericmsg',
  PROFILE_GENEVE() => 'geneve',
  PROFILE_GEOREDUNDANCY() => 'georedundancy',
  PROFILE_GRE() => 'gre',
  PROFILE_GTP() => 'gtp',
  PROFILE_HTML() => 'html',
  PROFILE_HTTP() => 'http',
  PROFILE_HTTP2() => 'http2',
  PROFILE_HTTPCOMPRESSION() => 'httpcompression',
  PROFILE_HTTPPROXYCONNECT() => 'httpproxyconnect',
  PROFILE_HTTPROUTER() => 'httprouter',
  PROFILE_HTTPSECURITY() => 'httpsecurity',
  PROFILE_ICAP() => 'icap',
  PROFILE_IIOP() => 'iiop',
  PROFILE_ILX() => 'ilx',
  PROFILE_IMAP() => 'imap',
  PROFILE_INSTANCE() => 'instance',
  PROFILE_IPIP() => 'ipip',
  PROFILE_IPOTHER() => 'ipother',
  PROFILE_IPS() => 'ips',
  PROFILE_IPSEC() => 'ipsec',
  PROFILE_IPSECALG() => 'ipseccalg',
  PROFILE_ISESSION() => 'isession',
  PROFILE_LAST() => 'last',
  PROFILE_MAMIDBRIDGE() => 'mamidbridge',
  PROFILE_MAP() => 'map',
  PROFILE_MAPI() => 'mapi',
  PROFILE_MAPT() => 'mapt',
  PROFILE_MESSAGEROUTER() => 'messagerouter',
  PROFILE_MQTT() => 'mqtt',
  PROFILE_MQTTROUTER() => 'mqttrouter',
  PROFILE_MQTTSESSION() => 'mqttsession',
  PROFILE_MSSQL() => 'mssql',
  PROFILE_NETFLOW() => 'netflow',
  PROFILE_NAT_STATS_CONFIG() => 'nst-stats',
  PROFILE_NTLMAUTH() => 'ntlmauth',
  PROFILE_OAUTH() => 'oauth',
  PROFILE_OAUTHPLUGIN() => 'oauthplugin',
  PROFILE_PASSTHRUWOCPLUGIN() => 'passthruwocplugin',
  PROFILE_PCP() => 'pcp',
  PROFILE_PERSIST() => 'persist',
  PROFILE_PINGACCESS() => 'pingaccess',
  PROFILE_POP3() => 'pop3',
  PROFILE_PPP() => 'ppp',
  PROFILE_PPTP() => 'pptp',
  PROFILE_QOE() => 'qoe',
  PROFILE_RADIUS() => 'radius',
  PROFILE_RADIUS_AAA() => 'radiusaaa',
  PROFILE_REMOTEDESKTOP() => 'remotedesktop',
  PROFILE_REQLOG() => 'reqlog',
  PROFILE_REQUESTADAPT() => 'requestadapt',
  PROFILE_RESPONSEADAPT() => 'responseadapt',
  PROFILE_REWRITE() => 'rewrite',
  PROFILE_RTSP() => 'rtsp',
  PROFILE_SCTP() => 'sctp',
  PROFILE_SERVERLDAP() => 'serverldap',
  PROFILE_SERVERSSL() => 'serverssl',
  PROFILE_SERVICE() => 'service',
  PROFILE_SIPP() => 'sipp',
  PROFILE_SIPROUTER() => 'siprouter',
  PROFILE_SIPSESSION() => 'sipsession',
  PROFILE_SMTPS() => 'smtps',
  PROFILE_SOCKS() => 'socks',
  PROFILE_SPDY() => 'spdy',
  PROFILE_SPLITSESSIONCLIENT() => 'splitsessionclient',
  PROFILE_SPLITSESSIONSERVER() => 'splitsessionserver',
  PROFILE_SPM() => 'spm',
  PROFILE_SRDF() => 'srdf',
  PROFILE_SSH() => 'ssh',
  PROFILE_STATISTICS() => 'statistics',
  PROFILE_STREAM() => 'stream',
  PROFILE_SUBSCRIBER_MGMT() => 'subscribermgmt',
  PROFILE_TCP() => 'tcp',
  PROFILE_TCPANALYTICS() => 'tcpanalytics',
  PROFILE_TFTP() => 'tftp',
  PROFILE_TRAFFIC_ACCELERATION() => 'trafficacceleration',
  PROFILE_TUNNEL() => 'tunnel',
  PROFILE_UDP() => 'udp',
  PROFILE_V6RD() => 'v6rd',
  PROFILE_VDI() => 'vdi',
  PROFILE_VMWAREVIEW() => 'vmwareview',
  PROFILE_VXLAN() => 'vxlan',
  PROFILE_WCCPGRE() => 'wccpgre',
  PROFILE_WEBACCELERATION() => 'webacceleration',
  PROFILE_WEBSECURITY() => 'websecurity',
  PROFILE_WEBSOCKET() => 'websocket',
  PROFILE_XML() => 'xml',
);
1;