package F5::ModuleLoader;

use strict;
use warnings;

use File::Find;
use File::Spec;
use File::Basename;


sub load_from_base_class {
    my($base_class) = @_;

    my @modules;

    # Convert base class to %INC format
    my $base_class_filename = $base_class;
    $base_class_filename =~ s|::|/|g;
    $base_class_filename .= '.pm';

    my $base_class_absolute_filename = $INC{$base_class_filename};
    $base_class_absolute_filename =~ m|^(.*?)/\Q$base_class_filename\E$|;
    my $base_class_prefix = $1;

    my $full_path = dirname($base_class_absolute_filename);
    for my $class (glob($full_path . "/*.pm")) {
        next if ($class eq $base_class_absolute_filename);

        $class =~ s|^\Q$base_class_prefix\E/||;
        $class =~ s|/|::|g;
        $class =~ s/.pm$//;
        eval "require $class";
        if ($@ && ! $ENV{ASM_MODULE_LOADER_IGNORE_FAILED_LOAD}) {
            die "Dynamic load of $class failed\n";
        }

        push(@modules, $class);
    }
    return @modules;
}

#----------------------------------------------------------------------

1;
