package F5::NegativeSignatures::SigFile::AutoDownload;

use strict;
use warnings;

use F5::NegativeSignatures;
use F5::DateTimeUtils;
use base qw(F5::Sigfile::AutoDownload);

#----------------------------------------------------------------------

sub init {
  my($self, %params) = @_;
  $self->SUPER::init(%params);
  #Ensure correct datetime format for ESDM server
  my $sigfile_epoch = F5::DateTimeUtils::convert_datetime_to_epoch(F5::NegativeSignatures->new($self->{dbh})->get_update_file_date) || '0'; # Arbitrarily old date to force update
  $self->{Common}->{sigfile_timestamp} = F5::DateTimeUtils::convert_epoch_to_datetime($sigfile_epoch);
  $self->{sigfile_timestamp} = $self->{Common}->{sigfile_timestamp};
  $self->{container_filter} = 'ASM-AttackSignaturesUpdates';
  $self->{file_filter} = 'ASM-AttackSignatures.+';
}

#----------------------------------------------------------------------

1;

