package F5::PeriodicTask::ActionItems;

use strict;
use warnings;
use base qw(F5::PeriodicTask::Base);
use F5::ActionItemHandler;
use F5::Db::Single;

#----------------------------------------------------------------------

sub init {
    my ($self, %params) = @_;
    $self->SUPER::init(%params);
    $self->{action_item_handler} = F5::ActionItemHandler->get_instance(dbh => F5::Db::Single->instance(),
                                                                       logger => $self->{logger},
                                                                       client => $params{client},
                                                                       cache => 1);
    $self->{init} = 1;
}

#----------------------------------------------------------------------

sub module_run {
    my ($self, %params) = @_;
    $self->{action_item_handler}->set_dbh(dbh => F5::Db::Single->instance);
    $self->{action_item_handler}->set_client(%params);
    if ($self->{init}) {
        $self->{action_item_handler}->clean();
        $self->{action_item_handler}->detect();
        delete $self->{init};
    }
    $self->{action_item_handler}->check_task_queue();
    return;
}

#----------------------------------------------------------------------

sub next_run_interval {
    my ($self, %params) = @_;
    return $self->{action_item_handler}->next_run_interval();
}

#----------------------------------------------------------------------

sub get_subscriptions {
    my ($self, %params) = @_;
    return $self->{action_item_handler}->get_subscriptions();
}

#----------------------------------------------------------------------
sub handle_event {
    my ($self, %params) = @_;
    $self->{action_item_handler}->set_dbh(dbh => F5::Db::Single->instance);
    $self->{action_item_handler}->set_client(%params);
    $self->{action_item_handler}->clean(%params);
    $self->{action_item_handler}->detect(%params);
    return;
}

#----------------------------------------------------------------------

1;
