package F5::PeriodicTask::PersistToMcp;

use strict;
use warnings;
use base qw(F5::PeriodicTask::Base);
use F5::ASMConfig::ASMConfig;
use F5::ASM::COAPI;

#----------------------------------------------------------------------

sub get_subscriptions {
    return [F5::ASMConfig::EventSubscription->new({element_event_types => [F5::ASMConfig::ElementEventType->new({ event_type => F5::ASMConfig::EventType::ALL_TYPES,
                                                                                                                 element_type => F5::ASMConfig::ElementType::PERSIST_TO_MCP})],
                                                  })
           ];
}

#----------------------------------------------------------------------

sub handle_event {
    my ($self, %params) = @_;
    my $event = $params{event};
    my $element = $event->{element};
    if ($element && $element->{element_type} == F5::ASMConfig::ElementType::PERSIST_TO_MCP) {
        $self->{persist_to_mcp} = 1;
    }
}

#----------------------------------------------------------------------

sub module_run {
    my ($self, %params) = @_;
    if ($self->{persist_to_mcp}) {
        $self->{logger}->info("Persisting to MCP") if $self->{logger};
        F5::ASM::COAPI::SaveAll(logger => $self->{logger});
        delete $self->{persist_to_mcp};
    }
}

#----------------------------------------------------------------------

1;
