package F5::PeriodicTask::PopulateMcp;

use strict;
use warnings;
use base qw(F5::PeriodicTask::Base);
use F5::DbSync;
use F5::Db::Single;

#----------------------------------------------------------------------

sub init {
    my ($self, %params) = @_;
    $self->SUPER::init(%params);
    $self->{dbsync} = F5::DbSync->new(dbh => F5::Db::Single->instance,
                                      logger => $self->{logger},
                                     );
}

#----------------------------------------------------------------------

sub module_run {
    my ($self, %params) = @_;
    $self->{dbsync}->set_dbh(F5::Db::Single->instance);
    $self->{dbsync}->populate_asm_data_to_mcp(check_before_populate => 1);
    return;
}

#----------------------------------------------------------------------

1;
