package F5::PolicyCsrfUpgrade;


use strict;
use warnings;

sub populate_policy_csrf_defaults {
  my(%params) = @_;

  my $dbh = $params{dbh};
  my $logger = $params{logger};
  my $policy_id = $params{policy_id};
  my $dbname = $params{dbname} || "PLC";

  my $policy_where_clause = '1';
  if ($policy_id ne '*') {
    $policy_where_clause = "pol.id in ($policy_id)";
  }

  my $row_count = $dbh->do(<<EndQuery);
INSERT INTO $dbname.PL_POLICY_CSRF
  (policy_id)
SELECT pol.id
  FROM $dbname.PL_POLICIES pol
       LEFT JOIN $dbname.PL_POLICY_CSRF csrf
              ON pol.id = csrf.policy_id
 WHERE csrf.policy_id IS NULL
   AND $policy_where_clause
EndQuery

  if ($row_count) {
    $logger->debug("Added $row_count default records to PL_POLICY_CSRF (policy_id = $policy_id)") if $logger;
  }

}

1;
