package F5::PolicyValidator::MissingSignatureSets;

use strict;
use warnings;

use base 'F5::PolicyValidator::Default';

sub validate {
    my ($self, %params) = @_;
    my $dbh = $params{dbh};
    my $logger = $params{logger};
    my $validator = $params{validator};
    my $policy = $params{policy};
    my $action = $params{action};

    return if ($action && $action eq 'import_policy');

    my($number_of_signatures) = $dbh->selectrow_array(<<EndQuery, undef, $policy->{policy_id});
SELECT COUNT(*) 
  FROM PLC.PL_POLICY_NEGSIG_SETS 
 WHERE policy_id = ?
EndQuery

    if ($number_of_signatures == 0) {
        $validator->report_error(
            error_type => $F5::PolicyValidator::ERROR_TYPE_LOGIC,
	    error_msg => 'There are no signature sets attached to the policy.');
    }
}


1;
