package F5::PolicyValidator::ViolationsDependency;

use strict;
use warnings;

use base 'F5::PolicyValidator::Default';

sub validate {
    my ($self, %params) = @_;
    my $dbh = $params{dbh};
    my $logger = $params{logger};
    my $validator = $params{validator};
    my $policy = $params{policy};
    my $policy_id = $policy->{policy_id};

    my $flags = $params{violations};

    if ($flags->{F5::Violation::VIOL_RATING_NEED_EXAMINATION()}->{flg_reject}  && !$flags->{F5::Violation::VIOL_RATING_THREAT()}->{flg_reject}) {
        $validator->report_error(
            error_type => $F5::PolicyValidator::ERROR_TYPE_LOGIC,
	    error_msg => "'Violation Rating Need Examination' violation is configured to block. Consider also configuring the 'Violation Rating Threat' violation to block." );
    }
}


1;
