package F5::PrepareConf::Constants;

use strict;
use warnings;

use Exporter ();
our @ISA = qw(Exporter);

our @EXPORT = qw();
our %EXPORT_TAGS = (
    KEY_UI_TYPE => [qw(
        KEY_UI_TYPE_INTEGER 
        KEY_UI_TYPE_INTEGER_CHECK_RANGE
        KEY_UI_TYPE_DECIMAL
        KEY_UI_TYPE_DECIMAL_CHECK_RANGE
    )],
    );
our @EXPORT_OK = qw(ERRMSG_DBH_LOST RET_OK RET_NOT_OK FALSE TRUE);
Exporter::export_ok_tags(keys %EXPORT_TAGS);
# key_ui_type
use constant  KEY_UI_TYPE_INTEGER               => 0x2;
use constant  KEY_UI_TYPE_INTEGER_CHECK_RANGE   => 0x8;
use constant  KEY_UI_TYPE_DECIMAL               => 0x4;
use constant  KEY_UI_TYPE_DECIMAL_CHECK_RANGE   => 0x10;


use constant ERRMSG_DBH_LOST => 'Connection to database handler is lost';

use constant RET_OK      => 1;
use constant RET_NOT_OK  => undef;
use constant FALSE       => 0;
use constant TRUE        => 1;
use constant LOGGER_ENTITY_DEFAULT          => 0;
use constant LOGGER_ENTITY_ARCSIGHT         => 8;
use constant LOGGER_ENTITY_SPLUNK           => 16;
use constant LOGGER_ENTITY_BIGIQ            => 32;

use constant {
    LOG_REMOTE_STORAGE_NONE => 0,
    LOG_REMOTE_STORAGE_REMOTE => 1,
    LOG_REMOTE_STORAGE_SPLUNK => 2,
    LOG_REMOTE_STORAGE_ARCSIGHT => 3,
    LOG_REMOTE_STORAGE_BIGIQ => 4,
    LOG_REMOTE_STORAGE_GRPC => 5,
};


1;
