package F5::Prioritizer;

use strict;
use warnings;
use constant  PRIO_PROCESS  => 0;

sub new {
    my ($class, %params) = @_;
    my $self = \%params;
    bless $self, $class;
    return $self;
}

sub get_priority {
    return getpriority(PRIO_PROCESS, $$);
}

sub increase_priority {
    my ($self, $set_priority_to) = @_;
    my $return_priority = $self->get_priority();
    if ($set_priority_to > $return_priority) {
        $self->set_priority($set_priority_to);
        $self->{return_priority} = $return_priority;
    }
}

sub set_priority {
    my ($self, $set_priority_to) = @_;
    $self->{logger}->info("Setting process priority to $set_priority_to") if $self->{logger};
    setpriority(PRIO_PROCESS, $$, $set_priority_to);
}

sub restore_priority {
    my ($self) = @_;
    if (defined($self->{return_priority})) {
        $self->set_priority($self->{return_priority});
        delete($self->{return_priority});
    }
}

sub DESTROY {
    my ($self) = @_;
    $self->restore_priority();
}
1;

