package F5::ResponseScrubbing;

use strict;
use warnings;

sub add_defaults {
  my(%params) = @_;

  my $dbh = $params{dbh};
  my $logger = $params{logger};
  my $policy_id = $params{policy_id};
  my $dbname = $params{dbname} || 'PLC';

  my $policy_where_clause = '1';
  if ($policy_id ne '*') {
    $policy_where_clause = "pol.id in ($policy_id)";
  }

  my $row_count = $dbh->do(<<EndQuery);
INSERT INTO $dbname.PL_RESPONSE_SCRUBBING
  (policy_id)
SELECT pol.id
  FROM $dbname.PL_POLICIES pol
       LEFT JOIN $dbname.PL_RESPONSE_SCRUBBING resp_scrub
              ON pol.id = resp_scrub.policy_id
 WHERE resp_scrub.policy_id IS NULL
   AND $policy_where_clause
EndQuery

  if ($row_count) {
    $logger->debug("Added $row_count default records to PL_RESPONSE_SCRUBBING (policy_id = $policy_id)") if $logger;
  }
}

1;
