package F5::SetActive;

use strict;
use warnings;

use F5::SetActive::Client;

sub set_active {
  my(%params) = @_;
  my $dbh = $params{dbh}; 


  unless (defined($params{send_sync})) {
    $params{send_sync} = 0;
  }

  my $rv;
  if ($params{asm_config_handler} || (defined $params{use_daemon} && $params{use_daemon} == 0)) {
    eval "use F5::SetActive::Impl;";
    die "Can't load F5::SetActive::Impl" if ($@);

    unless ($params{dbh}) {
      eval "use F5::DbUtils;";
      die "Can't load F5::DbUtils" if ($@);
      $params{dbh} = F5::DbUtils::get_dbh();
    }


    unless ($params{logger}) {
      eval "use F5::Logger;";
      die "Can't load F5::Logger" if ($@);
      $params{logger} = F5::Logger->get_logger(logger_name => 'set_active');
    }

    $rv = F5::SetActive::Impl::set_active(%params);
  }
  else {
    if ($params{dbh} && ! $params{dbh}->{AutoCommit}) {
      die "Set active attempted with open transaction.\n";
    }
    $rv = F5::SetActive::Client::set_active(%params);
  }

  if ($params{expanded_return_value}) {
    return $rv;
  }
  else {
    return $rv->{completed_successfully};
  }
}

#----------------------------------------------------------------------

sub send_update_core {
  my(%params) = @_;
  eval "use F5::SetActive::Impl;";
  die "Can't load F5::SetActive::Impl" if ($@);

  return F5::SetActive::Impl::send_update_core(%params);
}

#----------------------------------------------------------------------

1;
