package F5::SetActive::Client;

use strict;
use warnings;

use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::EasyClient;
use F5::ASMConfig::GuaranteedClient;

sub set_active {
  my(%params) = @_;

  delete $params{dbh};
  delete $params{logger};
  my $client = F5::ASMConfig::GuaranteedClient::get_client(username => 'SYSTEM',
                                                           gui_user_name => $params{username},
                                                          );
  my $session = $client->{session};

  if ($params{policy}) {
    $params{policy_id} = $params{policy}->policy_id;
    delete $params{policy};
  }

  my $rv;
  eval {
    $rv = $client->set_active($session, F5::ASMConfig::CallFlags->new({do_not_relay => 1,
                                                                       skip_mcp => $params{skip_mcp},}),
                              F5::ASMConfig::Policy->new({policy_id => $params{policy_id}}),
                              F5::ASMConfig::SetActiveFlags->new(\%params));
  };

  if ($@) {
      my $error_message = '';
      if (ref($@)) {
          if (ref($@) =~ /TException/ && exists $@->{message}) {
              $error_message = $@->{message};
          }
          elsif (ref($@) =~ /ASMConfigException/) {
              $error_message = $@->{error_message};
          }
      }
      else {
          $error_message = $@;
      }
          
      return { completed_successfully => 0,
               error_message => $error_message,
             };
  }
  else {
      return { completed_successfully => 1 };
  }
}

#----------------------------------------------------------------------

1;
