package F5::UI;


use strict;
use warnings;

use POSIX qw(strftime);
use POSIX qw(tmpnam);
use IO::File;

use constant CTRLC_EVENT => 65280;
my $BACK_TITLE = "F5 ASM Database Recovery Setup";
my $TITLE = "F5 ASM Database Recovery Setup";

#--------------------------------------------------------------------------
sub ui{
    my ($params) = @_;
    my $dialog_type = defined ($params->{dialog_type}) ? $params->{dialog_type} : "yesno";
    $dialog_type = "--$dialog_type";
    my $g_msg = $params->{general_msg};
    my $c_msg = $params->{continue_msg};
    my $defaultno = "--defaultno";
    if(defined $params->{defaultno}) {
        $defaultno = ($params->{defaultno}) ? "--defaultno" : "";
    }
    my $tmpfile;

    my $fh;
    do { $tmpfile=tmpnam(); }
    until $fh = IO::File->new($tmpfile, O_RDWR|O_CREAT|O_EXCL);
    system("dialog --print-maxsize >/dev/null 2>$tmpfile");

    open(FH, $tmpfile) or die "can't open $tmpfile";
    $_ = readline(FH);
    close(FH);
    unlink($tmpfile);
    my ($rows,$cols) = /MaxSize: (\d+), (\d+)/;
    my $brows = int ($rows*3/5);
    $brows = 10 if $brows < 10;
    my $bcols = int ($cols*7/8);
    $bcols = 40 if $bcols < 40;

    system("dialog --backtitle '$BACK_TITLE' --title '$TITLE' $defaultno $dialog_type '\n$g_msg\n\n $c_msg\n\n\n\n' $brows $bcols");
     
    my $rv = $?;
    
    if ($rv == CTRLC_EVENT){
      warn "Process got CTRL+C event.  Process terminated\n";
      exit;
    }
    return $rv;
}

1; 
