package F5::UserActivityLog;

use strict;
use warnings;
use Carp;

use constant LOG_MSG_CREATE_HISTORY_VERSION => 2070;
use constant LOG_MSG_APPLY_POLICY => 2008;

sub log {
  my($dbh, $logger, $event_code, $user_name, $account_name, $policy_name, $extra_data) = @_;
  $policy_name ||= '';
  $extra_data ||= '';

   my %code_to_description = ();
   $code_to_description{+LOG_MSG_CREATE_HISTORY_VERSION} = "User $user_name created history version for policy: $policy_name. $event_code.";
   $code_to_description{+LOG_MSG_APPLY_POLICY}           = "User $user_name performed Apply Policy operation on policy: $policy_name. $event_code.";
   require F5::BigIpLog;                   
   F5::BigIpLog::bigip_ts_ts_user_activity_log($code_to_description{$event_code}); 
}

1;
