package F5::Violation;
use constant VIOL_XML_SOAP_ATTACHMENT => 1;
use constant VIOL_DATA_GUARD => 2;
use constant VIOL_LOGIN_URL_EXPIRED => 3;
use constant VIOL_LOGIN_URL_BYPASSED => 4;
use constant VIOL_REQUEST_MAX_LENGTH => 5;
use constant VIOL_VIRUS => 6;
use constant VIOL_EVASION => 7;
use constant VIOL_XML_WEB_SERVICES_SECURITY => 8;
use constant VIOL_XML_FORMAT => 9;
use constant VIOL_XML_SCHEMA => 10;
use constant VIOL_XML_MALFORMED => 11;
use constant VIOL_CSRF => 12;
use constant VIOL_ENCODING => 13;
use constant VIOL_HTTP_PROTOCOL => 14;
use constant VIOL_GEOLOCATION => 15;
use constant VIOL_QUERY_STRING_LENGTH => 16;
use constant VIOL_REQUEST_LENGTH => 17;
use constant VIOL_COOKIE_LENGTH => 18;
use constant VIOL_URL_LENGTH => 19;
use constant VIOL_CSRF_EXPIRED => 20;
use constant VIOL_BRUTE_FORCE => 22;
use constant VIOL_XML_SOAP_METHOD => 23;
use constant VIOL_PARAMETER_VALUE_METACHAR => 24;
use constant VIOL_PARAMETER_NAME_METACHAR => 25;
use constant VIOL_URL_METACHAR => 26;
use constant VIOL_PARAMETER_REPEATED => 27;
use constant VIOL_JSON_FORMAT => 28;
use constant VIOL_HEADER_LENGTH => 29;
use constant VIOL_PARAMETER_MULTIPART_NULL_VALUE => 30;
use constant VIOL_POST_DATA_LENGTH => 31;
use constant VIOL_PARAMETER_EMPTY_VALUE => 32;
use constant VIOL_PARAMETER => 33;
use constant VIOL_FLOW_DISALLOWED_INPUT => 34;
use constant VIOL_DYNAMIC_SESSION => 35;
use constant VIOL_METHOD => 36;
use constant VIOL_FLOW => 37;
use constant VIOL_URL => 38;
use constant VIOL_FILETYPE => 39;
use constant VIOL_PARAMETER_VALUE_REGEXP => 40;
use constant VIOL_FLOW_MANDATORY_PARAMS => 41;
use constant VIOL_ATTACK_SIGNATURE => 42;
use constant VIOL_PARAMETER_NUMERIC_VALUE => 43;
use constant VIOL_PARAMETER_DATA_TYPE => 44;
use constant VIOL_PARAMETER_VALUE_LENGTH => 45;
use constant VIOL_PARAMETER_DYNAMIC_VALUE => 46;
use constant VIOL_PARAMETER_STATIC_VALUE => 47;
use constant VIOL_COOKIE_EXPIRED => 48;
use constant VIOL_ASM_COOKIE_HIJACKING => 49;
use constant VIOL_SESSION_AWARENESS => 50;
use constant VIOL_FLOW_ENTRY_POINT => 51;
use constant VIOL_JSON_MALFORMED => 52;
use constant VIOL_COOKIE_MALFORMED => 53;
use constant VIOL_COOKIE_MODIFIED => 54;
use constant VIOL_ASM_COOKIE_MODIFIED => 55;
use constant VIOL_HTTP_RESPONSE_STATUS => 56;
use constant VIOL_URL_CONTENT_TYPE => 57;
use constant VIOL_HEADER_METACHAR => 58;
use constant VIOL_GWT_MALFORMED => 59;
use constant VIOL_FILE_UPLOAD => 60;
use constant VIOL_MALICIOUS_IP => 61;
use constant VIOL_PARAMETER_VALUE_BASE64 => 62;
use constant VIOL_GWT_FORMAT => 63;
use constant VIOL_MANDATORY_HEADER => 64;
use constant VIOL_REDIRECT => 65;
use constant VIOL_WEBSOCKET_BAD_REQUEST => 66;
use constant VIOL_WEBSOCKET_FRAMING_PROTOCOL => 67;
use constant VIOL_WEBSOCKET_FRAME_MASKING => 68;
use constant VIOL_WEBSOCKET_FRAME_LENGTH => 69;
use constant VIOL_WEBSOCKET_TEXT_NULL_VALUE => 70;
use constant VIOL_CROSS_ORIGIN_REQUEST => 71;
use constant VIOL_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED => 72;
use constant VIOL_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED => 73;
use constant VIOL_WEBSOCKET_EXTENSION => 74;
use constant VIOL_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT => 75;
use constant VIOL_WEBSOCKET_BINARY_MESSAGE_LENGTH => 76;
use constant VIOL_PLAINTEXT_FORMAT => 77;
use constant VIOL_BLACKLISTED_IP => 78;
use constant VIOL_THREAT_CAMPAIGN => 79;
use constant VIOL_PARAMETER_ARRAY_VALUE => 80;
use constant VIOL_JSON_SCHEMA => 81;
use constant VIOL_MANDATORY_PARAMETER => 82;
use constant VIOL_PARAMETER_LOCATION => 83;
use constant VIOL_MALICIOUS_DEVICE => 84;
use constant VIOL_BLOCKING_CONDITION => 85;
use constant VIOL_THREAT_ANALYSIS => 86;
use constant VIOL_LEAKED_CREDENTIALS => 87;
use constant VIOL_HOSTNAME => 88;
use constant VIOL_HOSTNAME_MISMATCH => 89;
use constant VIOL_CONVICTION => 90;
use constant VIOL_MANDATORY_REQUEST_BODY => 91;
use constant VIOL_HEADER_REPEATED => 92;
use constant VIOL_RATING_THREAT => 93;
use constant VIOL_RATING_NEED_EXAMINATION => 94;
use constant VIOL_DATA_INTEGRITY => 95;
use constant VIOL_FILE_UPLOAD_IN_BODY => 96;
use constant VIOL_SERVER_SIDE_HOST => 97;
use constant VIOL_GRAPHQL_MALFORMED => 98;
use constant VIOL_GRAPHQL_FORMAT => 99;
use constant VIOL_GRAPHQL_INTROSPECTION_QUERY => 121;
use constant VIOL_BOT_CLIENT => 122;
use constant VIOL_GRPC_MALFORMED => 123;
use constant VIOL_GRPC_FORMAT => 124;
use constant VIOL_GRPC_METHOD => 125;
use constant VIOL_BROWSER => 126;
use constant VIOL_GRAPHQL_ERROR_RESPONSE => 128;

our %viol_name = (
  VIOL_ASM_COOKIE_HIJACKING() => 'VIOL_ASM_COOKIE_HIJACKING',
  VIOL_ASM_COOKIE_MODIFIED() => 'VIOL_ASM_COOKIE_MODIFIED',
  VIOL_ATTACK_SIGNATURE() => 'VIOL_ATTACK_SIGNATURE',
  VIOL_BLACKLISTED_IP() => 'VIOL_BLACKLISTED_IP',
  VIOL_BLOCKING_CONDITION() => 'VIOL_BLOCKING_CONDITION',
  VIOL_BOT_CLIENT() => 'VIOL_BOT_CLIENT',
  VIOL_BROWSER() => 'VIOL_BROWSER',
  VIOL_BRUTE_FORCE() => 'VIOL_BRUTE_FORCE',
  VIOL_CONVICTION() => 'VIOL_CONVICTION',
  VIOL_COOKIE_EXPIRED() => 'VIOL_COOKIE_EXPIRED',
  VIOL_COOKIE_LENGTH() => 'VIOL_COOKIE_LENGTH',
  VIOL_COOKIE_MALFORMED() => 'VIOL_COOKIE_MALFORMED',
  VIOL_COOKIE_MODIFIED() => 'VIOL_COOKIE_MODIFIED',
  VIOL_CROSS_ORIGIN_REQUEST() => 'VIOL_CROSS_ORIGIN_REQUEST',
  VIOL_CSRF() => 'VIOL_CSRF',
  VIOL_CSRF_EXPIRED() => 'VIOL_CSRF_EXPIRED',
  VIOL_DATA_GUARD() => 'VIOL_DATA_GUARD',
  VIOL_DATA_INTEGRITY() => 'VIOL_DATA_INTEGRITY',
  VIOL_DYNAMIC_SESSION() => 'VIOL_DYNAMIC_SESSION',
  VIOL_ENCODING() => 'VIOL_ENCODING',
  VIOL_EVASION() => 'VIOL_EVASION',
  VIOL_FILETYPE() => 'VIOL_FILETYPE',
  VIOL_FILE_UPLOAD() => 'VIOL_FILE_UPLOAD',
  VIOL_FILE_UPLOAD_IN_BODY() => 'VIOL_FILE_UPLOAD_IN_BODY',
  VIOL_FLOW() => 'VIOL_FLOW',
  VIOL_FLOW_DISALLOWED_INPUT() => 'VIOL_FLOW_DISALLOWED_INPUT',
  VIOL_FLOW_ENTRY_POINT() => 'VIOL_FLOW_ENTRY_POINT',
  VIOL_FLOW_MANDATORY_PARAMS() => 'VIOL_FLOW_MANDATORY_PARAMS',
  VIOL_GEOLOCATION() => 'VIOL_GEOLOCATION',
  VIOL_GRAPHQL_ERROR_RESPONSE() => 'VIOL_GRAPHQL_ERROR_RESPONSE',
  VIOL_GRAPHQL_FORMAT() => 'VIOL_GRAPHQL_FORMAT',
  VIOL_GRAPHQL_INTROSPECTION_QUERY() => 'VIOL_GRAPHQL_INTROSPECTION_QUERY',
  VIOL_GRAPHQL_MALFORMED() => 'VIOL_GRAPHQL_MALFORMED',
  VIOL_GRPC_FORMAT() => 'VIOL_GRPC_FORMAT',
  VIOL_GRPC_MALFORMED() => 'VIOL_GRPC_MALFORMED',
  VIOL_GRPC_METHOD() => 'VIOL_GRPC_METHOD',
  VIOL_GWT_FORMAT() => 'VIOL_GWT_FORMAT',
  VIOL_GWT_MALFORMED() => 'VIOL_GWT_MALFORMED',
  VIOL_HEADER_LENGTH() => 'VIOL_HEADER_LENGTH',
  VIOL_HEADER_METACHAR() => 'VIOL_HEADER_METACHAR',
  VIOL_HEADER_REPEATED() => 'VIOL_HEADER_REPEATED',
  VIOL_HOSTNAME() => 'VIOL_HOSTNAME',
  VIOL_HOSTNAME_MISMATCH() => 'VIOL_HOSTNAME_MISMATCH',
  VIOL_HTTP_PROTOCOL() => 'VIOL_HTTP_PROTOCOL',
  VIOL_HTTP_RESPONSE_STATUS() => 'VIOL_HTTP_RESPONSE_STATUS',
  VIOL_JSON_FORMAT() => 'VIOL_JSON_FORMAT',
  VIOL_JSON_MALFORMED() => 'VIOL_JSON_MALFORMED',
  VIOL_JSON_SCHEMA() => 'VIOL_JSON_SCHEMA',
  VIOL_LEAKED_CREDENTIALS() => 'VIOL_LEAKED_CREDENTIALS',
  VIOL_LOGIN_URL_BYPASSED() => 'VIOL_LOGIN_URL_BYPASSED',
  VIOL_LOGIN_URL_EXPIRED() => 'VIOL_LOGIN_URL_EXPIRED',
  VIOL_MALICIOUS_DEVICE() => 'VIOL_MALICIOUS_DEVICE',
  VIOL_MALICIOUS_IP() => 'VIOL_MALICIOUS_IP',
  VIOL_MANDATORY_HEADER() => 'VIOL_MANDATORY_HEADER',
  VIOL_MANDATORY_PARAMETER() => 'VIOL_MANDATORY_PARAMETER',
  VIOL_MANDATORY_REQUEST_BODY() => 'VIOL_MANDATORY_REQUEST_BODY',
  VIOL_METHOD() => 'VIOL_METHOD',
  VIOL_PARAMETER() => 'VIOL_PARAMETER',
  VIOL_PARAMETER_ARRAY_VALUE() => 'VIOL_PARAMETER_ARRAY_VALUE',
  VIOL_PARAMETER_DATA_TYPE() => 'VIOL_PARAMETER_DATA_TYPE',
  VIOL_PARAMETER_DYNAMIC_VALUE() => 'VIOL_PARAMETER_DYNAMIC_VALUE',
  VIOL_PARAMETER_EMPTY_VALUE() => 'VIOL_PARAMETER_EMPTY_VALUE',
  VIOL_PARAMETER_LOCATION() => 'VIOL_PARAMETER_LOCATION',
  VIOL_PARAMETER_MULTIPART_NULL_VALUE() => 'VIOL_PARAMETER_MULTIPART_NULL_VALUE',
  VIOL_PARAMETER_NAME_METACHAR() => 'VIOL_PARAMETER_NAME_METACHAR',
  VIOL_PARAMETER_NUMERIC_VALUE() => 'VIOL_PARAMETER_NUMERIC_VALUE',
  VIOL_PARAMETER_REPEATED() => 'VIOL_PARAMETER_REPEATED',
  VIOL_PARAMETER_STATIC_VALUE() => 'VIOL_PARAMETER_STATIC_VALUE',
  VIOL_PARAMETER_VALUE_BASE64() => 'VIOL_PARAMETER_VALUE_BASE64',
  VIOL_PARAMETER_VALUE_LENGTH() => 'VIOL_PARAMETER_VALUE_LENGTH',
  VIOL_PARAMETER_VALUE_METACHAR() => 'VIOL_PARAMETER_VALUE_METACHAR',
  VIOL_PARAMETER_VALUE_REGEXP() => 'VIOL_PARAMETER_VALUE_REGEXP',
  VIOL_PLAINTEXT_FORMAT() => 'VIOL_PLAINTEXT_FORMAT',
  VIOL_POST_DATA_LENGTH() => 'VIOL_POST_DATA_LENGTH',
  VIOL_QUERY_STRING_LENGTH() => 'VIOL_QUERY_STRING_LENGTH',
  VIOL_RATING_NEED_EXAMINATION() => 'VIOL_RATING_NEED_EXAMINATION',
  VIOL_RATING_THREAT() => 'VIOL_RATING_THREAT',
  VIOL_REDIRECT() => 'VIOL_REDIRECT',
  VIOL_REQUEST_LENGTH() => 'VIOL_REQUEST_LENGTH',
  VIOL_REQUEST_MAX_LENGTH() => 'VIOL_REQUEST_MAX_LENGTH',
  VIOL_SERVER_SIDE_HOST() => 'VIOL_SERVER_SIDE_HOST',
  VIOL_SESSION_AWARENESS() => 'VIOL_SESSION_AWARENESS',
  VIOL_THREAT_ANALYSIS() => 'VIOL_THREAT_ANALYSIS',
  VIOL_THREAT_CAMPAIGN() => 'VIOL_THREAT_CAMPAIGN',
  VIOL_URL() => 'VIOL_URL',
  VIOL_URL_CONTENT_TYPE() => 'VIOL_URL_CONTENT_TYPE',
  VIOL_URL_LENGTH() => 'VIOL_URL_LENGTH',
  VIOL_URL_METACHAR() => 'VIOL_URL_METACHAR',
  VIOL_VIRUS() => 'VIOL_VIRUS',
  VIOL_WEBSOCKET_BAD_REQUEST() => 'VIOL_WEBSOCKET_BAD_REQUEST',
  VIOL_WEBSOCKET_BINARY_MESSAGE_LENGTH() => 'VIOL_WEBSOCKET_BINARY_MESSAGE_LENGTH',
  VIOL_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED() => 'VIOL_WEBSOCKET_BINARY_MESSAGE_NOT_ALLOWED',
  VIOL_WEBSOCKET_EXTENSION() => 'VIOL_WEBSOCKET_EXTENSION',
  VIOL_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT() => 'VIOL_WEBSOCKET_FRAMES_PER_MESSAGE_COUNT',
  VIOL_WEBSOCKET_FRAME_LENGTH() => 'VIOL_WEBSOCKET_FRAME_LENGTH',
  VIOL_WEBSOCKET_FRAME_MASKING() => 'VIOL_WEBSOCKET_FRAME_MASKING',
  VIOL_WEBSOCKET_FRAMING_PROTOCOL() => 'VIOL_WEBSOCKET_FRAMING_PROTOCOL',
  VIOL_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED() => 'VIOL_WEBSOCKET_TEXT_MESSAGE_NOT_ALLOWED',
  VIOL_WEBSOCKET_TEXT_NULL_VALUE() => 'VIOL_WEBSOCKET_TEXT_NULL_VALUE',
  VIOL_XML_FORMAT() => 'VIOL_XML_FORMAT',
  VIOL_XML_MALFORMED() => 'VIOL_XML_MALFORMED',
  VIOL_XML_SCHEMA() => 'VIOL_XML_SCHEMA',
  VIOL_XML_SOAP_ATTACHMENT() => 'VIOL_XML_SOAP_ATTACHMENT',
  VIOL_XML_SOAP_METHOD() => 'VIOL_XML_SOAP_METHOD',
  VIOL_XML_WEB_SERVICES_SECURITY() => 'VIOL_XML_WEB_SERVICES_SECURITY',
);
1;