package F5::XMLUtils;

use strict;
use warnings;

use XML::Twig;

#----------------------------------------------------------------------

sub get_value_from_xpath {
  my($class, %params) = @_;
  my $xpath = $params{xpath};
  my $element = $params{element};

  return unless defined($xpath);

  if ($xpath eq '') {
    return $element->text;
  }
  else {
    my $attribute;
    if ($xpath =~ s/@(.*)$//) {
      $attribute = $1;
    }

    if ($xpath) {
      my @subelements = $element->findnodes("./$xpath");
      if (@subelements) {
        $element = $subelements[0];
      }
      else {
        return;
      }
    }

    if ($attribute) {
      return $element->{att}->{$attribute};
    }
    else {
      return $element->text;
    }
  }
}

#----------------------------------------------------------------------



1;
