# Perl Thrift modules

## Background

F5-patched versions of Thrift 0.9.1 Perl modules are used, taken [directly from Perforce](https://indexing2.f5net.com/source/xref/tmos-security-asmdp/ports/thrift/std/build/thrift/lib/perl/lib/).

Thrift was introduced on BIG-IP for the [initial version of ASM-config](https://docs.f5net.com/display/PDTMOSTWIKI/ASMConfigurationLayerFS) in 10.2.0 ([RQ-ASE-247](http://go/RQ-ASE-247)). The initial version added was either pre-release or 0.1.0, but this was quickly updated to 0.2.0 ([Bug 242391](http://go/bz242391)). Initially, the Thrift server was provided by an external package, but this was subsequently absorbed into the main Thrift distribution. 

Still, the Thrift implementation on Perl was not performant or configurable enough. This includes both the Perl code generated by the `thrift` CLI tool, as well as the base Perl packages. This was improved by a series of fixes/patches:

- [CL 658239](http://go/cl658239) (most significant)
- [CL 621577](http://go/cl621577)
- [CL 668477](http://go/cl668477)
- [CL 669115](http://go/cl669115)

For better or worse, these changes were made directly to the Thrift package under `ports/thrift`, which makes them difficult to distinguish from the original source.

## Container adaptation

In the current Dockerfile, the `thrift` CLI tool is added by the Ubuntu package `thrift-compiler`. This version seems to be frozen at 0.9.1, even though the [current version is 0.12.0](https://thrift.apache.org/download).

Fortunately, this is the same version currently in use on BIG-IP. Therefore, as the easiest approach, the Perl Thrift modules are copied directly from the Perforce tree here.

This intentionally differs from [CPAN module Thrift](https://metacpan.org/source/JKING/Thrift-0.12.0-2/lib/Thrift.pm), which uses current release 0.12.0.

Additionally, `Thrift::XS` is used within ASM-config Event Dispatcher. The [CPAN module Thrift::XS](https://metacpan.org/pod/Thrift::XS) oddly includes the entire set of Thrift Perl modules from an indeterminate prior version. In BIG-IP build, all modules other than those unique to `Thrift::XS` [are ignored by the .spec file](https://indexing2.f5net.com/source/xref/tmos-security-asmdp/ports/perl-Thrift-XS/perl-Thrift-XS.spec#52). Since Event Dispatcher is not needed yet, these packages are being handled by stubs instead.
