package bd::AuthenticationType;

use strict;
use warnings;

use constant HTTP_AUTH_FORM => 0;
use constant HTTP_AUTH_BASIC => 1;
use constant HTTP_AUTH_DIGEST => 2;
use constant HTTP_AUTH_NTLM => 3;
use constant HTTP_AUTH_NONE => 4;
use constant HTTP_AUTH_JSON => 5;

1;

__END__

=pod

=head1 NAME

bd::AuthenticationType - Perl interface to bd.AuthenticationType

=head1 SYNOPSIS

 use bd::AuthenticationType;

 my $HTTP_AUTH_FORM = bd::AuthenticationType::HTTP_AUTH_FORM;
 my $HTTP_AUTH_BASIC = bd::AuthenticationType::HTTP_AUTH_BASIC;
 my $HTTP_AUTH_DIGEST = bd::AuthenticationType::HTTP_AUTH_DIGEST;
 my $HTTP_AUTH_NTLM = bd::AuthenticationType::HTTP_AUTH_NTLM;
 my $HTTP_AUTH_NONE = bd::AuthenticationType::HTTP_AUTH_NONE;
 my $HTTP_AUTH_JSON = bd::AuthenticationType::HTTP_AUTH_JSON;

=head1 DESCRIPTION

bd::AuthenticationType defines the following constants:

=over 4

=item B<HTTP_AUTH_FORM>

This constant has a value of 0.

=item B<HTTP_AUTH_BASIC>

This constant has a value of 1.

=item B<HTTP_AUTH_DIGEST>

This constant has a value of 2.

=item B<HTTP_AUTH_NTLM>

This constant has a value of 3.

=item B<HTTP_AUTH_NONE>

This constant has a value of 4.

=item B<HTTP_AUTH_JSON>

This constant has a value of 5.


=back

=head1 AUTHOR

Generated from bd.AuthenticationType by the protoc compiler.

=head1 SEE ALSO

http://code.google.com/p/protobuf

=cut

