package F5::ASMConfig::Entity::GetVulnerabilityAssessmentSubscriptionsTask;

use strict;
use warnings;

use base qw/F5::ASMConfig::TaskBase F5::ASMConfig::GetVulnerabilityAssessmentSubscriptionsTask/;

#----------------------------------------------------------------------

sub before_store {
    my($self, %params) = @_;

    my $db_rec = $params{db_rec};
    my $store_mode = $params{store_mode};
    my $store_obj = $params{store_obj};
    my $existing_obj = $params{existing_obj};
    my $call_flags = $params{call_flags};

    if ($store_mode eq "add") {
        my $policy = $store_obj->{target_policy};
        if (!$policy) {
            die {
                  error_message => 'Policy not found',
                  error_code => F5::ASMConfig::ErrorCode::MISSING_POLICY(),
                  error_level => 'info',
                };
        }
        my $scanner_config = F5::ASMConfig::Entity::ScannerConfig->new(policy => $policy,
                                                                       dbh => $self->{dbh},
                                                                       get_criteria => {});
        if (!$scanner_config || !$scanner_config->{scanner_type} || $scanner_config->{scanner_type} ne 'hailstorm') {
             die {
                  error_message => 'Vulnerability Assessment Tool is not configured or does not support Subscriptions',
                  error_code => F5::ASMConfig::ErrorCode::ACTION_NOT_ALLOWED(),
                  error_level => 'info',
                };
        }
    }
    return $self->SUPER::before_store(%params);
}

#----------------------------------------------------------------------

1;
